package com.tofly.xrtygis.custom.entity.ImportDto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author bubble
 */
@Data
public class BudgetImportDto {

    @ApiModelProperty("填报年月")
    @ExcelProperty(value = "填报年月")
    private String month;

    /**
     * 一厂供水量（万m³）
     */
    @ApiModelProperty(value = "一厂供水量（万m³）")
    @ExcelProperty(value = "一厂供水量（万m³）")
    private Double gslOne;
    /**
     * 二厂供水量（万m³）
     */
    @ApiModelProperty(value = "二厂供水量（万m³）")
    @ExcelProperty(value = "二厂供水量（万m³）")
    private Double gslTwo;
    /**
     * 青白江转供水（万m³）
     */
    @ApiModelProperty(value = "青白江转供水（万m³）")
    @ExcelProperty(value = "青白江转供水（万m³）")
    private Double gslQbj;
    /**
     * 一厂制水量（万m³）
     */
    @ApiModelProperty(value = "一厂制水量（万m³）")
    @ExcelProperty(value = "一厂制水量（万m³）")
    private Double zslOne;
    /**
     * 二厂制水量（万m³）
     */
    @ApiModelProperty(value = "二厂制水量（万m³）")
    @ExcelProperty(value = "二厂制水量（万m³）")
    private Double zslTwo;
    /**
     * 红旗水库制水量（万m³）
     */
    @ApiModelProperty(value = "红旗水库制水量（万m³）")
    @ExcelProperty(value = "红旗水库制水量（万m³）")
    private Double zslHqsk;
    /**
     * 售水量（万m³）
     */
    @ApiModelProperty(value = "总售水量（万m³）")
    @ExcelProperty(value = "总售水量（万m³）")
    private Double sslTotal;
    /**
     * 未上盘水量（万m³）
     */
    @ApiModelProperty(value = "免费供水量（万m³）")
    @ExcelProperty(value = "免费供水量（万m³）")
    private Double wspsl;


    /**
     * 一厂PAC单耗（kg/km³）
     */
    @ApiModelProperty(value = "一厂PAC单耗（kg/km³）")
    @ExcelProperty(value = "一厂PAC单耗（kg/km³）")
    private Double pacdhOne;
    /**
     * 二厂PAC单耗（kg/km³）
     */
    @ApiModelProperty(value = "二厂PAC单耗（kg/km³）")
    @ExcelProperty(value = "二厂PAC单耗（kg/km³）")
    private Double pacdhTwo;
    /**
     * 一厂食盐单耗（kg/km³）
     */
    @ApiModelProperty(value = "一厂食盐单耗（kg/km³）")
    @ExcelProperty(value = "一厂食盐单耗（kg/km³）")
    private Double sydhOne;
    /**
     * 二厂液氯单耗（kg/km³）
     */
    @ApiModelProperty(value = "二厂液氯单耗（kg/km³）")
    @ExcelProperty(value = "二厂液氯单耗（kg/km³）")
    private Double yldhTwo;
    /**
     * 一厂制水单位电耗（kwh/km³）
     */
    @ApiModelProperty(value = "一厂制水单位电耗（kwh/km³）")
    @ExcelProperty(value = "一厂电耗（KWh/km³）")
    private Double dhOne;
    /**
     * 二厂制水单位电耗（kwh/km³）
     */
    @ApiModelProperty(value = "二厂制水单位电耗（kwh/km³）")
    @ExcelProperty(value = "二厂（含污泥）电耗（KWh/km³）")
    private Double dhTwo;

    @ApiModelProperty(value = "二厂次钠单耗（kg/km³）")
    @ExcelProperty(value = "二厂次钠单耗（kg/km³）")
    private Double cndhTwo;

    @ApiModelProperty(value = "一厂PAC（固）单耗（kg/km³）")
    @ExcelProperty(value = "一厂PAC（固）单耗（kg/km³）")
    private Double otherdh;

    /**
     * 制水PAM（kg）
     */
    @ApiModelProperty(value = "制水PAM（kg）")
    @ExcelProperty(value = "制水PAM（kg）")
    private Double pam;
    /**
     * 粉碳（kg）
     */
    @ApiModelProperty(value = "粉碳（kg）")
    @ExcelProperty(value = "粉碳（kg）")
    private Double ft;
    /**
     * 次钠（kg）
     */
    @ApiModelProperty(value = "次钠（kg）")
    @ExcelProperty(value = "次钠（kg）")
    private Double cn;
    /**
     * 高锰酸钾复合盐（kg）
     */
    @ApiModelProperty(value = "高锰酸钾复合盐（kg）")
    @ExcelProperty(value = "复合盐（kg）")
    private Double gmsjfhy;
    /**
     * 污泥PAM（kg）
     */
    @ApiModelProperty(value = "污泥PAM（kg）")
    @ExcelProperty(value = "污泥PAM（kg）")
    private Double pamWn;
    /**
     * 冰醋酸（kg）
     */
    @ApiModelProperty(value = "冰醋酸（kg）")
    @ExcelProperty(value = "冰醋酸（kg）")
    private Double bcs;
    /**
     * 污泥转量（m³）
     */
    @ApiModelProperty(value = "污泥转量（m³）")
    @ExcelProperty(value = "污泥转运量（km³）")
    private Double wnzl;

    @ApiModelProperty(value = "其他一厂")
    @ExcelProperty(value = "其他（一厂）（kg）")
    private Double otherOne;

    @ApiModelProperty(value = "其他二厂")
    @ExcelProperty(value = "其他（二厂）（kg）")
    private Double otherTwo;

    @ApiModelProperty(value = "一厂基本电费（万元）")
    @ExcelProperty(value = "一厂基本电费（万元）")
    private Double jbdfOne;

    @ApiModelProperty(value = "二厂基本电费（万元）")
    @ExcelProperty(value = "二厂基本电费（万元）")
    private Double jbdfTwo;

}
