/*
 Navicat Premium Data Transfer

 Source Server         : tf_xrty
 Source Server Type    : Oracle
 Source Server Version : 110200
 Source Host           : 192.168.2.242:1521
 Source Schema         : TF_XRTY

 Target Server Type    : Oracle
 Target Server Version : 110200
 File Encoding         : 65001

 Date: 16/03/2021 14:01:30
*/


-- ----------------------------
-- Table structure for TF_YWPN_BUILDPLAN_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BUILDPLAN_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BUILDPLAN_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BUILD_ID" NUMBER(15) ,
  "PLAN_ID" NUMBER(15) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDPLAN_W"."ID" IS '唯一标识编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDPLAN_W"."BUILD_ID" IS '工地ID,关联表TF_YWPN_BUILD_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDPLAN_W"."PLAN_ID" IS '计划ID关联表TF_YWPN__PLAN_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDPLAN_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDPLAN_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BUILDPLAN_W" IS '工地巡查计划关联信息表';

-- ----------------------------
-- Table structure for TF_YWPN_BUILDTYPE_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BUILDTYPE_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_BUILDTYPE_D" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(200 BYTE) ,
  "NOTES" VARCHAR2(500 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDTYPE_D"."ID" IS '唯一标识编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDTYPE_D"."NAME" IS '工地类型（代建工地、外部施工工地）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDTYPE_D"."NOTES" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDTYPE_D"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILDTYPE_D"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BUILDTYPE_D" IS '工地类型信息表';

-- ----------------------------
-- Table structure for TF_YWPN_BUILD_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BUILD_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BUILD_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TYPE_ID" NUMBER(15) ,
  "UPLOAD_TYPE" VARCHAR2(2 BYTE) ,
  "LGTD" NUMBER(15,6) ,
  "LTTD" NUMBER(15,6) ,
  "ADDRESS" VARCHAR2(255 BYTE) ,
  "SGDW" VARCHAR2(100 BYTE) ,
  "GDFZR" VARCHAR2(50 BYTE) ,
  "PHONE" VARCHAR2(20 BYTE) ,
  "NOTES" VARCHAR2(1000 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "UPLOAD_FILEIDS" VARCHAR2(200 BYTE) ,
  "ISCHEACK_READ" VARCHAR2(2 BYTE) ,
  "ISRESPECT" VARCHAR2(2 BYTE) ,
  "CHECK_NOTES" VARCHAR2(200 BYTE) ,
  "CHECK_USER" NUMBER(15) ,
  "CHECK_TIME" DATE ,
  "STATE" VARCHAR2(2 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."ID" IS '工地监护工单主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."TYPE_ID" IS '工地类型ID，关联表TF_YWPN_BUILDTYPE_D';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."UPLOAD_TYPE" IS '上报途径，0:手机端现场上报，1内业上报';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."LGTD" IS '上报位置经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."LTTD" IS '上报位置纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."SGDW" IS '施工单位名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."GDFZR" IS '施工负责人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."PHONE" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."NOTES" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."CREATE_TIME" IS '上报时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."CREATE_USER" IS '上报人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."UPLOAD_FILEIDS" IS '工地现场附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."ISCHEACK_READ" IS '审核人是否确认查收，0未查询，1已查收';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."ISRESPECT" IS '是否需要人员监护巡查，0否，1是';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."CHECK_NOTES" IS '审核说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."CHECK_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."CHECK_TIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BUILD_W"."STATE" IS '监护状态，0无需监护、1监护巡查、2已结束、3监护结束申请';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BUILD_W" IS '工地监护上报信息表';

-- ----------------------------
-- Table structure for TF_YWPN_BULIDCLEAR_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BULIDCLEAR_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BULIDCLEAR_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BUILD_ID" NUMBER(15) ,
  "NOTES" VARCHAR2(1000 BYTE) ,
  "CLEAR_FILEIDS" VARCHAR2(200 BYTE) ,
  "APPLAY_USER" NUMBER(15) ,
  "APPLAY_TIME" DATE ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "CHECK_NOTES" VARCHAR2(200 BYTE) ,
  "CHECK_TIME" DATE ,
  "CHEACK_SUGGEST" VARCHAR2(2 BYTE) ,
  "CHECK_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."BUILD_ID" IS '工地id，关联表TF_YWPN_BUILD_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."NOTES" IS '工地现场情况说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."CLEAR_FILEIDS" IS '结束监护附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."APPLAY_USER" IS '工地监护结束申请人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."APPLAY_TIME" IS '工地监护结束申请时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."ISREAD" IS '是否读取，0未读，1已读';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."STATE" IS '状态，0未审核，1已审核';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."CHECK_NOTES" IS '审核说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."CHECK_TIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."CHEACK_SUGGEST" IS '审核意见，0未审核、1同意、2不同意';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BULIDCLEAR_W"."CHECK_USER" IS '审核人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BULIDCLEAR_W" IS '工地监护结束记录表';

-- ----------------------------
-- Table structure for TF_YWPN_BWCJBL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWCJBL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWCJBL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_SBKJ" NUMBER(15) ,
  "BW_HGSL" NUMBER(5,2) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE ,
  "BW_BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJBL_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJBL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJBL_W"."BW_SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJBL_W"."BW_HGSL" IS '抽检比例';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJBL_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJBL_W"."CREATE_DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJBL_W"."BW_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWCJBL_W" IS '水表抽检比例配置表';

-- ----------------------------
-- Records of TF_YWPN_BWCJBL_W
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_BWCJBL_W" VALUES ('1', NULL, '1', '50', NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_BWCJBL_W" VALUES ('2', NULL, '2', '80', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for TF_YWPN_BWCJCODE_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWCJCODE_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWCJCODE_D" (
  "ID" NUMBER(15) NOT NULL ,
  "MC" VARCHAR2(50 BYTE) ,
  "YXBZ" VARCHAR2(50 BYTE) ,
  "BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJCODE_D"."ID" IS '编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJCODE_D"."MC" IS '名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJCODE_D"."YXBZ" IS '有效标志';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJCODE_D"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWCJCODE_D" IS '水表厂家编码表';

-- ----------------------------
-- Table structure for TF_YWPN_BWCJLXBM_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWCJLXBM_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWCJLXBM_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_CODE" VARCHAR2(50 BYTE) ,
  "BW_MC" VARCHAR2(50 BYTE) ,
  "BW_YXBZ" CHAR(1 BYTE) ,
  "CREATE_USER" NUMBER(10) ,
  "CREATE_ DATE" DATE ,
  "BW_BZ" VARCHAR2(200 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJLXBM_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJLXBM_W"."BW_CODE" IS '编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJLXBM_W"."BW_MC" IS '类型名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJLXBM_W"."BW_YXBZ" IS '有效标志(0,1)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJLXBM_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJLXBM_W"."CREATE_ DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCJLXBM_W"."BW_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWCJLXBM_W" IS '拆检记录类型表';

-- ----------------------------
-- Table structure for TF_YWPN_BWCKDATAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWCKDATAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWCKDATAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_SBCJ" VARCHAR2(20 BYTE) ,
  "BW_SBLX" VARCHAR2(20 BYTE) ,
  "BW_SBKJ" VARCHAR2(20 BYTE) ,
  "BW_SBQH" VARCHAR2(30 BYTE) ,
  "BW_SBZH" VARCHAR2(30 BYTE) ,
  "BW_SL" NUMBER(8) ,
  "BW_LQBM" NUMBER(15) ,
  "BW_LQRY" NUMBER(15) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_DATE" DATE ,
  "BW_BZ" VARCHAR2(100 BYTE) ,
  "BW_RKID" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_SBCJ" IS '水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_SBLX" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_SBQH" IS '水表起号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_SBZH" IS '水表止号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_SL" IS '数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_LQBM" IS '领取部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_LQRY" IS '领取人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."CREATE_DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_BZ" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWCKDATAIL_W"."BW_RKID" IS '入库记录明细表主键ID绑定，不是流水编号，方便查询';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWCKDATAIL_W" IS '水表出库批次记录表';

-- ----------------------------
-- Table structure for TF_YWPN_BWGZBCJDATAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH	" VARCHAR2(50 BYTE) ,
  "BW_SBBH	" VARCHAR2(50 BYTE) ,
  "BW_SBCJ" VARCHAR2(20 BYTE) ,
  "BW_SBLX	" VARCHAR2(20 BYTE) ,
  "BW_SBKJ	" VARCHAR2(20 BYTE) ,
  "BW_CJJL	" VARCHAR2(50 BYTE) ,
  "BW_JYJG	" CHAR(1 BYTE) ,
  "BW_ PHOTO" VARCHAR2(100 BYTE) ,
  "BW_FILEID" VARCHAR2(50 BYTE) ,
  "BW_JYRQ" DATE ,
  "CREATE_USER" NUMBER(10) ,
  "CREATE_ DATE" DATE ,
  "BW_BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_LSBH	" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_SBBH	" IS '水表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_SBCJ" IS '	水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_SBLX	" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_SBKJ	" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_CJJL	" IS '拆检记录(可选择类型)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_JYJG	" IS '检验结果(合格/不合格)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_ PHOTO" IS '不合格照片上传';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_FILEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_JYRQ" IS '	检验日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."CREATE_ DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W"."BW_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W" IS '故障表抽（拆检）记录';

-- ----------------------------
-- Table structure for TF_YWPN_BWHBDATAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWHBDATAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWHBDATAIL_W" (
  "ID" NUMBER(10) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_HBLX" VARCHAR2(20 BYTE) ,
  "BW_XBBH" VARCHAR2(50 BYTE) ,
  "BW_XBCJ" VARCHAR2(20 BYTE) ,
  "BW_XBLX" VARCHAR2(20 BYTE) ,
  "BW_XBKJ" VARCHAR2(20 BYTE) ,
  "BW_XBQD" VARCHAR2(50 BYTE) ,
  "BW_JBBH" VARCHAR2(50 BYTE) ,
  "BW_JBCJ" VARCHAR2(20 BYTE) ,
  "BW_JBLX" VARCHAR2(20 BYTE) ,
  "BW_JBKJ" VARCHAR2(20 BYTE) ,
  "BW_JBZD" VARCHAR2(50 BYTE) ,
  "BW_HBYY" VARCHAR2(200 BYTE) ,
  "BW_HBRY" VARCHAR2(50 BYTE) ,
  "BW_HBRQ" DATE ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_ DATE" DATE ,
  "BW_BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_HBLX" IS '换表型选择（表黑/雾等）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_XBBH" IS '新表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_XBCJ" IS '新表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_XBLX" IS '新表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_XBKJ" IS '新表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_XBQD" IS '新表起度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_JBBH" IS '旧表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_JBCJ" IS '旧表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_JBLX" IS '旧表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_JBKJ" IS '旧表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_JBZD" IS '旧表止度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_HBYY" IS '换表原因';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_HBRY" IS '换表人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_HBRQ" IS '换表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."CREATE_ DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWHBDATAIL_W"."BW_BZ" IS '备注说明';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWHBDATAIL_W" IS '水表换表记录表';

-- ----------------------------
-- Table structure for TF_YWPN_BWKJCODE_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWKJCODE_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWKJCODE_D" (
  "BM" NUMBER(15) NOT NULL ,
  "MC" VARCHAR2(50 BYTE) ,
  "YXBZ" VARCHAR2(50 BYTE) ,
  "BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWKJCODE_D"."BM" IS '编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWKJCODE_D"."MC" IS '名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWKJCODE_D"."YXBZ" IS '有效标志';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWKJCODE_D"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWKJCODE_D" IS '水表口径编码表';

-- ----------------------------
-- Table structure for TF_YWPN_BWLXCODE_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWLXCODE_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWLXCODE_D" (
  "BM" NUMBER(15) NOT NULL ,
  "MC" VARCHAR2(50 BYTE) ,
  "YXBZ" VARCHAR2(50 BYTE) ,
  "BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWLXCODE_D"."BM" IS '编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWLXCODE_D"."MC" IS '名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWLXCODE_D"."YXBZ" IS '有效标志';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWLXCODE_D"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWLXCODE_D" IS '水表状态编码表';

-- ----------------------------
-- Table structure for TF_YWPN_BWRKDETAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWRKDETAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWRKDETAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_PCMC" VARCHAR2(50 BYTE) ,
  "BW_SBCJ" NUMBER(15) ,
  "BW_SBLX" NUMBER(15) ,
  "BW_SBKJ" NUMBER(15) ,
  "BW_SL" NUMBER(10) ,
  "BW_BHQZ" VARCHAR2(100 BYTE) ,
  "BW_BQH" NUMBER(10) ,
  "BW_BZH" NUMBER(10) ,
  "CREATE_USER" NUMBER(10) ,
  "CREATE_DATE" DATE ,
  "BW_BZ" VARCHAR2(100 BYTE) ,
  "BW_KCZS" NUMBER(10) ,
  "BW_SYSL" NUMBER(10) ,
  "BW_KCSL" NUMBER(10) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_PCMC" IS '批次名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_SBCJ" IS '水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_SBLX" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_SL" IS '数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_BHQZ" IS '表号前缀（以字母）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_BQH" IS '表起号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_BZH" IS '表止号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."CREATE_DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_BZ" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_KCZS" IS '库存总数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_SYSL" IS '使用数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKDETAIL_W"."BW_KCSL" IS '库存数量';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWRKDETAIL_W" IS '入库记录明细表';

-- ----------------------------
-- Records of TF_YWPN_BWRKDETAIL_W
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKDETAIL_W" VALUES ('1', '20213115555', '第一次批次', '10', '25', '2', '11', 'SBTEST-', '90', '100', '9', TO_DATE('2021-03-15 18:49:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '11', '0', '11');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKDETAIL_W" VALUES ('2', '20213115555', '第一次批次', '10', '25', '1', '6', '2021SB-', '45', '50', '9', TO_DATE('2021-03-15 18:49:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '6', '0', '6');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKDETAIL_W" VALUES ('3', '20213115555', '第一次批次', '105', '1', '1', '11', 'GBTEST-', '49990', '50000', '9', TO_DATE('2021-03-15 18:49:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '11', '0', '11');

-- ----------------------------
-- Table structure for TF_YWPN_BWRKSBDATAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_SBBH" NUMBER(20) ,
  "BW_SBCJ" NUMBER(15) ,
  "BW_SBLX" NUMBER(15) ,
  "BW_SBKJ" NUMBER(15) ,
  "BW_SBZT" VARCHAR2(2 BYTE) ,
  "BW_KHBH" VARCHAR2(50 BYTE) ,
  "BW_KHXM" VARCHAR2(100 BYTE) ,
  "BW_KHDZ" VARCHAR2(100 BYTE) ,
  "BW_KHDH" VARCHAR2(30 BYTE) ,
  "BW_GSPQ" NUMBER(15) ,
  "BW_AZRQ" DATE ,
  "BW_AZRY" NUMBER(15) ,
  "BW_SBQD" NUMBER(5) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE ,
  "BW_BZ" VARCHAR2(200 BYTE) ,
  "BW_BHQZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_SBBH" IS '水表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_SBCJ" IS '水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_SBLX" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_SBZT" IS '水表状态;1：入库；2：出库；3：安装；4：报废';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_KHDH" IS '客户电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_GSPQ" IS '供水片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_AZRQ" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_AZRY" IS '安装人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_SBQD" IS '水表起度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."CREATE_DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_BZ" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W"."BW_BHQZ" IS '表号前缀（以字母）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" IS '入库水表明细表';

-- ----------------------------
-- Records of TF_YWPN_BWRKSBDATAIL_W
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('1', '20213115555', '90', '10', '25', '2', '3', '6666666', '王麻子', '成都市金堂县某街666门牌号', '17738871111', '1', TO_DATE('2021-03-16 12:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '9', '0', '9', TO_DATE('2021-03-16 10:13:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('2', '20213115555', '91', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('3', '20213115555', '92', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('4', '20213115555', '93', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('5', '20213115555', '94', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('6', '20213115555', '95', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('7', '20213115555', '96', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('8', '20213115555', '97', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('9', '20213115555', '98', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('10', '20213115555', '99', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('11', '20213115555', '100', '10', '25', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'SBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('12', '20213115555', '45', '10', '25', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2021SB-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('13', '20213115555', '46', '10', '25', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2021SB-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('14', '20213115555', '47', '10', '25', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2021SB-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('15', '20213115555', '48', '10', '25', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2021SB-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('16', '20213115555', '49', '10', '25', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2021SB-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('17', '20213115555', '50', '10', '25', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2021SB-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('18', '20213115555', '49990', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('19', '20213115555', '49991', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('20', '20213115555', '49992', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('21', '20213115555', '49993', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('22', '20213115555', '49994', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('23', '20213115555', '49995', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('24', '20213115555', '49996', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('25', '20213115555', '49997', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('26', '20213115555', '49998', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('27', '20213115555', '49999', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');
INSERT INTO "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" VALUES ('28', '20213115555', '50000', '105', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'GBTEST-');

-- ----------------------------
-- Table structure for TF_YWPN_BWRKTOTAL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWRKTOTAL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWRKTOTAL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(20 BYTE) ,
  "BW_SBCJ" NUMBER(15) ,
  "BW_SBLX" NUMBER(15) ,
  "BW_SBKJ" NUMBER(15) ,
  "BW_KCZS" NUMBER(10) ,
  "BW_SYSL" NUMBER(10) ,
  "BW_KCSL" NUMBER(10) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKTOTAL_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKTOTAL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKTOTAL_W"."BW_SBCJ" IS '水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKTOTAL_W"."BW_SBLX" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKTOTAL_W"."BW_SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKTOTAL_W"."BW_KCZS" IS '库存总数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKTOTAL_W"."BW_SYSL" IS '使用数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWRKTOTAL_W"."BW_KCSL" IS '库存数量';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWRKTOTAL_W" IS '入库汇总表';

-- ----------------------------
-- Table structure for TF_YWPN_BWSBAZ_TEMP
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP" (
  "ID" NUMBER NOT NULL ,
  "SBBH" NUMBER(20) ,
  "KHBH" VARCHAR2(50 BYTE) ,
  "KHXM" VARCHAR2(100 BYTE) ,
  "KHDZ" VARCHAR2(100 BYTE) ,
  "KHDH" VARCHAR2(30 BYTE) ,
  "SBQD" NUMBER(5) ,
  "AZRY" NUMBER(15) ,
  "AZRQ" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP"."SBBH" IS '水表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP"."KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP"."KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP"."KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP"."KHDH" IS '客户电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP"."SBQD" IS '水表起度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP"."AZRY" IS '安装人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP"."AZRQ" IS '安装日期';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP" IS '批量安装根据Excel表导入数据得到的零时表';

-- ----------------------------
-- Table structure for TF_YWPN_BWSBYJGL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWSBYJGL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWSBYJGL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_SBCJ" VARCHAR2(20 BYTE) ,
  "BW_SBLX" VARCHAR2(20 BYTE) ,
  "BW_SBKJ" VARCHAR2(20 BYTE) ,
  "BW_YJLX" VARCHAR2(20 BYTE) ,
  "BW_BHQH" NUMBER(20) ,
  "BW_BHQZ" NUMBER(20) ,
  "BW_YJSL" NUMBER(20) ,
  "BW_SBZD" NUMBER(20) ,
  "BW_YJYY" VARCHAR2(200 BYTE) ,
  "BW_JSBM" VARCHAR2(50 BYTE) ,
  "BW_JSRY" VARCHAR2(50 BYTE) ,
  "BW_YJRQ" DATE ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE ,
  "BW_RKBS" CHAR(1 BYTE) ,
  "BW_BZ" VARCHAR2(500 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 1048576 
  NEXT 1048576 
  MINEXTENTS 1
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_LSBH" IS '移交流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_SBCJ" IS '水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_SBLX" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_YJLX" IS '移交类型(0新表移交,1故障表移交,2周检表移交)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_BHQH" IS '表号起号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_BHQZ" IS '表号止号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_YJSL" IS '移交数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_SBZD" IS '水表止度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_YJYY" IS '移交原因';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_JSBM" IS '接收部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_JSRY" IS '接收人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_YJRQ" IS '移交日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."CREATE_USER" IS '创建人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."CREATE_DATE" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_RKBS" IS '新表移交入库标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBYJGL_W"."BW_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWSBYJGL_W" IS '水表移交管理表';

-- ----------------------------
-- Table structure for TF_YWPN_BWSBZJDATAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_KHBH" VARCHAR2(50 BYTE) ,
  "BW_KHXM" VARCHAR2(50 BYTE) ,
  "BW_KHDZ" VARCHAR2(100 BYTE) ,
  "BW_KHDH" VARCHAR2(20 BYTE) ,
  "BW_GSPQ" VARCHAR2(20 BYTE) ,
  "BW_ZJYF" VARCHAR2(20 BYTE) ,
  "BW_SBBH" VARCHAR2(50 BYTE) ,
  "BW_SBCJ" VARCHAR2(20 BYTE) ,
  "BW_SBLX" VARCHAR2(20 BYTE) ,
  "BW_SBKJ" VARCHAR2(20 BYTE) ,
  "BW_YSXZ" VARCHAR2(20 BYTE) ,
  "BW_SCRQ" DATE ,
  "BW_AZRQ" DATE ,
  "BW_BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."ID" IS '业务ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_KHDH" IS '客户电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_GSPQ" IS '供水片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_ZJYF" IS '周检月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_SBBH" IS '水表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_SBCJ" IS '水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_SBLX" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_YSXZ" IS '用水性质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_SCRQ" IS '生成日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_AZRQ" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W"."BW_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W" IS '周检计划管理';

-- ----------------------------
-- Table structure for TF_YWPN_BWSJBLGL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWSJBLGL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWSJBLGL_W" (
  "ID" NUMBER(8) NOT NULL ,
  "KJBM" VARCHAR2(20 BYTE) ,
  "SBKJ" VARCHAR2(20 BYTE) ,
  "SJBL" VARCHAR2(20 BYTE) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 1048576 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJBLGL_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJBLGL_W"."KJBM" IS '口径编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJBLGL_W"."SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJBLGL_W"."SJBL" IS '首检比例';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJBLGL_W"."CREATE_USER" IS '创建人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJBLGL_W"."CREATE_DATE" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWSJBLGL_W" IS '表务首检比例管理';

-- ----------------------------
-- Records of TF_YWPN_BWSJBLGL_W
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('1', '01', 'DN15', '10%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('2', '02', 'DN20', '10%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('3', '03', 'DN25', '10%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('4', '04', 'DN40', '5%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('5', '05', 'DN50', '5%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('6', '06', 'DN60', '5%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('7', '07', 'DN80', '5%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('8', '08', 'DN100', '5%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('9', '09', 'DN150', '5%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJBLGL_W" VALUES ('10', '10', 'DN200', '5%', '001', TO_DATE('2021-03-13 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for TF_YWPN_BWSJDATAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWSJDATAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWSJDATAIL_W" (
  "ID" NUMBER(15) DEFAULT 0  NOT NULL ,
  "BW_RKID" NUMBER(15) ,
  "BW_PCBH" VARCHAR2(50 BYTE) ,
  "BW_SBCJ" NUMBER(15) ,
  "BW_SBLX" NUMBER(15) ,
  "BW_SBKJ" NUMBER(15) ,
  "BW_SBSL" NUMBER(6) ,
  "BW_CJSL" NUMBER(6) ,
  "BW_CJBL" VARCHAR2(20 BYTE) ,
  "BW_HGSL" NUMBER(6) ,
  "BW_HGBL" VARCHAR2(20 BYTE) ,
  "BW_JYBM" NUMBER(15) ,
  "BW_JYRQ" DATE ,
  "OPERATE_USER" NUMBER(15) ,
  "OPERATE_DATE" DATE ,
  "BW_BZ" VARCHAR2(500 BYTE) ,
  "IS_CHECK" VARCHAR2(2 BYTE) DEFAULT 0  
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_RKID" IS '这里应该与入库记录明细表主键ID绑定';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_PCBH" IS '入库批量编号(与入库BW_LSBH相同)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_SBCJ" IS '水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_SBLX" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_SBSL" IS '水表数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_CJSL" IS '抽检数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_CJBL" IS '抽检比例';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_HGSL" IS '合格数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_HGBL" IS '合格比例';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_JYBM" IS '检验部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_JYRQ" IS '检验日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."OPERATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."OPERATE_DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."BW_BZ" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWSJDATAIL_W"."IS_CHECK" IS '是否检查处理；0：未处理；1：已处理';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWSJDATAIL_W" IS '水表首检表记录';

-- ----------------------------
-- Records of TF_YWPN_BWSJDATAIL_W
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJDATAIL_W" VALUES ('1', '1', '20213115555', '10', '25', '2', '11', '9', '80.0%', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0');
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJDATAIL_W" VALUES ('2', '2', '20213115555', '10', '25', '1', '6', '3', '50.0%', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0');
INSERT INTO "TF_XRTY"."TF_YWPN_BWSJDATAIL_W" VALUES ('3', '3', '20213115555', '105', '1', '1', '11', '6', '50.0%', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0');

-- ----------------------------
-- Table structure for TF_YWPN_BWZJBCJDATAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_SBBH" VARCHAR2(50 BYTE) ,
  "BW_SBCJ" VARCHAR2(20 BYTE) ,
  "BW_SBLX	" VARCHAR2(20 BYTE) ,
  "BW_SBKJ	" VARCHAR2(20 BYTE) ,
  "BW_Q1	" VARCHAR2(30 BYTE) ,
  "BW_Q2	" VARCHAR2(30 BYTE) ,
  "BW_Q3" VARCHAR2(255 BYTE) ,
  "BW_JYJG" CHAR(1 BYTE) ,
  "BW_PJZ" VARCHAR2(30 BYTE) ,
  "BW_JYRQ" DATE ,
  "CREATE_USER" NUMBER(10) ,
  "CREATE_ DATE" DATE ,
  "BW_BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_SBBH" IS '水表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_SBCJ" IS '水表厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_SBLX	" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_SBKJ	" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_Q1	" IS '最小流量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_Q2	" IS '分界流量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_Q3" IS '常用流量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_JYJG" IS '检验结果(合格/不合格)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_PJZ" IS '平均值（Q1,Q2,Q3的平均值）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_JYRQ" IS '检验日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."CREATE_ DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W"."BW_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W" IS '   水表周检轮换表（抽检）记录';

-- ----------------------------
-- Table structure for TF_YWPN_BWZTCODE_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWZTCODE_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWZTCODE_D" (
  "BM" NUMBER(15) NOT NULL ,
  "MC" VARCHAR2(50 BYTE) ,
  "YXBZ" VARCHAR2(50 BYTE) ,
  "BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZTCODE_D"."BM" IS '编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZTCODE_D"."MC" IS '名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZTCODE_D"."YXBZ" IS '有效标志';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZTCODE_D"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWZTCODE_D" IS '水表状态编码表';

-- ----------------------------
-- Table structure for TF_YWPN_BWZYSBJDDATAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BW_LSBH" VARCHAR2(50 BYTE) ,
  "BW_SJLY" VARCHAR2(50 BYTE) ,
  "BW_JYJG" CHAR(1 BYTE) ,
  "BW_JYRQ" DATE ,
  "BW_PHOTO" VARCHAR2(100 BYTE) ,
  "BW_FILEID" VARCHAR2(50 BYTE) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_ DATE" DATE ,
  "BW_BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."BW_LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."BW_SJLY" IS '数据来源';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."BW_JYJG" IS '检验结果（合格/不合格）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."BW_JYRQ" IS '检验日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."BW_PHOTO" IS '检验照片';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."BW_FILEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."CREATE_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."CREATE_ DATE" IS '操作时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W"."BW_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W" IS '水表争议记录表';

-- ----------------------------
-- Table structure for TF_YWPN_CODE_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_CODE_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_CODE_D" (
  "ID" NUMBER(15) NOT NULL ,
  "KEY" VARCHAR2(32 BYTE) ,
  "VALUE" VARCHAR2(32 BYTE) ,
  "NOTES" VARCHAR2(200 BYTE) ,
  "ULEVEL" CHAR(1 BYTE) ,
  "SORT" NUMBER(4) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_CODE_D"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_CODE_D"."KEY" IS '字段信息';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_CODE_D"."VALUE" IS '值信息';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_CODE_D"."NOTES" IS '值说明描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_CODE_D"."ULEVEL" IS '级别  1字典类级别，2系统类级别';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_CODE_D"."SORT" IS '排序号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_CODE_D"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_CODE_D"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_CODE_D" IS '系统编码表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGFIXEDYEAR_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "OVER_TIME " DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W"."STATE" IS '状态，0未填报、1已填报';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W"."OVER_TIME " IS '填报完成时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W" IS '预算制水单变记录信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGFIXED_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXED_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXED_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR_ID" NUMBER(15) ,
  "MOUTH" VARCHAR2(10 BYTE) ,
  "PACZFY_ONE" NUMBER(15,5) ,
  "PACZFY_TWO" NUMBER(15,5) ,
  "SYZFY_ONE" NUMBER(15,5) ,
  "YLZFY_TWO" NUMBER(15,5) ,
  "PAMZSZFY" NUMBER(15,5) ,
  "FTZFY" NUMBER(15,5) ,
  "CNZFY" NUMBER(15,5) ,
  "GMSJFHYZFY" NUMBER(15,5) ,
  "PAMWNZFY" NUMBER(15,5) ,
  "BCSZFY" NUMBER(15,5) ,
  "WNZYF" NUMBER(15,5) ,
  "JBDF_ONE" NUMBER(15,5) ,
  "JBDF_TWO" NUMBER(15,5) ,
  "JBDF_TOTAL" NUMBER(15,5) ,
  "DLDF_ONE" NUMBER(15,5) ,
  "DLDF_TWO" NUMBER(15,5) ,
  "DLDF_TOTAL" NUMBER(15,5) ,
  "YSF" NUMBER(15,5) ,
  "SZYSF_ONE" NUMBER(15,5) ,
  "SZYSF_TWO" NUMBER(15,5) ,
  "SZYSF_TOTAL" NUMBER(15,3) ,
  "DFCB_ONE" NUMBER(15,3) ,
  "DFCB_TWO" NUMBER(15,3) ,
  "DFCB_TOTAL" NUMBER(15,3) ,
  "PACCB_ONE" NUMBER(15,3) ,
  "SYCB_ONE" NUMBER(15,3) ,
  "CNCB_ONE" NUMBER(15,3) ,
  "BCSCB_ONE" NUMBER(15,3) ,
  "ZSCLCB_ONE" NUMBER(15,3) ,
  "PACCB_TWO" NUMBER(15,3) ,
  "YLCB_TWO" NUMBER(15,3) ,
  "PAMZSCB_TWO" NUMBER(15,3) ,
  "FTCB_TWO" NUMBER(15,3) ,
  "GMSJFHYCB_TWO" NUMBER(15,3) ,
  "PAMWNCB_TWO" NUMBER(15,3) ,
  "WNZYCB_TWO" NUMBER(15,3) ,
  "ZSCLCB_TWO" NUMBER(15,3) ,
  "ZSCLCB_TOTAL" NUMBER(15,3) ,
  "YSFCB" NUMBER(15,3) ,
  "SZYSFCB_ONE" NUMBER(15,3) ,
  "SZYSFCB_TWO" NUMBER(15,3) ,
  "SZYSFCB_TOTAL" NUMBER(15,3) ,
  "ZFY_ONE" NUMBER(15,3) ,
  "ZFY_TWO" NUMBER(15,3) ,
  "DWCB_ONE" NUMBER(15,3) ,
  "DWCB_TWO" NUMBER(15,3) ,
  "DWCB_TOTAL" NUMBER(15,3) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."YEAR_ID" IS '年份记录表ID，关联表TF_YWPN_COSTBGFIXEDYEAR_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."MOUTH" IS '年月，如2021-01';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."PACZFY_ONE" IS '一厂PAC总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."PACZFY_TWO" IS '二厂PAC总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."SYZFY_ONE" IS '一厂食盐总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."YLZFY_TWO" IS '二厂液氯总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."PAMZSZFY" IS '制水PAM总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."FTZFY" IS '粉碳总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."CNZFY" IS '次钠总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."GMSJFHYZFY" IS '高锰酸钾复合盐总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."PAMWNZFY" IS '污泥PAM总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."BCSZFY" IS '冰醋酸总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."WNZYF" IS '污泥转运费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."JBDF_ONE" IS '一厂基本电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."JBDF_TWO" IS '二厂基本电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."JBDF_TOTAL" IS '总基本电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DLDF_ONE" IS '一厂动力电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DLDF_TWO" IS '二厂动力电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DLDF_TOTAL" IS '总动力电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."YSF" IS '原水费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."SZYSF_ONE" IS '一厂水资源税费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."SZYSF_TWO" IS '二厂水资源税费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."SZYSF_TOTAL" IS '总水资源税费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DFCB_ONE" IS '一厂电费单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DFCB_TWO" IS '二厂电费单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DFCB_TOTAL" IS '总电费单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."PACCB_ONE" IS '一厂PAC单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."SYCB_ONE" IS '食盐单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."CNCB_ONE" IS '次钠单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."BCSCB_ONE" IS '冰醋酸单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."ZSCLCB_ONE" IS '一厂总制水材料单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."PACCB_TWO" IS '二厂PAC单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."YLCB_TWO" IS '液氯单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."PAMZSCB_TWO" IS '制水PAM单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."FTCB_TWO" IS '粉碳单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."GMSJFHYCB_TWO" IS '高锰酸钾复合盐单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."PAMWNCB_TWO" IS '污泥PAM单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."WNZYCB_TWO" IS '污泥转运单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."ZSCLCB_TWO" IS '二厂总制水材料单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."ZSCLCB_TOTAL" IS '总制水材料成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."YSFCB" IS '原水费成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."SZYSFCB_ONE" IS '一厂水资源税费成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."SZYSFCB_TWO" IS '二厂水资源税费成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."SZYSFCB_TOTAL" IS '总水资源税费成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."ZFY_ONE" IS '一厂总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."ZFY_TWO" IS '二厂总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DWCB_ONE" IS '一厂单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DWCB_TWO" IS '二厂单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."DWCB_TOTAL" IS '总单位变动成本（元/km?）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGFIXED_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXED_W" IS '预算制水单变填报信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGINDEXYEAR_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR" VARCHAR2(20 BYTE) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "OVER_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W"."STATE" IS '状态，0未填报、1已填报';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W"."OVER_TIME" IS '填报完成时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W" IS '预算指标记录信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGINDEX_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEX_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEX_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR_ID" NUMBER(20) ,
  "MONTH" VARCHAR2(10 BYTE) ,
  "PAC_ONE" NUMBER(15,5) ,
  "PAC_TWO" NUMBER(15,5) ,
  "SY_ONE" NUMBER(15,5) ,
  "YL_TWO" NUMBER(15,5) ,
  "PAM" NUMBER(15,5) ,
  "FT" NUMBER(15,5) ,
  "CN" NUMBER(15,5) ,
  "GMSJFHY" NUMBER(15,5) ,
  "PAM_WN" NUMBER(15,5) ,
  "BCS" NUMBER(15,5) ,
  "WNZL" NUMBER(15,5) ,
  "DLDL_ONE" NUMBER(15,5) ,
  "DLDL_TWO" NUMBER(15,5) ,
  "DLDL_TOTAL" NUMBER(15,5) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."YEAR_ID" IS '年份记录表ID，关联表TF_YWPN_COSTBGINDEXYEAR_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."MONTH" IS '年月，如2021-01';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."PAC_ONE" IS '一厂PAC（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."PAC_TWO" IS '二厂PAC（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."SY_ONE" IS '一厂食盐（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."YL_TWO" IS '二厂液氯（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."PAM" IS '制水PAM（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."FT" IS '粉碳（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."CN" IS '次钠（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."GMSJFHY" IS '高锰酸钾复合盐（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."PAM_WN" IS '污泥PAM（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."BCS" IS '冰醋酸（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."WNZL" IS '污泥转量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."DLDL_ONE" IS '一厂动力电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."DLDL_TWO" IS '二厂动力电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."DLDL_TOTAL" IS '总动力电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGINDEX_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEX_W" IS '预算指标记录信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGPRICE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGPRICE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGPRICE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "PACDJ" NUMBER(15,3) ,
  "YLDJ" NUMBER(15,3) ,
  "PAM_ZSDJ" NUMBER(15,3) ,
  "PAM_WNDJ" NUMBER(15,3) ,
  "FTDJ" NUMBER(15,3) ,
  "CNDJ" NUMBER(15,3) ,
  "GMSJFHYDJ" NUMBER(15,3) ,
  "SYDJ" NUMBER(15,3) ,
  "DLDDJ_ONE" NUMBER(15,3) ,
  "DLDDJ_TWO" NUMBER(15,3) ,
  "WNZYDJ" NUMBER(15,3) ,
  "YSFDJ" NUMBER(15,3) ,
  "SZYSDJ" NUMBER(15,3) ,
  "BCSDJ" NUMBER(15,3) ,
  "SNEW" VARCHAR2(2 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."PACDJ" IS 'PAC（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."YLDJ" IS 'YLDJ	液氯（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."PAM_ZSDJ" IS '制水PAM（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."PAM_WNDJ" IS '污泥PAM（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."FTDJ" IS '粉碳（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."CNDJ" IS '次钠（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."GMSJFHYDJ" IS '高锰酸钾复合盐（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."SYDJ" IS '食盐（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."DLDDJ_ONE" IS '动力电单价（一厂）（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."DLDDJ_TWO" IS '动力电单价（二厂）（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."WNZYDJ" IS '污泥转运单价（元/m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."YSFDJ" IS '原水费单价（元/m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."SZYSDJ" IS '水资源税单价（元/m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."BCSDJ" IS '冰醋酸（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."SNEW" IS '是否为最新单价，1是，0否';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGPRICE_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGPRICE_W" IS '预算指标单价信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGUNITYEAR_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR" VARCHAR2(20 BYTE) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "OVER_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W"."STATE" IS '状态，0未填报、1已填报';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W"."OVER_TIME" IS '填报完成时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W" IS '预算指标单耗记录信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGUNIT_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGUNIT_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGUNIT_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR_ID" NUMBER(15) ,
  "MONTH" VARCHAR2(20 BYTE) ,
  "PACDH_ONE" NUMBER(15,5) ,
  "PACDH_TWO" NUMBER(15,5) ,
  "SYDH_ONE" NUMBER(15,5) ,
  "YLDH_TWO" NUMBER(15,5) ,
  "DH_ONE" NUMBER(15,5) ,
  "DH_TWO" NUMBER(15,5) ,
  "DH_TOTAL" NUMBER(15,5) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."YEAR_ID" IS '年份记录表ID，关联表TF_YWPN_COSTBGUNITYEAR_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."MONTH" IS '年月，如2021-01';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."PACDH_ONE" IS '一厂PAC单耗（kg/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."PACDH_TWO" IS '二厂PAC单耗（kg/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."SYDH_ONE" IS '一厂食盐单耗（kg/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."YLDH_TWO" IS '二厂液氯单耗（kg/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."DH_ONE" IS '一厂制水单位电耗（kwh/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."DH_TWO" IS '二厂制水单位电耗（kwh/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."DH_TOTAL" IS '总制水单位电耗(kwh/km³)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGUNIT_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGUNIT_W" IS '预算指标单耗填报信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGWATERYEAR_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "OVER_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W"."ID" IS '主键id';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W"."STATE" IS '状态，0未填报、1已填报';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W"."OVER_TIME" IS '填报完成时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W" IS '预算水量记录信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTBGWATER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTBGWATER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTBGWATER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR_ID" NUMBER(15) ,
  "MONTH" VARCHAR2(10 BYTE) ,
  "GSL_ONE" NUMBER(15,5) ,
  "GSL_TWO" NUMBER(15,5) ,
  "GSL_QBJ" NUMBER(15,5) ,
  "GSL_TOTAL" NUMBER(15,5) ,
  "ZSL_ONE" NUMBER(15,5) ,
  "ZSL_TWO" NUMBER(15,5) ,
  "ZSL_HQSK" NUMBER(15,5) ,
  "ZSL_TOTAL" NUMBER(15,5) ,
  "SSL_TOTAL" NUMBER(15,5) ,
  "ZYSL_ONE" NUMBER(15,5) ,
  "ZYSL_TWO" NUMBER(15,5) ,
  "ZYSL_TOTAL" NUMBER(15,5) ,
  "ZYSLL_ONE" NUMBER(8,3) ,
  "ZYSLL_TWO" NUMBER(8,3) ,
  "ZYSLL_TOTAL" NUMBER(8,3) ,
  "WSPSL" NUMBER(15,5) ,
  "CXC" NUMBER(8,3) ,
  "LSL" NUMBER(8,3) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."YEAR_ID" IS '年份记录表ID，关联表TF_YWPN_COSTBGWATERYEAR_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."MONTH" IS '年月，如2021-01';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."GSL_ONE" IS '一厂供水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."GSL_TWO" IS '二厂供水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."GSL_QBJ" IS '青白江转供水（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."GSL_TOTAL" IS '总供水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZSL_ONE" IS '一厂制水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZSL_TWO" IS '二厂制水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZSL_HQSK" IS '红旗水库制水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZSL_TOTAL" IS '总制水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."SSL_TOTAL" IS '总售水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZYSL_ONE" IS '一厂自用水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZYSL_TWO" IS '二厂自用水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZYSL_TOTAL" IS '总自用水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZYSLL_ONE" IS '一厂自用水率（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZYSLL_TWO" IS '二厂自用水率（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."ZYSLL_TOTAL" IS '总自用水率（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."WSPSL" IS '未上盘水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."CXC" IS '产销差（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."LSL" IS '漏损率（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTBGWATER_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTBGWATER_W" IS '预算水量填报信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTCALCCONFIG_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W" (
  "ID" NUMBER(15) NOT NULL ,
  "START_DATE" DATE ,
  "END_DATE" DATE ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W"."START_DATE" IS '每月计算开始时间，上月26日';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W"."END_DATE" IS '每月计算结束时间，本月25日';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W" IS '计算配置信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTPRESTATION_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTPRESTATION_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTPRESTATION_W" (
  "ID" NUMBER(15) NOT NULL ,
  "UP_DATE" DATE ,
  "PRE_TYPE" NUMBER(15) ,
  "PRE_STCD" VARCHAR2(50 BYTE) ,
  "GSL" NUMBER(15,3) ,
  "DL" NUMBER(15,3) ,
  "DWHD" NUMBER(15,3) ,
  "FDSC" NUMBER(15,3) ,
  "FDYYL" NUMBER(15,3) ,
  "GSCB" NUMBER(15,3) ,
  "GSL_MAX" NUMBER(15,3) ,
  "GSL_MIN" NUMBER(15,3) ,
  "GSL_AVG" NUMBER(15,3) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."UP_DATE" IS '填报日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."PRE_TYPE" IS '加压站ID，关联表TF_YWPN_SCADASTATION_B关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."PRE_STCD" IS '加压站编号，关联表TF_YWPN_SCADASTATION_B（保留字段）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."GSL" IS '供水量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."DL" IS '电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."DWHD" IS '单位耗电（kwh/Km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."FDSC" IS '发电时长（h）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."FDYYL" IS '发电用油量（L）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."GSCB" IS '供水成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."GSL_MAX" IS '最大日供水量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."GSL_MIN" IS '最小日供水量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."GSL_AVG" IS '平均日供水量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTPRESTATION_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTPRESTATION_W" IS '加压站指标填报信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTRLFIXED_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTRLFIXED_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTRLFIXED_W" (
  "ID" NUMBER(15) NOT NULL ,
  "UP_DATE" DATE ,
  "PACZFY_ONE" NUMBER(15,5) ,
  "PACZFY_TWO" NUMBER(15,5) ,
  "SYZFY_ONE" NUMBER(15,5) ,
  "YLZFY_TWO" NUMBER(15,5) ,
  "PAMZSZFY" NUMBER(15,5) ,
  "FTZFY" NUMBER(15,5) ,
  "CNZFY" NUMBER(15,5) ,
  "GMSJFHYZFY" NUMBER(15,5) ,
  "PAMWNZFY" NUMBER(15,5) ,
  "BCSZFY" NUMBER(15,5) ,
  "WNZYF" NUMBER(15,5) ,
  "JBDF_ONE" NUMBER(15,5) ,
  "JBDF_TWO" NUMBER(15,5) ,
  "JBDF_TOTAL" NUMBER(15,5) ,
  "DLDF_ONE" NUMBER(15,5) ,
  "DLDF_TWO" NUMBER(15,5) ,
  "DLDF_TOTAL" NUMBER(15,5) ,
  "YSF" NUMBER(15,5) ,
  "SZYSF_ONE" NUMBER(15,5) ,
  "SZYSF_TWO" NUMBER(15,5) ,
  "SZYSF_TOTAL" NUMBER(15,5) ,
  "DFCB_ONE" NUMBER(15,3) ,
  "DFCB_TWO" NUMBER(15,3) ,
  "DFCB_TOTAL" NUMBER(15,3) ,
  "PACCB_ONE" NUMBER(15,3) ,
  "SYCB_ONE" NUMBER(15,3) ,
  "CNCB_ONE" NUMBER(15,3) ,
  "BCSCB_ONE" NUMBER(15,3) ,
  "ZSCLCB_ONE" NUMBER(15,3) ,
  "PACCB_TWO" NUMBER(15,3) ,
  "YLCB_TWO" NUMBER(15,3) ,
  "PAMZSCB_TWO" NUMBER(15,3) ,
  "FTCB_TWO" NUMBER(15,3) ,
  "GMSJFHYCB_TWO" NUMBER(15,3) ,
  "PAMWNCB_TWO" NUMBER(15,3) ,
  "WNZYCB_TWO" NUMBER(15,3) ,
  "ZSCLCB_TWO" NUMBER(15,3) ,
  "ZSCLCB_TOTAL" NUMBER(15,3) ,
  "YSFCB" NUMBER(15,3) ,
  "SZYSFCB_ONE" NUMBER(15,3) ,
  "SZYSFCB_TWO" NUMBER(15,3) ,
  "SZYSFCB_TOTAL" NUMBER(15,3) ,
  "ZFY_ONE" NUMBER(15,3) ,
  "ZFY_TWO" NUMBER(15,3) ,
  "DWCB_ONE" NUMBER(15,3) ,
  "DWCB_TWO" NUMBER(15,3) ,
  "DWCB_TOTAL" NUMBER(15,3) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."UP_DATE" IS '填报日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."PACZFY_ONE" IS '一厂PAC总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."PACZFY_TWO" IS '二厂PAC总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."SYZFY_ONE" IS '一厂食盐总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."YLZFY_TWO" IS '二厂液氯总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."PAMZSZFY" IS '制水PAM总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."FTZFY" IS '粉碳总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."CNZFY" IS '次钠总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."GMSJFHYZFY" IS '高锰酸钾复合盐总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."PAMWNZFY" IS '污泥PAM总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."BCSZFY" IS '冰醋酸总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."WNZYF" IS '污泥转运费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."JBDF_ONE" IS '一厂基本电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."JBDF_TWO" IS '二厂基本电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."JBDF_TOTAL" IS '总基本电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DLDF_ONE" IS '一厂动力电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DLDF_TWO" IS '二厂动力电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DLDF_TOTAL" IS '总动力电费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."YSF" IS '原水费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."SZYSF_ONE" IS '一厂水资源税费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."SZYSF_TWO" IS '二厂水资源税费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."SZYSF_TOTAL" IS '总水资源税费（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DFCB_ONE" IS '一厂电费单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DFCB_TWO" IS '二厂电费单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DFCB_TOTAL" IS '总电费单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."PACCB_ONE" IS '一厂PAC单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."SYCB_ONE" IS '食盐单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."CNCB_ONE" IS '次钠单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."BCSCB_ONE" IS '冰醋酸单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."ZSCLCB_ONE" IS '一厂总制水材料单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."PACCB_TWO" IS '二厂PAC单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."YLCB_TWO" IS '液氯单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."PAMZSCB_TWO" IS '制水PAM单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."FTCB_TWO" IS '粉碳单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."GMSJFHYCB_TWO" IS '高锰酸钾复合盐单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."PAMWNCB_TWO" IS '污泥PAM单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."WNZYCB_TWO" IS '污泥转运单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."ZSCLCB_TWO" IS '二厂总制水材料单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."ZSCLCB_TOTAL" IS '总制水材料成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."YSFCB" IS '原水费成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."SZYSFCB_ONE" IS '一厂水资源税费成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."SZYSFCB_TWO" IS '二厂水资源税费成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."SZYSFCB_TOTAL" IS '总水资源税费成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."ZFY_ONE" IS '一厂总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."ZFY_TWO" IS '二厂总费用（万元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DWCB_ONE" IS '一厂单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DWCB_TWO" IS '二厂单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."DWCB_TOTAL" IS '总单位变动成本（元/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLFIXED_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTRLFIXED_W" IS '实际制水单变填报信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTRLPRICE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTRLPRICE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTRLPRICE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "PACDJ" NUMBER(15,3) ,
  "YLDJ" NUMBER(15,3) ,
  "PAM_ZSDJ" NUMBER(15,3) ,
  "PAM_WNDJ" NUMBER(15,3) ,
  "FTDJ" NUMBER(15,3) ,
  "CNDJ" NUMBER(15,3) ,
  "GMSJFHYDJ" NUMBER(15,3) ,
  "SYDJ" NUMBER(15,3) ,
  "DLDDJ_ONE" NUMBER(15,3) ,
  "DLDDJ_TWO" NUMBER(15,3) ,
  "WNZYDJ" NUMBER(15,3) ,
  "YSFDJ" NUMBER(15,3) ,
  "SZYSDJ" NUMBER(15,3) ,
  "BCSDJ" NUMBER(15,3) ,
  "ISNEW" VARCHAR2(2 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."PACDJ" IS 'PAC（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."YLDJ" IS '液氯（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."PAM_ZSDJ" IS '制水PAM（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."PAM_WNDJ" IS '污泥PAM（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."FTDJ" IS '粉碳（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."CNDJ" IS '次钠（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."GMSJFHYDJ" IS '高锰酸钾复合盐（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."SYDJ" IS '食盐（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."DLDDJ_ONE" IS '动力电单价（一厂）（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."DLDDJ_TWO" IS '动力电单价（二厂）（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."WNZYDJ" IS '污泥转运单价（元/m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."YSFDJ" IS '原水费单价（元/m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."SZYSDJ" IS '水资源税单价（元/m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."BCSDJ" IS '冰醋酸（元/kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."ISNEW" IS '是否为最新单价，1是，0否';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLPRICE_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTRLPRICE_W" IS '实际指标单价信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTRLUNIT_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTRLUNIT_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTRLUNIT_W" (
  "ID" NUMBER(15) NOT NULL ,
  "UP_DATE" DATE ,
  "PACDH_ONE" NUMBER(15,5) ,
  "PACDH_TWO" NUMBER(15,5) ,
  "SYDH_ONE" NUMBER(15,5) ,
  "YLDH_TWO" NUMBER(15,5) ,
  "DH_ONE" NUMBER(15,5) ,
  "DH_TWO" NUMBER(15,5) ,
  "DH_TOTAL" NUMBER(15,5) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."UP_DATE" IS '填报日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."PACDH_ONE" IS '一厂PAC单耗（kg/km³））';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."PACDH_TWO" IS '二厂PAC单耗（kg/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."SYDH_ONE" IS '一厂食盐单耗（kg/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."YLDH_TWO" IS '二厂液氯单耗（kg/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."DH_ONE" IS '一厂制水单位电耗（kwh/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."DH_TWO" IS '二厂制水单位电耗（kwh/km³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."DH_TOTAL" IS '总制水单位电耗(kwh/km³)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLUNIT_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTRLUNIT_W" IS '实际指标单耗填报信息表';

-- ----------------------------
-- Table structure for TF_YWPN_COSTRLWATER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_COSTRLWATER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_COSTRLWATER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "UP_DATE" DATE ,
  "GSL_ONE" NUMBER(15,5) ,
  "GSL_TWO" NUMBER(15,5) ,
  "GSL_QBJ" NUMBER(15,5) ,
  "GSL_TOTAL" NUMBER(15,5) ,
  "ZSL_ONE" NUMBER(15,5) ,
  "ZSL_TWO" NUMBER(15,5) ,
  "ZSL_HQSK" NUMBER(15,5) ,
  "ZSL_TOTAL" NUMBER(15,5) ,
  "SSL_TOTAL" NUMBER(15,5) ,
  "ZYSL_ONE" NUMBER(15,5) ,
  "ZYSL_TWO" NUMBER(15,5) ,
  "ZYSL_TOTAL" NUMBER(15,5) ,
  "ZYSLL_ONE" NUMBER(8,5) ,
  "ZYSLL_TWO" NUMBER(8,5) ,
  "ZYSLL_TOTAL" NUMBER(8,5) ,
  "WSPSL" NUMBER(15,5) ,
  "CXC" NUMBER(8,5) ,
  "LSL" NUMBER(8,5) ,
  "PAC_ONE" NUMBER(15,5) ,
  "PAC_TWO" NUMBER(15,5) ,
  "SY_ONE" NUMBER(15,5) ,
  "YL_TWO" NUMBER(15,5) ,
  "PAM" NUMBER(15,5) ,
  "FT" NUMBER(15,5) ,
  "CN" NUMBER(15,5) ,
  "GMSJFHY" NUMBER(15,5) ,
  "PAM_WY" NUMBER(15,5) ,
  "BCS" NUMBER(15,5) ,
  "WNZL" NUMBER(15,5) ,
  "DLDL_ONE" NUMBER(15,5) ,
  "DLDL_TWO" NUMBER(15,5) ,
  "DLDL_TOTAL" NUMBER(15,5) ,
  "JBDL_ONE" NUMBER(15,5) ,
  "JBDL_TWO" NUMBER(15,5) ,
  "JBDL_TOTAL" NUMBER(15,5) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."UP_DATE" IS '填报日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."GSL_ONE" IS '一厂供水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."GSL_TWO" IS '二厂供水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."GSL_QBJ" IS '青白江转供水（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."GSL_TOTAL" IS '总供水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZSL_ONE" IS '一厂制水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZSL_TWO" IS '二厂制水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZSL_HQSK" IS '红旗水库制水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZSL_TOTAL" IS '总制水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."SSL_TOTAL" IS '售水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZYSL_ONE" IS '一厂自用水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZYSL_TWO" IS '二厂自用水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZYSL_TOTAL" IS '总自用水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZYSLL_ONE" IS '一厂自用水率（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZYSLL_TWO" IS '二厂自用水率（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."ZYSLL_TOTAL" IS '总自用水率（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."WSPSL" IS '未上盘水量（万m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."CXC" IS '产销差（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."LSL" IS '漏损率（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."PAC_ONE" IS '一厂PAC（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."PAC_TWO" IS '二厂PAC（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."SY_ONE" IS '一厂食盐（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."YL_TWO" IS '二厂液氯（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."PAM" IS '制水PAM（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."FT" IS '粉碳（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."CN" IS '次钠（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."GMSJFHY" IS '高锰酸钾复合盐（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."PAM_WY" IS '污泥PAM（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."BCS" IS '冰醋酸（kg）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."WNZL" IS '污泥转量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."DLDL_ONE" IS '一厂动力电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."DLDL_TWO" IS '二厂动力电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."DLDL_TOTAL" IS '总动力电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."JBDL_ONE" IS '一厂基本电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."JBDL_TWO" IS '二厂基本电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."JBDL_TOTAL" IS '总基本电量（kwh）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_COSTRLWATER_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_COSTRLWATER_W" IS '实际制水指标填报信息表';

-- ----------------------------
-- Records of TF_YWPN_COSTRLWATER_W
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('1', TO_DATE('2021-03-15 19:52:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '30', NULL, NULL, NULL, NULL, '25', NULL, NULL, NULL, NULL, NULL, NULL, '12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('2', TO_DATE('2021-03-09 19:52:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '50', NULL, NULL, NULL, NULL, '20', NULL, NULL, NULL, NULL, NULL, NULL, '10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('3', TO_DATE('2021-03-03 19:53:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '70', NULL, NULL, NULL, NULL, '60', NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('4', TO_DATE('2021-04-14 19:55:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '62', NULL, NULL, NULL, NULL, '15', NULL, NULL, NULL, NULL, NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('5', TO_DATE('2021-04-24 19:55:34', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '100', NULL, NULL, NULL, NULL, '50', NULL, NULL, NULL, NULL, NULL, NULL, '3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('6', TO_DATE('2021-02-11 19:55:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '200', NULL, NULL, NULL, NULL, '130', NULL, NULL, NULL, NULL, NULL, NULL, '5', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('7', TO_DATE('2021-02-03 19:56:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '50', NULL, NULL, NULL, NULL, '39', NULL, NULL, NULL, NULL, NULL, NULL, '6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('8', TO_DATE('2021-03-28 19:56:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '38', NULL, NULL, NULL, NULL, '20', NULL, NULL, NULL, NULL, NULL, NULL, '9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('9', TO_DATE('2020-02-14 10:37:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '100', NULL, NULL, NULL, NULL, '10', NULL, NULL, NULL, NULL, NULL, NULL, '11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_COSTRLWATER_W" VALUES ('10', TO_DATE('2020-07-17 10:38:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '250', NULL, NULL, NULL, NULL, '70', NULL, NULL, NULL, NULL, NULL, NULL, '10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for TF_YWPN_DEVICEMANAGER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "CZSB_ID" NUMBER(15) ,
  "PLAN_ID" NUMBER(15) ,
  "START_TIME" DATE ,
  "END_TIME" DATE ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "USE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W"."CZSB_ID" IS '车载设备ID，关联表TF_YWPN_GPSDEVICE_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W"."PLAN_ID" IS '子计划ID，关联表TF_YWPN_PLANCHILD_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W"."START_TIME" IS '开始使用时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W"."END_TIME" IS '结束使用时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W"."USE_USER" IS '使用者';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W" IS '车载设备使用情况管理表:TF_YWPN_DEVICEMANAGER_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMAANDOBSER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMAANDOBSER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMAANDOBSER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DMA_ID" NUMBER(15) ,
  "TABLE_ID" NUMBER(15) ,
  "ISOUT" VARCHAR2(2 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAANDOBSER_W"."DMA_ID" IS '所属片区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAANDOBSER_W"."TABLE_ID" IS '表ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAANDOBSER_W"."ISOUT" IS '0：入口；1：出口';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAANDOBSER_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAANDOBSER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMAANDOBSER_W" IS 'DMA分区与观察表关系信息表：TF_YWPN_DMAANDOBSER_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMAMONTHFLOW_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DMA_ID" NUMBER(15) ,
  "INFLOW" NUMBER(10,3) ,
  "OUTFLOW" NUMBER(10,3) ,
  "PERCENT" NUMBER(5,2) ,
  "MONTH" DATE ,
  "SOURCE" VARCHAR2(2 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W"."DMA_ID" IS '分区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W"."INFLOW" IS '入口总水量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W"."OUTFLOW" IS '出口总水量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W"."PERCENT" IS '百分比，分区累计总分水量差量占总水量的百分比，单位：%';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W"."MONTH" IS '月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W"."SOURCE" IS '数据来源，0：自动；1：人工';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W" IS '分区水量月统计信息表：TF_YWPN_DMAMOUTHFLOW_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMAREGIONUPIPE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DMA_ID" NUMBER(15) ,
  "MATERIAL" VARCHAR2(20 BYTE) ,
  "VILLAGE_TYPE" VARCHAR2(20 BYTE) ,
  "FIX_YEAR" VARCHAR2(10 BYTE) ,
  "PIPE_LEN" NUMBER(10,3) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W"."DMA_ID" IS '分区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W"."MATERIAL" IS '材质，如：PE、金属';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W"."VILLAGE_TYPE" IS '管径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W"."FIX_YEAR" IS '安装年限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W"."PIPE_LEN" IS '管长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W" IS 'DMA分区管网情况信息表：TF_YWPN_DMAREGIONUPIPE_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMAREGIONUSER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DMA_ID" NUMBER(15) ,
  "VILLAGE_TYPE" VARCHAR2(2 BYTE) ,
  "USER_NUM" NUMBER(8) ,
  "AVG_FLOW" NUMBER(10,3) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W"."DMA_ID" IS '分区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W"."VILLAGE_TYPE" IS '小区类别（1高档、2中档、3拆迁安置）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W"."USER_NUM" IS '客户数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W"."AVG_FLOW" IS '户均流浪（m³/h）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W" IS 'DMA分区客户情况信息表：TF_YWPN_DMAREGIONUSER_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMAREGION_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMAREGION_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMAREGION_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DMA_CODE" VARCHAR2(10 BYTE) ,
  "GEOMETRY" VARCHAR2(4000 BYTE) ,
  "DMA_NAME" VARCHAR2(50 BYTE) ,
  "AREAS" NUMBER(10,3) ,
  "PIPE_LEN" NUMBER(10,3) ,
  "REF_STANDARD" NUMBER(10,3) ,
  "MIN_DIFF" NUMBER(5,2) ,
  "MAX_DIFF" NUMBER(5,2) ,
  "PID" NUMBER(15) ,
  "ISYC" VARCHAR2(2 BYTE) ,
  "NOTES" VARCHAR2(500 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."DMA_CODE" IS '分区编码，按DMA+级别数（一级01，二级02，三级03，...）+4位构建顺序号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."GEOMETRY" IS '分区图形JSON字符串';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."DMA_NAME" IS '分区名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."AREAS" IS '分区面积（㎡）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."PIPE_LEN" IS '分区总管长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."REF_STANDARD" IS '参考基准值（㎡/h）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."MIN_DIFF" IS '最小分区总分差范围（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."MAX_DIFF" IS '最大分区总分差范围（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."PID" IS '父级分区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."ISYC" IS '是否全为远传表，0：否；1：是';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."NOTES" IS '备注说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAREGION_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMAREGION_W" IS 'DMA分区信息表：TF_YWPN_DMAREGION_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMATABLECHANGE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TABLE_ID" NUMBER(15) ,
  "OLD_SCHC" VARCHAR2(50 BYTE) ,
  "OLD_BORE" NUMBER(15) ,
  "OLD_START" NUMBER(10,3) ,
  "OLD_END" NUMBER(10,3) ,
  "NEW_SCH" VARCHAR2(50 BYTE) ,
  "NEW_BORE" NUMBER(15) ,
  "NEW_START" NUMBER(10,3) ,
  "NEW_END" NUMBER(10,3) ,
  "RECKON" NUMBER(10,3) ,
  "START_CTIME" DATE ,
  "CHANG_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."TABLE_ID" IS '表ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."OLD_SCHC" IS '旧表表号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."OLD_BORE" IS '旧表口径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."OLD_START" IS '旧表起始读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."OLD_END" IS '旧表终止读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."NEW_SCH" IS '新表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."NEW_BORE" IS '新表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."NEW_START" IS '新表起始读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."NEW_END" IS '旧表终止读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."RECKON" IS '区间预估水量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."START_CTIME" IS '故障发生时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."CHANG_TIME" IS '换表时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W" IS '区域表更换记录信息表：TF_YWPN_DMATABLECHANGE_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMATABLEFLOW_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TABLE_ID" NUMBER(15) ,
  "FLOW" NUMBER(10,3) ,
  "COLLECT_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W"."TABLE_ID" IS '表ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W"."FLOW" IS '流量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W"."COLLECT_TIME" IS '采集时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W" IS '流量采集数据记录信息表：TF_YWPN_DMATABLEFLOW_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMATABLEMONTH_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TABLE_ID" NUMBER(15) ,
  "FLOW" NUMBER(10,3) ,
  "MONTH" DATE ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W"."TABLE_ID" IS '表ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W"."FLOW" IS '总水量（m³）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W"."MONTH" IS '月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W" IS '区域表月统计信息表：TF_YWPN_DMATABLEMONTH_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMATABLEPRESS_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TABLE_ID" NUMBER(15) ,
  "PRESS" NUMBER(10,3) ,
  "COLLECT_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W"."TABLE_ID" IS '表ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W"."PRESS" IS '压力数据';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W"."COLLECT_TIME" IS '采集时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W" IS '压力采集数据记录信息表：TF_YWPN_DMATABLEPRESS_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMATABLE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMATABLE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMATABLE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DMA_ID" NUMBER(15) ,
  "SCH_CODE" VARCHAR2(50 BYTE) ,
  "SCH" VARCHAR2(50 BYTE) ,
  "BORE" VARCHAR2(20 BYTE) ,
  "PHENOTYPE" VARCHAR2(20 BYTE) ,
  "FACTORY" VARCHAR2(100 BYTE) ,
  "MIN_FLOW" NUMBER(10,3) ,
  "ISFLOW" VARCHAR2(2 BYTE) ,
  "ISPRESS" VARCHAR2(2 BYTE) ,
  "ADDRESS" VARCHAR2(500 BYTE) ,
  "LGTD" NUMBER(10,5) ,
  "LTTD" NUMBER(10,5) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."DMA_ID" IS '所属片区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."SCH_CODE" IS '表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."SCH" IS '表号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."BORE" IS '口径（mm），15,20,25,40,50,80,100,200';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."PHENOTYPE" IS '表类型，包括普通表、机械表、远程表';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."FACTORY" IS '厂家名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."MIN_FLOW" IS '夜间最小流量阈值（m³/h）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."ISFLOW" IS '是否参与夜间最小流量计算；0：不参与；1：参与';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."ISPRESS" IS '是否采集压力数据；0：不采集；1：采集';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."LGTD" IS '经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."LTTD" IS '纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMATABLE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMATABLE_W" IS '区域表管理信息表：TF_YWPN_DMATABLE_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMAWARNFLOW_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMAWARNFLOW_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMAWARNFLOW_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TABLE_ID" NUMBER(15) ,
  "WARN_TIME" DATE ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNFLOW_W"."TABLE_ID" IS '表ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNFLOW_W"."WARN_TIME" IS '异常发生时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNFLOW_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNFLOW_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMAWARNFLOW_W" IS '夜间最小流量异常信息表：TF_YWPN_DMAWARNFLOW_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMAWARNHANDLE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "WARN_TYPE" VARCHAR2(2 BYTE) ,
  "WARN_ID" NUMBER(15) ,
  "WARN_NOTES" VARCHAR2(500 BYTE) ,
  "ISHANDLE" VARCHAR2(2 BYTE) ,
  "ORDER_ID" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W"."WARN_TYPE" IS '1：夜间最小流量异常处理；2：总分水量差异常处理';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W"."WARN_ID" IS '分区ID或表ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W"."WARN_NOTES" IS '异常详情说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W"."ISHANDLE" IS '是否派单处理，0：不派单；1：派单处理';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W"."ORDER_ID" IS '工单编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W" IS '异常处理信息表：TF_YWPN_DMAWARNHANDLE_W';

-- ----------------------------
-- Table structure for TF_YWPN_DMAWARN_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DMAWARN_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DMAWARN_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DMA_ID" NUMBER(15) ,
  "WARN_MONTH" DATE ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARN_W"."DMA_ID" IS '分区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARN_W"."WARN_MONTH" IS '月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARN_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DMAWARN_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DMAWARN_W" IS '分区总分差异常信息表：TF_YWPN_DMAWARN_W';

-- ----------------------------
-- Table structure for TF_YWPN_DUTYROSTER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_DUTYROSTER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_DUTYROSTER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DUTY_USER" NUMBER(15) ,
  "WORK_TIME" VARCHAR2(2 BYTE) ,
  "DUTY_DATE" DATE ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DUTYROSTER_W"."ID" IS '唯一编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DUTYROSTER_W"."DUTY_USER" IS '人员ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DUTYROSTER_W"."WORK_TIME" IS '工作时段；1：白班，2：晚班，3：休';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DUTYROSTER_W"."DUTY_DATE" IS '日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DUTYROSTER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_DUTYROSTER_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_DUTYROSTER_W" IS '人员排班信息表：TF_YWPN_DUTYROSTER_W';

-- ----------------------------
-- Table structure for TF_YWPN_ESSINFO_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_ESSINFO_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_ESSINFO_E" (
  "ESINDEX" VARCHAR2(50 BYTE) NOT NULL ,
  "FRISTTIME" VARCHAR2(6 BYTE) ,
  "CREATE_DATE" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ESSINFO_E"."ESINDEX" IS 'es存储的索引';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ESSINFO_E"."FRISTTIME" IS '首次存储时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ESSINFO_E"."CREATE_DATE" IS '首次存储时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_ESSINFO_E" IS 'ES存储信息';

-- ----------------------------
-- Table structure for TF_YWPN_FILE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_FILE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_FILE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TABLE_NAME" VARCHAR2(50 BYTE) ,
  "TABLE_ID" NUMBER(15) ,
  "FILE_PATH" VARCHAR2(500 BYTE) ,
  "STATUS_FLAG" VARCHAR2(2 BYTE) ,
  "FILE_NAME" VARCHAR2(200 BYTE) ,
  "OTHER_NAME" VARCHAR2(200 BYTE) ,
  "FILE_FORMAT" VARCHAR2(50 BYTE) ,
  "FILE_SIZE" VARCHAR2(50 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."ID" IS '唯一编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."TABLE_NAME" IS '关联表名字';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."TABLE_ID" IS '关联表名对应关键字ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."FILE_PATH" IS '文件路径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."STATUS_FLAG" IS '有效标志；0：正常；1：删除';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."FILE_NAME" IS '文件原名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."OTHER_NAME" IS '文件上传后名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."FILE_FORMAT" IS '文件后缀';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."FILE_SIZE" IS '文件大小';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_FILE_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_FILE_W" IS '公共文件表： TF_YWPN_FILE_W';

-- ----------------------------
-- Table structure for TF_YWPN_GATHERRECORD_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_GATHERRECORD_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_GATHERRECORD_W" (
  "ID" NUMBER(15) ,
  "GATHER_TYPE" VARCHAR2(2 BYTE) ,
  "GATHER_NUM" NUMBER(8) ,
  "GATHER_LEN" NUMBER(10,3) ,
  "TABLE_NAME" VARCHAR2(50 BYTE) ,
  "GATHER_ID" NUMBER(15) ,
  "GATHER_TIME" DATE ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "ISPUBLISH" VARCHAR2(2 BYTE) ,
  "AUDIT_NOTES" VARCHAR2(300 BYTE) ,
  "AUDIT_USER" NUMBER(15) ,
  "AUDIT_TIME" DATE ,
  "FILE_PATH" VARCHAR2(100 BYTE) ,
  "OBJ_CODE" VARCHAR2(50 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."GATHER_TYPE" IS '采集类型；字典中读取；1：管线；2：水表；3：监测设备；4：控制阀门；5：非控制阀门；6：消防栓；7：检查井';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."GATHER_NUM" IS '采集数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."GATHER_LEN" IS '采集长度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."TABLE_NAME" IS '采集数据存储表名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."GATHER_ID" IS '采集数据ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."GATHER_TIME" IS '采集时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."CREATE_TIME" IS '创建时间（上报时间）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."CREATE_USER" IS '创建人（采集人）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."STATE" IS '状态；0：未上传；1：上传失败；2：审核发布中；3：审核不通过；4：审核通过；5：已发布';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."ISREAD" IS '是否查收；0：未查收；1：已查收';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."ISPUBLISH" IS '是否直接发布，0：需要审核；1：直接发布';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."AUDIT_NOTES" IS '审核说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."AUDIT_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."AUDIT_TIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."FILE_PATH" IS '采集位置地图截图图片路径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GATHERRECORD_W"."OBJ_CODE" IS '发布编号，有系统根据规则生成';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_GATHERRECORD_W" IS '数据采集记录表：TF_YWPN_GATHERRECORD_W';

-- ----------------------------
-- Table structure for TF_YWPN_GDFLOW_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_GDFLOW_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_GDFLOW_W" (
  "ID" NUMBER(15) NOT NULL ,
  "BHBH" VARCHAR2(50 BYTE) ,
  "GDBH" VARCHAR2(50 BYTE) ,
  "GDLY" VARCHAR2(50 BYTE) ,
  "GDLX" VARCHAR2(50 BYTE) ,
  "GZXQ" VARCHAR2(100 BYTE) ,
  "JJCD" CHAR(1 BYTE) ,
  "LDHM" VARCHAR2(20 BYTE) ,
  "SLBM" VARCHAR2(50 BYTE) ,
  "SLRY" VARCHAR2(50 BYTE) ,
  "WTMS" VARCHAR2(800 BYTE) ,
  "WCSX" DATE ,
  "KHBH" VARCHAR2(50 BYTE) ,
  "KHXM" VARCHAR2(100 BYTE) ,
  "KHDZ" VARCHAR2(100 BYTE) ,
  "LXDH" VARCHAR2(20 BYTE) ,
  "LXRY" VARCHAR2(50 BYTE) ,
  "HTBH" VARCHAR2(50 BYTE) ,
  "HTRQ" DATE ,
  "QYHD" VARCHAR2(20 BYTE) ,
  "YSXZ" VARCHAR2(20 BYTE) ,
  "SBXH" VARCHAR2(20 BYTE) ,
  "SBBX" VARCHAR2(20 BYTE) ,
  "BQFLX" VARCHAR2(20 BYTE) ,
  "CBRQ" DATE ,
  "CBZD" VARCHAR2(20 BYTE) ,
  "Q1YSL" NUMBER(10) ,
  "Q2YSL" NUMBER(10) ,
  "Q3YSL" NUMBER(10) ,
  "LCZT" CHAR(1 BYTE) ,
  "LCJD" CHAR(1 BYTE) ,
  "FLIEID" VARCHAR2(50 BYTE) ,
  "RZYJ" VARCHAR2(800 BYTE) ,
  "RZBM" VARCHAR2(50 BYTE) ,
  "RZRY" VARCHAR2(50 BYTE) ,
  "RZSJ" DATE ,
  "RZSX" DATE ,
  "SHYJ" VARCHAR2(800 BYTE) ,
  "SHBM" VARCHAR2(50 BYTE) ,
  "SHRY" VARCHAR2(50 BYTE) ,
  "SHSJ" DATE ,
  "SHSX" DATE ,
  "ZJYJ" VARCHAR2(800 BYTE) ,
  "ZJBM" VARCHAR2(50 BYTE) ,
  "ZJRY" VARCHAR2(50 BYTE) ,
  "ZJSJ" DATE ,
  "ZJSX" DATE ,
  "CZYJ" VARCHAR2(800 BYTE) ,
  "CZ_SFWC" CHAR(1 BYTE) ,
  "CZBM" VARCHAR2(50 BYTE) ,
  "CZRY" VARCHAR2(50 BYTE) ,
  "CZSJ" DATE ,
  "CZSX" DATE ,
  "HFYJ" VARCHAR2(800 BYTE) ,
  "HF_SFWC" CHAR(1 BYTE) ,
  "KHPJ" CHAR(1 BYTE) ,
  "HFBM" VARCHAR2(50 BYTE) ,
  "HFRY" VARCHAR2(50 BYTE) ,
  "HFSJ" DATE ,
  "BHYY" VARCHAR2(500 BYTE) ,
  "BHSJ" DATE ,
  "DJRY" VARCHAR2(50 BYTE) ,
  "DJSJ" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."BHBH" IS '驳回编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."GDBH" IS '工单编号(与工单业务GDBH管理)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."GDLY" IS '工单来源';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."GDLX" IS '工单类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."GZXQ" IS '故障详情';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."JJCD" IS '紧急程度（0一般、1重要、2非常急）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."LDHM" IS '来电号码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SLBM" IS '受理部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SLRY" IS '受理人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."WTMS" IS '问题描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."WCSX" IS '完成时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."LXRY" IS '联系人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."HTBH" IS '合同编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."HTRQ" IS '合同签订日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."QYHD" IS '区域号段';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."YSXZ" IS '用水性质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SBXH" IS '水表型号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SBBX" IS '水表表型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."BQFLX" IS '表前阀类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."CBRQ" IS '最近抄表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."CBZD" IS '最近抄表止度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."Q1YSL" IS '前1月水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."Q2YSL" IS '前2月水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."Q3YSL" IS '前3月水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."LCZT" IS '流程状态（0本环节/1转部门/2驳回/3终止）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."LCJD" IS '流程节点（1.工单登记，2.认证处置3.工单审核4.工单质检5.结果处置6.工单回访7.工单归档）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."FLIEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."RZYJ" IS '认证处置意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."RZBM" IS '认证处置部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."RZRY" IS '认证处置人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."RZSJ" IS '认证处置时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."RZSX" IS '认证处置时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SHYJ" IS '审核意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SHBM" IS '审核部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SHRY" IS '审核人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SHSJ" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."SHSX" IS '审核时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."ZJYJ" IS '质检意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."ZJBM" IS '质检部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."ZJRY" IS '质检人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."ZJSJ" IS '质检时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."ZJSX" IS '质检时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."CZYJ" IS '结果处置意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."CZ_SFWC" IS '结果处置：是否完成（1是/0否）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."CZBM" IS '结果处置部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."CZRY" IS '结果处置人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."CZSJ" IS '结果处置时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."CZSX" IS '结果处置时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."HFYJ" IS '回访意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."HF_SFWC" IS '回访：是否完成（1是/0否），未完成，则生成一条新工单数据重新派发处理';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."KHPJ" IS '客户评价：（0非常满意，1满意，2一般，3不满意，4未解决）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."HFBM" IS '回访部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."HFRY" IS '回访人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."HFSJ" IS '回访时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."BHYY" IS '驳回原因';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."BHSJ" IS '驳回时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."DJRY" IS '登记人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDFLOW_W"."DJSJ" IS '登记时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_GDFLOW_W" IS '业务工单驳回记录表';

-- ----------------------------
-- Table structure for TF_YWPN_GDINFO_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_GDINFO_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_GDINFO_W" (
  "ID" NUMBER(15) NOT NULL ,
  "GDBH" VARCHAR2(50 BYTE) ,
  "GDLY" VARCHAR2(50 BYTE) ,
  "GDLX" VARCHAR2(50 BYTE) ,
  "GZXQ" VARCHAR2(100 BYTE) ,
  "JJCD" CHAR(1 BYTE) ,
  "LDHM" VARCHAR2(20 BYTE) ,
  "SLBM" VARCHAR2(50 BYTE) ,
  "SLRY" VARCHAR2(50 BYTE) ,
  "WTMS" VARCHAR2(800 BYTE) ,
  "WCSX" DATE ,
  "DJRY" VARCHAR2(50 BYTE) ,
  "DJSJ" DATE ,
  "KHBH" VARCHAR2(50 BYTE) ,
  "KHXM" VARCHAR2(100 BYTE) ,
  "KHDZ" VARCHAR2(100 BYTE) ,
  "LXDH" VARCHAR2(20 BYTE) ,
  "LXRY" VARCHAR2(50 BYTE) ,
  "HTBH" VARCHAR2(50 BYTE) ,
  "HTRQ" DATE ,
  "QYHD" VARCHAR2(20 BYTE) ,
  "YSXZ" VARCHAR2(20 BYTE) ,
  "SBXH" VARCHAR2(20 BYTE) ,
  "SBBX" VARCHAR2(20 BYTE) ,
  "BQFLX" VARCHAR2(20 BYTE) ,
  "CBRQ" DATE ,
  "CBZD" VARCHAR2(20 BYTE) ,
  "Q1YSL" NUMBER(10) ,
  "Q2YSL" NUMBER(10) ,
  "Q3YSL" NUMBER(10) ,
  "LCZT" CHAR(1 BYTE) ,
  "LCJD" CHAR(1 BYTE) ,
  "FILEID" VARCHAR2(50 BYTE) ,
  "RZYJ" VARCHAR2(800 BYTE) ,
  "RZBM" VARCHAR2(50 BYTE) ,
  "RZRY" VARCHAR2(50 BYTE) ,
  "RZSJ" DATE ,
  "RZSX" DATE ,
  "SHYJ" VARCHAR2(800 BYTE) ,
  "SHBM" VARCHAR2(50 BYTE) ,
  "SHRY" VARCHAR2(50 BYTE) ,
  "SHSJ" DATE ,
  "SHSX" DATE ,
  "ZJYJ" VARCHAR2(800 BYTE) ,
  "ZJBM" VARCHAR2(50 BYTE) ,
  "ZJRY" VARCHAR2(50 BYTE) ,
  "ZJSJ" DATE ,
  "ZJSX" DATE NOT NULL ,
  "CZYJ" VARCHAR2(800 BYTE) ,
  "CZ_SFWC" CHAR(1 BYTE) ,
  "CZBM" VARCHAR2(50 BYTE) ,
  "CZRY" VARCHAR2(50 BYTE) ,
  "CZSJ" DATE ,
  "CZSX" DATE ,
  "HFYJ" VARCHAR2(800 BYTE) ,
  "HF_SFWC" CHAR(1 BYTE) ,
  "KHPJ" CHAR(1 BYTE) ,
  "HFBM" VARCHAR2(50 BYTE) ,
  "HFRY" VARCHAR2(50 BYTE) ,
  "HFSJ" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."GDBH" IS '工单编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."GDLY" IS '工单来源';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."GDLX" IS '工单类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."GZXQ" IS '故障详情';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."JJCD" IS '紧急程度（0一般、1重要、2非常急）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."LDHM" IS '来电号码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SLBM" IS '受理部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SLRY" IS '受理人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."WTMS" IS '问题描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."WCSX" IS '完成时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."DJRY" IS '登记人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."DJSJ" IS '登记时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."LXRY" IS '联系人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."HTBH" IS '合同编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."HTRQ" IS '合同签订日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."QYHD" IS '区域号段';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."YSXZ" IS '用水性质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SBXH" IS '水表型号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SBBX" IS '水表表型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."BQFLX" IS '表前阀类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."CBRQ" IS '最近抄表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."CBZD" IS '最近抄表止度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."Q1YSL" IS '前1月水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."Q2YSL" IS '前2月水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."Q3YSL" IS '前3月水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."LCZT" IS '流程状态（0本环节/1转部门/2驳回/3终止）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."LCJD" IS '流程节点（1.工单登记，2.认证处置3.工单审核4.工单质检5.结果处置6.工单回访7.工单归档）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."FILEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."RZYJ" IS '认证处置意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."RZBM" IS '认证处置部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."RZRY" IS '认证处置人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."RZSJ" IS '认证处置时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."RZSX" IS '认证处置时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SHYJ" IS '审核意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SHBM" IS '审核部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SHRY" IS '审核人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SHSJ" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."SHSX" IS '审核时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."ZJYJ" IS '质检意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."ZJBM" IS '质检部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."ZJRY" IS '质检人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."ZJSJ" IS '质检时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."ZJSX" IS '质检时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."CZYJ" IS '结果处置意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."CZ_SFWC" IS '结果处置：是否完成（1是/0否）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."CZBM" IS '结果处置部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."CZRY" IS '结果处置人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."CZSJ" IS '结果处置时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."CZSX" IS '结果处置时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."HFYJ" IS '回访意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."HF_SFWC" IS '回访：是否完成（1是/0否），未完成，则生成一条新工单数据重新派发处理';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."KHPJ" IS '客户评价：（0非常满意，1满意，2一般，3不满意，4未解决）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."HFBM" IS '回访部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."HFRY" IS '回访人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GDINFO_W"."HFSJ" IS '回访时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_GDINFO_W" IS '业务工单详情表';

-- ----------------------------
-- Table structure for TF_YWPN_GPSCALCULATE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_GPSCALCULATE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_GPSCALCULATE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TOTAL_TIME" NUMBER(15,3) ,
  "TOTAL_DISTANCE" NUMBER(15,3) ,
  "SPEED" NUMBER(15,3) ,
  "VAILD_TOTAL_TIME" NUMBER(15,3) ,
  "VAILD_TOTAL_DISTANCE" NUMBER(15,3) ,
  "VAILD_SPEED" NUMBER(15,3) ,
  "FIND_TROUBLE_NUM" NUMBER(15) ,
  "GPS_DATE" DATE ,
  "USER_ID" NUMBER(15) ,
  "SIGN_RANGE" VARCHAR2(500 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."TOTAL_TIME" IS '总耗时';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."TOTAL_DISTANCE" IS '总里程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."SPEED" IS '速度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."VAILD_TOTAL_TIME" IS '有效耗时';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."VAILD_TOTAL_DISTANCE" IS '有效里程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."VAILD_SPEED" IS '有效速度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."FIND_TROUBLE_NUM" IS '发现隐患数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."GPS_DATE" IS '统计GPS日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."USER_ID" IS '巡查用户ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSCALCULATE_W"."SIGN_RANGE" IS '签到时间段';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_GPSCALCULATE_W" IS '巡查统计计算表：TF_YWPN_GPSCALCULATE_W';

-- ----------------------------
-- Table structure for TF_YWPN_GPSDEVICE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_GPSDEVICE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_GPSDEVICE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "DEVICE_NAME" VARCHAR2(50 BYTE) ,
  "DEVICE_CODE" VARCHAR2(50 BYTE) ,
  "NOTES" VARCHAR2(500 BYTE) ,
  "STATE" VARCHAR2(255 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSDEVICE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GPSDEVICE_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_GPSDEVICE_W" IS '车载GPS设备信息表：TF_YWPN_GPSDEVICE_W';

-- ----------------------------
-- Table structure for TF_YWPN_GROUPUSER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_GROUPUSER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_GROUPUSER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "GROUP_ID" VARCHAR2(50 BYTE) ,
  "USER_ID" VARCHAR2(500 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GROUPUSER_W"."GROUP_ID" IS '巡查分组ID，关联TF_YWPN_INSPECTGROUP_W';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GROUPUSER_W"."USER_ID" IS '分组用户ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GROUPUSER_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_GROUPUSER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_GROUPUSER_W" IS '巡查分组配置信息表：TF_YWPN_GROUPUSER_W';

-- ----------------------------
-- Table structure for TF_YWPN_HYDRANT_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_HYDRANT_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_HYDRANT_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SID" VARCHAR2(50 BYTE) ,
  "FACILITYID" VARCHAR2(50 BYTE) ,
  "MANUFACTURER" VARCHAR2(50 BYTE) ,
  "NOZZLEDIAMETER1" NUMBER(9,2) ,
  "NOZZLEDIAMETER2" NUMBER(9,2) ,
  "NOZZLEDIAMETER3" NUMBER(9,2) ,
  "NOZZLEDIAMETER4" NUMBER(9,2) ,
  "MAINVALVETYPE" VARCHAR2(20 BYTE) ,
  "BARRELDIAMETER" NUMBER(9,2) ,
  "SEATDIAMETER" NUMBER(9,2) ,
  "MATERIAL" VARCHAR2(20 BYTE) ,
  "DEPTH" NUMBER(9,3) ,
  "X" NUMBER(10,5) ,
  "Y" NUMBER(10,5) ,
  "GROUNDZ" NUMBER(10,3) ,
  "DISTNO" VARCHAR2(50 BYTE) ,
  "AREANO" VARCHAR2(50 BYTE) ,
  "DISTRICT" VARCHAR2(50 BYTE) ,
  "LANEWAY" VARCHAR2(200 BYTE) ,
  "ADDRESS" VARCHAR2(300 BYTE) ,
  "SURVEYUNIT" VARCHAR2(50 BYTE) ,
  "OWNERUNIT" VARCHAR2(50 BYTE) ,
  "MAINTAINEDUNIT" VARCHAR2(50 BYTE) ,
  "SURVEYDATE" DATE ,
  "INDATE" DATE ,
  "INSTALLDATE" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "REMARK" VARCHAR2(500 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."SID" IS '消防栓编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."FACILITYID" IS '设施编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."MANUFACTURER" IS '生产厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."NOZZLEDIAMETER1" IS '喷嘴1口径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."NOZZLEDIAMETER2" IS '喷嘴2口径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."NOZZLEDIAMETER3" IS '喷嘴3口径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."NOZZLEDIAMETER4" IS '喷嘴4口径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."MAINVALVETYPE" IS '主阀门类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."BARRELDIAMETER" IS '栓筒管径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."SEATDIAMETER" IS '底座管径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."MATERIAL" IS '管线材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."DEPTH" IS '埋深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."X" IS 'X坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."Y" IS 'Y坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."GROUNDZ" IS '地面高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."DISTNO" IS '图幅号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."AREANO" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."DISTRICT" IS '行政区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."LANEWAY" IS '所在道路';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."SURVEYUNIT" IS '勘测单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."OWNERUNIT" IS '权属单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."MAINTAINEDUNIT" IS '管辖单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."SURVEYDATE" IS '勘测日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."INDATE" IS '入库日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."INSTALLDATE" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."REMARK" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_HYDRANT_W"."FILE_IDS" IS '附件图片';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_HYDRANT_W" IS '消防栓信息采集数据表：TF_YWPN_HYDRANT_W';

-- ----------------------------
-- Table structure for TF_YWPN_INSPECTGROUP_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_INSPECTGROUP_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_INSPECTGROUP_W" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(50 BYTE) ,
  "NOTE" VARCHAR2(500 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTGROUP_W"."NAME" IS '巡查分组名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTGROUP_W"."NOTE" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTGROUP_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTGROUP_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_INSPECTGROUP_W" IS '巡查分组信息表：TF_YWPN_INSPECTGROUP_W';

-- ----------------------------
-- Table structure for TF_YWPN_INSPECTTYPE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_INSPECTTYPE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_INSPECTTYPE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(50 BYTE) ,
  "NOTE" VARCHAR2(500 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "LAYER_NAME" VARCHAR2(60 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTTYPE_W"."ID" IS '巡检类型配置ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTTYPE_W"."NAME" IS '巡查类型名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTTYPE_W"."NOTE" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTTYPE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTTYPE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_INSPECTTYPE_W"."LAYER_NAME" IS '图层英文名称';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_INSPECTTYPE_W" IS '巡检类型配置信息表：TF_YWPN_INSPECTTYPE_W';

-- ----------------------------
-- Table structure for TF_YWPN_MANHOLE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_MANHOLE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_MANHOLE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SID" VARCHAR2(50 BYTE) ,
  "FACILITYID" VARCHAR2(50 BYTE) ,
  "MONITORWELLTYPE" VARCHAR2(20 BYTE) ,
  "MANUFACTURER" VARCHAR2(50 BYTE) ,
  "MANHOLETYPE" VARCHAR2(20 BYTE) ,
  "MANHOLEMATERIAL" VARCHAR2(20 BYTE) ,
  "MANHOLEMIAMETER" NUMBER(9,2) ,
  "MANHOLELEN" NUMBER(9,2) ,
  "MANHOLEWIDTH" NUMBER(9,2) ,
  "WELLTYPE" VARCHAR2(20 BYTE) ,
  "WELLMATEIAL" VARCHAR2(20 BYTE) ,
  "WELLNECKDEPTH" NUMBER(9,2) ,
  "WELLMIAMETER" NUMBER(9,2) ,
  "WELLLEN" NUMBER(9,2) ,
  "WELLWIDTH" NUMBER(9,2) ,
  "WELLHEIGHT" NUMBER(9,2) ,
  "WELLCODE" VARCHAR2(50 BYTE) ,
  "X" NUMBER(10,5) ,
  "Y" NUMBER(10,5) ,
  "GROUNDZ" NUMBER(10,3) ,
  "DISTNO" VARCHAR2(50 BYTE) ,
  "AREANO" VARCHAR2(50 BYTE) ,
  "DISTRICT" VARCHAR2(50 BYTE) ,
  "LANEWAY" VARCHAR2(200 BYTE) ,
  "ADDRESS" VARCHAR2(300 BYTE) ,
  "SURVEYUNIT" VARCHAR2(50 BYTE) ,
  "OWNERUNIT" VARCHAR2(50 BYTE) ,
  "MAINTAINEDUNIT" VARCHAR2(50 BYTE) ,
  "SURVEYDATE" DATE ,
  "INDATE" DATE ,
  "INSTALLDATE" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "REMARK" VARCHAR2(500 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."SID" IS '井编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."FACILITYID" IS '设施编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."MONITORWELLTYPE" IS '井类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."MANUFACTURER" IS '生产厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."MANHOLETYPE" IS '井盖形状';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."MANHOLEMATERIAL" IS '井盖材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."MANHOLEMIAMETER" IS '井盖直径（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."MANHOLELEN" IS '井盖长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."MANHOLEWIDTH" IS '井盖宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."WELLTYPE" IS '井室类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."WELLMATEIAL" IS '井室材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."WELLNECKDEPTH" IS '井脖深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."WELLMIAMETER" IS '井室直径（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."WELLLEN" IS '井室长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."WELLWIDTH" IS '井室宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."WELLHEIGHT" IS '井室高（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."WELLCODE" IS '特殊井室码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."X" IS 'X坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."Y" IS 'Y坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."GROUNDZ" IS '地面高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."DISTNO" IS '图幅号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."AREANO" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."DISTRICT" IS '行政区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."LANEWAY" IS '所在道路';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."SURVEYUNIT" IS '勘测单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."OWNERUNIT" IS '权属单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."MAINTAINEDUNIT" IS '管辖单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."SURVEYDATE" IS '勘测日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."INDATE" IS '入库日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."INSTALLDATE" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."REMARK" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MANHOLE_W"."FILE_IDS" IS '附件图片';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_MANHOLE_W" IS '检查井信息采集数据表：TF_YWPN_MANHOLE_W';

-- ----------------------------
-- Table structure for TF_YWPN_MESSAGEFILE_P
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_MESSAGEFILE_P";
CREATE TABLE "TF_XRTY"."TF_YWPN_MESSAGEFILE_P" (
  "ID" NUMBER(15) NOT NULL ,
  "TABLE_NAME" VARCHAR2(50 BYTE) ,
  "TABLE_ID" NUMBER(15) ,
  "FILE_PATH" VARCHAR2(500 BYTE) ,
  "STATUS_FLAG" VARCHAR2(2 BYTE) ,
  "FILE_NAME" VARCHAR2(200 BYTE) ,
  "OTHER_NAME" VARCHAR2(200 BYTE) ,
  "FILE_FORMAT" VARCHAR2(50 BYTE) ,
  "FILE_SIZE" VARCHAR2(50 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."ID" IS '唯一编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."TABLE_NAME" IS '关联表名字';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."TABLE_ID" IS '关联表名对应关键字ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."FILE_PATH" IS '文件路径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."STATUS_FLAG" IS '有效标志；0：正常；1：删除';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."FILE_NAME" IS '文件原名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."OTHER_NAME" IS '文件上传后名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."FILE_FORMAT" IS '文件后缀';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."FILE_SIZE" IS '文件大小';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEFILE_P"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_MESSAGEFILE_P" IS '消息推送附件数据表：TF_YWPN_MESSAGEFILE_P';

-- ----------------------------
-- Table structure for TF_YWPN_MESSAGEPUSH_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TOPIC" VARCHAR2(50 BYTE) ,
  "MESSAGE" CLOB ,
  "REPLY_ID" NUMBER(15) ,
  "TYPE" VARCHAR2(2 BYTE) ,
  "TABLE_NAME" VARCHAR2(50 BYTE) ,
  "TABLE_ID" NUMBER(15) ,
  "ROUTE_IP" VARCHAR2(200 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."ID" IS '唯一编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."TOPIC" IS '消息主题';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."MESSAGE" IS '消息详情';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."REPLY_ID" IS '回复的原消息ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."TYPE" IS '消息类型：0普通消息 1抢维修 2巡检 3工地 4隐患 5管网工单  6业务工单 7基础数据处理';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."TABLE_NAME" IS '消息链接表名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."TABLE_ID" IS '链接ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."ROUTE_IP" IS '路由地址进行跳转';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W" IS '消息推送数据表:TF_YWPN_MESSAGEPUSH_W';

-- ----------------------------
-- Table structure for TF_YWPN_MESSAGERECIPIENT_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W" (
  "ID" NUMBER(15) NOT NULL ,
  "MESSAGE_ID" NUMBER(15) ,
  "RECIPIENT" NUMBER(15) ,
  "FLAG" VARCHAR2(2 BYTE) DEFAULT 0   ,
  "RECIPIENT_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W"."ID" IS '唯一编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W"."MESSAGE_ID" IS '消息表主键，TF_YWPN_MESSAGEPUSH_W';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W"."RECIPIENT" IS '消息接收人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W"."FLAG" IS '消息是否接收，0：未接收，1：已接收';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W"."RECIPIENT_TIME" IS '消息接收时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W" IS '接收人接收消息数据表：TF_YW_MESSAGERECIPIENT_W';

-- ----------------------------
-- Table structure for TF_YWPN_NONVALVE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_NONVALVE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_NONVALVE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SID" VARCHAR2(50 BYTE) ,
  "FACILITYID" VARCHAR2(50 BYTE) ,
  "VALVETYPE" VARCHAR2(20 BYTE) ,
  "VALVECLASS" VARCHAR2(20 BYTE) ,
  "ANTIROTGRADE" VARCHAR2(50 BYTE) ,
  "X" NUMBER(10,5) ,
  "Y" NUMBER(10,5) ,
  "GROUNDZ" NUMBER(10,5) ,
  "DIAMETER" NUMBER(10) ,
  "MATERIAL" VARCHAR2(50 BYTE) ,
  "DEPTH" NUMBER(9,3) ,
  "TOPZ" NUMBER(10,5) ,
  "MANUFACTURER" VARCHAR2(50 BYTE) ,
  "ISLOCK" VARCHAR2(20 BYTE) ,
  "MANHOLETYPE" VARCHAR2(20 BYTE) ,
  "MANHOLEMATERIAL" VARCHAR2(20 BYTE) ,
  "MANHOLEMIAMETER" NUMBER(9,3) ,
  "MANHOLELEN" NUMBER(9,3) ,
  "MANHOLEWIDTH" NUMBER(9,3) ,
  "WELLTYPE" VARCHAR2(20 BYTE) ,
  "WELLMATEIAL" VARCHAR2(20 BYTE) ,
  "WELLNECKDEPTH" NUMBER(9,3) ,
  "WELLMIAMETER" NUMBER(9,3) ,
  "WELLLEN" NUMBER(9,3) ,
  "WELLWIDTH" NUMBER(9,3) ,
  "WELLHEIGHT" NUMBER(9,3) ,
  "WELLCODE" VARCHAR2(50 BYTE) ,
  "DISTNO" VARCHAR2(50 BYTE) ,
  "AREANO" VARCHAR2(50 BYTE) ,
  "DISTRICT" VARCHAR2(50 BYTE) ,
  "LANEWAY" VARCHAR2(100 BYTE) ,
  "ADDRESS" VARCHAR2(500 BYTE) ,
  "SURVEYUNIT" VARCHAR2(50 BYTE) ,
  "OWNERUNIT" VARCHAR2(50 BYTE) ,
  "MAINTAINEDUNIT" VARCHAR2(50 BYTE) ,
  "SURVEYDATE" DATE ,
  "INDATE" DATE ,
  "INSTALLDATE" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "REMARK" VARCHAR2(500 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) ,
  "CONNECTTYPE" VARCHAR2(50 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."SID" IS '阀门编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."FACILITYID" IS '设备编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."VALVETYPE" IS '阀门类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."VALVECLASS" IS '阀门级别';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."ANTIROTGRADE" IS '防腐等级';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."X" IS 'X坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."Y" IS 'Y坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."GROUNDZ" IS '地面高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."DIAMETER" IS '管径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."MATERIAL" IS '管线材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."DEPTH" IS '埋深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."TOPZ" IS '管顶高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."MANUFACTURER" IS '生产厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."ISLOCK" IS '井盖带锁';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."MANHOLETYPE" IS '井盖形状';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."MANHOLEMATERIAL" IS '井盖材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."MANHOLEMIAMETER" IS '井盖直径（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."MANHOLELEN" IS '井盖长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."MANHOLEWIDTH" IS '井盖宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."WELLTYPE" IS '井室类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."WELLMATEIAL" IS '井室材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."WELLNECKDEPTH" IS '井脖深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."WELLMIAMETER" IS '井室直径（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."WELLLEN" IS '井室长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."WELLWIDTH" IS '井室宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."WELLHEIGHT" IS '井室高（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."WELLCODE" IS '特殊井室码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."DISTNO" IS '图幅号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."AREANO" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."DISTRICT" IS '行政区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."LANEWAY" IS '所在道路';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."SURVEYUNIT" IS '勘测单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."OWNERUNIT" IS '权属单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."MAINTAINEDUNIT" IS '管辖单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."SURVEYDATE" IS '勘测日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."INDATE" IS '入库日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."INSTALLDATE" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."REMARK" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."FILE_IDS" IS '附件图片';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_NONVALVE_W"."CONNECTTYPE" IS '接口连接方式';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_NONVALVE_W" IS '非控制阀信息采集数据表：TF_YWPN_NONVALVE_W';

-- ----------------------------
-- Table structure for TF_YWPN_PARAMCONFIG_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PARAMCONFIG_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PARAMCONFIG_W" (
  "ID" NUMBER(15) NOT NULL ,
  "PEOPLE_SPEED" NUMBER(10,3) ,
  "PEOPLE_MAXALW" NUMBER(10,3) ,
  "CAR_SPEED" NUMBER(10,3) ,
  "CAR_MAXALW" NUMBER(10,3) ,
  "UPLOAD_RATE" NUMBER(10,3) ,
  "ROUTE_MAXSPEED" NUMBER(10,3) ,
  "ISMARK" VARCHAR2(2 BYTE) DEFAULT 0  ,
  "PLINE_COLOR" VARCHAR2(50 BYTE) ,
  "POINT_COLOR" VARCHAR2(50 BYTE) ,
  "LINE_COLOR" VARCHAR2(50 BYTE) ,
  "ROUTE_PT" NUMBER(8) ,
  "ROUTE_LINE" NUMBER(8) ,
  "ROUTE_PTNUM" NUMBER(8) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."PEOPLE_SPEED" IS '人巡最快速度（km/h）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."PEOPLE_MAXALW" IS '人巡最大到位容差（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."CAR_SPEED" IS '车巡最快速度（km/h）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."CAR_MAXALW" IS '车巡最大到位容差（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."UPLOAD_RATE" IS '上传频率（秒/次）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."ROUTE_MAXSPEED" IS '轨迹最大速度（km/h）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."ISMARK" IS '手机拍摄上传照片是否添加时间水印,0不加，1加水印';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."PLINE_COLOR" IS '人员轨迹颜色';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."POINT_COLOR" IS '播放轨迹点颜色';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."LINE_COLOR" IS '播放轨迹线颜色';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."ROUTE_PT" IS '轨迹点细度（px）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."ROUTE_LINE" IS '轨迹线细度（px）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."ROUTE_PTNUM" IS '轨迹分段点数（个）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PARAMCONFIG_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PARAMCONFIG_W" IS '参数配置信息表：TF_YWPN_PARAMCONFIG_W';

-- ----------------------------
-- Table structure for TF_YWPN_PDAHISTORY_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PDAHISTORY_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PDAHISTORY_W" (
  "ID" NUMBER(15) NOT NULL ,
  "CREATE_USER" NUMBER(15) ,
  "GPS_STATE" VARCHAR2(2 BYTE) ,
  "NETWORK" VARCHAR2(2 BYTE) ,
  "NETWORK_STATE" VARCHAR2(2 BYTE) ,
  "CHECK_TIME" DATE ,
  "UPLOAD_TIME" DATE ,
  "ELECTRICITY" VARCHAR2(20 BYTE) ,
  "WORK_STATE" VARCHAR2(2 BYTE) ,
  "GPS_PRECISION" VARCHAR2(20 BYTE) ,
  "GPS_STAR" NUMBER(5) ,
  "RESIDUAL_SPACE" VARCHAR2(20 BYTE) ,
  "GPS_DEVICEID" NUMBER(15) ,
  "GPS_TYPE" VARCHAR2(2 BYTE) ,
  "PDAID" VARCHAR2(50 BYTE) ,
  "MONITOR_DATE" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."ID" IS '数据唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."CREATE_USER" IS '用户唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."GPS_STATE" IS 'gps状态 0：关闭 1:打开';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."NETWORK" IS '定位网络(gps 1,基站2,wifi 3)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."NETWORK_STATE" IS '网络状态 0：关闭 1：打开';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."CHECK_TIME" IS '设备检测时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."UPLOAD_TIME" IS '上传时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."ELECTRICITY" IS '设备电量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."WORK_STATE" IS '工作状态  1：上班  2：工作中  3：下班  4:异常';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."GPS_PRECISION" IS '定位精度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."GPS_STAR" IS '卫星个数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."RESIDUAL_SPACE" IS '剩余空间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."GPS_DEVICEID" IS '车载设备唯一标识，关联表TF_YWPN_GPSDEVICE_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."GPS_TYPE" IS '0：人巡 1：车巡';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."PDAID" IS '手机设备唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAHISTORY_W"."MONITOR_DATE" IS '监控日期 yyyy/mm/dd';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PDAHISTORY_W" IS '监控设备日志表：TF_YWPN_PDAHISTORY_W';

-- ----------------------------
-- Table structure for TF_YWPN_PDAMONITOR_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PDAMONITOR_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PDAMONITOR_W" (
  "ID" NUMBER(15) NOT NULL ,
  "CREATE_USER" NUMBER(15) ,
  "GPS_STATE" VARCHAR2(2 BYTE) ,
  "NETWORK" VARCHAR2(2 BYTE) ,
  "NETWORK_STATE" VARCHAR2(2 BYTE) ,
  "CHECK_TIME" DATE ,
  "UPLOAD_TIME" DATE ,
  "ELECTRICITY" VARCHAR2(20 BYTE) ,
  "WORK_STATE" VARCHAR2(2 BYTE) ,
  "GPS_PRECISION" VARCHAR2(20 BYTE) ,
  "GPS_STAR" NUMBER(5) ,
  "RESIDUAL_SPACE" VARCHAR2(20 BYTE) ,
  "GPS_DEVICEID" NUMBER(15) ,
  "GPS_TYPE" VARCHAR2(2 BYTE) ,
  "PDAID" VARCHAR2(50 BYTE) ,
  "MONITOR_DATE" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."ID" IS '数据唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."CREATE_USER" IS '用户唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."GPS_STATE" IS 'gps状态 0：关闭 1:打开';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."NETWORK" IS '定位网络(gps 1,基站2,wifi 3)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."NETWORK_STATE" IS '网络状态 0：关闭 1：打开';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."CHECK_TIME" IS '设备检测时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."UPLOAD_TIME" IS '上传时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."ELECTRICITY" IS '设备电量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."WORK_STATE" IS '工作状态  1：上班  2：工作中  3：下班  4:异常';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."GPS_PRECISION" IS '定位精度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."GPS_STAR" IS '卫星个数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."RESIDUAL_SPACE" IS '剩余空间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."GPS_DEVICEID" IS '车载设备唯一标识，关联表TF_YWPN_GPSDEVICE_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."GPS_TYPE" IS '0：人巡 1：车巡';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."PDAID" IS '手机设备唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDAMONITOR_W"."MONITOR_DATE" IS '监控日期 yyyy/mm/dd';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PDAMONITOR_W" IS '设备实时监控表：TF_YWPN_PDAMONITOR_W';

-- ----------------------------
-- Table structure for TF_YWPN_PDASIGNHIS_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PDASIGNHIS_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PDASIGNHIS_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SIGN_USER" NUMBER(15) ,
  "PDAID" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "SIGN_ADDRESS" VARCHAR2(500 BYTE) ,
  "SIGN_TYPE" VARCHAR2(2 BYTE) ,
  "LNG" NUMBER(15,5) ,
  "LAT" NUMBER(15,5) ,
  "SECTION" NUMBER(15) ,
  "NOTE" VARCHAR2(500 BYTE) ,
  "FLAG" VARCHAR2(2 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."ID" IS '考勤签到ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."SIGN_USER" IS '签到用户ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."PDAID" IS '移动设备ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."CREATE_TIME" IS '签到时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."SIGN_ADDRESS" IS '签到地点';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."SIGN_TYPE" IS '签到类型；1：上班 2：下班';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."LNG" IS '签到位置经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."LAT" IS '签到位置纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."SECTION" IS '签到分段数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."NOTE" IS '签到备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGNHIS_W"."FLAG" IS '签到标识；0:gps获取 1：手动获取';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PDASIGNHIS_W" IS '上下班签到历史信息表：TF_YWPN_PDASIGNHIS_W';

-- ----------------------------
-- Table structure for TF_YWPN_PDASIGN_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PDASIGN_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PDASIGN_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SIGN_USER" NUMBER(15) ,
  "PDAID" NUMBER(15) ,
  "SIGN_ADDRESS" VARCHAR2(500 BYTE) ,
  "SIGN_TYPE" VARCHAR2(2 BYTE) ,
  "LNG" NUMBER(15,5) ,
  "LAT" NUMBER(15,5) ,
  "NOTE" VARCHAR2(500 BYTE) ,
  "FLAG" VARCHAR2(2 BYTE) ,
  "CREATE_TIME" DATE ,
  "SECTION" NUMBER(10) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."ID" IS '考勤签到ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."SIGN_USER" IS '签到用户ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."PDAID" IS '签到设备ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."SIGN_ADDRESS" IS '签到地点';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."SIGN_TYPE" IS '签到类型；1：上班 2：下班';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."LNG" IS '经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."LAT" IS '纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."NOTE" IS '签到备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."FLAG" IS '签到标识；0:gps获取 1：手动获取';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PDASIGN_W"."SECTION" IS '签到分段数';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PDASIGN_W" IS '上下班签到瞬时信息表：TF_YWPN_PDASIGN_W';

-- ----------------------------
-- Table structure for TF_YWPN_PERIOD_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PERIOD_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_PERIOD_D" (
  "ID" NUMBER(15) NOT NULL ,
  "PERIOD_NAME" VARCHAR2(100 BYTE) ,
  "INTERVAL_DAY" NUMBER(5) ,
  "DESCRIPTION" VARCHAR2(500 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PERIOD_D"."ID" IS '巡检周期ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PERIOD_D"."PERIOD_NAME" IS '巡检周期名称；一天一检；一周一检；一月一检等';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PERIOD_D"."INTERVAL_DAY" IS '间隔天数；对应上面的名称：1、7、30（天）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PERIOD_D"."DESCRIPTION" IS '描述';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PERIOD_D" IS '巡检周期配置信息表：TF_YWPN_PERIOD_D';

-- ----------------------------
-- Table structure for TF_YWPN_PIPENODE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PIPENODE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PIPENODE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SID" VARCHAR2(50 BYTE) ,
  "X" NUMBER(10,5) ,
  "Y" NUMBER(10,5) ,
  "GROUNDZ" NUMBER(10,5) ,
  "ASPECTTYPE" VARCHAR2(20 BYTE) ,
  "FIXTURETYPE" VARCHAR2(20 BYTE) ,
  "WELLDEM" NUMBER(9,3) ,
  "WELLBOTTOM" NUMBER(9,3) ,
  "NODECODE" VARCHAR2(50 BYTE) ,
  "DISTNO" VARCHAR2(50 BYTE) ,
  "SURVEYUNIT" VARCHAR2(100 BYTE) ,
  "OWNERUNIT" VARCHAR2(100 BYTE) ,
  "MAINTAINEDUNIT" VARCHAR2(100 BYTE) ,
  "BURYYEAR" VARCHAR2(20 BYTE) ,
  "PRECISIONCLASS" VARCHAR2(20 BYTE) ,
  "WELLBORE" VARCHAR2(50 BYTE) ,
  "ROTATION" NUMBER(9,3) ,
  "SURVEYDATE" DATE ,
  "INDATE" DATE ,
  "LANEWAY" VARCHAR2(20 BYTE) ,
  "ADDRESS" VARCHAR2(500 BYTE) ,
  "MANHOLETYPE" VARCHAR2(20 BYTE) ,
  "MANHOLEMATERIAL" VARCHAR2(20 BYTE) ,
  "MANHOLEMIAMETER" NUMBER(9,2) ,
  "MANHOLELEN" NUMBER(9,2) ,
  "MANHOLEWIDTH" NUMBER(9,2) ,
  "WELLTYPE" VARCHAR2(20 BYTE) ,
  "WELLMATEIAL" VARCHAR2(20 BYTE) ,
  "WELLNECKDEPTH" NUMBER(9,2) ,
  "WELLMIAMETER" NUMBER(9,2) ,
  "WELLLEN" NUMBER(9,2) ,
  "WELLWIDTH" NUMBER(9,2) ,
  "WELLHEIGHT" NUMBER(9,2) ,
  "WELLCODE" VARCHAR2(50 BYTE) ,
  "GROUNDLEN" NUMBER(9,2) ,
  "GROUNDWIDTH" NUMBER(9,2) ,
  "GROUNDHEIGHT" NUMBER(9,2) ,
  "MAPNO" VARCHAR2(50 BYTE) ,
  "AREANO" NUMBER(15) ,
  "DISTRICT" NUMBER(15) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "REMARK" VARCHAR2(500 BYTE) ,
  "OBJ_CODE" VARCHAR2(50 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."SID" IS '管点点号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."X" IS 'X坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."Y" IS 'Y坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."GROUNDZ" IS '地面高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."ASPECTTYPE" IS '特征';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."FIXTURETYPE" IS '附属物';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLDEM" IS '井底高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLBOTTOM" IS '井底埋深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."NODECODE" IS '点符号代码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."DISTNO" IS '图幅号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."SURVEYUNIT" IS '勘测单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."OWNERUNIT" IS '权属单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."MAINTAINEDUNIT" IS '管辖单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."BURYYEAR" IS '埋设年代';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."PRECISIONCLASS" IS '精度级别';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLBORE" IS '偏心井位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."ROTATION" IS '管点旋转角';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."SURVEYDATE" IS '勘察日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."INDATE" IS '入库日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."LANEWAY" IS '所在道路';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."MANHOLETYPE" IS '井盖形状';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."MANHOLEMATERIAL" IS '井盖材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."MANHOLEMIAMETER" IS '井盖直径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."MANHOLELEN" IS '井盖长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."MANHOLEWIDTH" IS '井盖宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLTYPE" IS '井室类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLMATEIAL" IS '井室材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLNECKDEPTH" IS '井脖深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLMIAMETER" IS '井室直径（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLLEN" IS '井室长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLWIDTH" IS '井室宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLHEIGHT" IS '井室高（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."WELLCODE" IS '特殊井室码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."GROUNDLEN" IS '地面设施长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."GROUNDWIDTH" IS '地面设施宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."GROUNDHEIGHT" IS '地面设施高（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."MAPNO" IS '图上点号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."AREANO" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."DISTRICT" IS '行政区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."REMARK" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."OBJ_CODE" IS '系统编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPENODE_W"."FILE_IDS" IS '附件图片';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PIPENODE_W" IS '管点信息采集数据表：TF_YWPN_PIPENODE_W';

-- ----------------------------
-- Table structure for TF_YWPN_PIPERECORD_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PIPERECORD_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PIPERECORD_W" (
  "ID" NUMBER(15) NOT NULL ,
  "PLAN_CHILDID" NUMBER(15) ,
  "X_ADDR" NUMBER(15) ,
  "Y_ADDR" NUMBER(15) ,
  "NETWORK" VARCHAR2(2 BYTE) ,
  "ADDRESS" VARCHAR2(200 BYTE) ,
  "SB_CODE" VARCHAR2(50 BYTE) ,
  "JW_NUM" NUMBER(15) ,
  "PIPE_BORE" NUMBER(15) ,
  "SB_TYPE" VARCHAR2(50 BYTE) ,
  "KQD" VARCHAR2(50 BYTE) ,
  "JSQK_NOTE" VARCHAR2(50 BYTE) ,
  "ROAD_NOTE" VARCHAR2(50 BYTE) ,
  "JW_NOTE" VARCHAR2(50 BYTE) ,
  "JS_DEPTH" NUMBER(15) ,
  "JG_DIAM" NUMBER(15) ,
  "FD_H" NUMBER(15) ,
  "FILE_IDS" VARCHAR2(1000 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "PIPE_NOTES" VARCHAR2(1000 BYTE) ,
  "NOTES" VARCHAR2(1000 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."ID" IS '数据唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."PLAN_CHILDID" IS '子计划ID，关联表TF_YWPN_PLANCHILD_W主键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."X_ADDR" IS '上报位置经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."Y_ADDR" IS '上报位置纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."NETWORK" IS '定位网络(gps 1,基站2,wifi 3)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."ADDRESS" IS '地址描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."SB_CODE" IS '设施编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."JW_NUM" IS '井位序号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."PIPE_BORE" IS '口径，单位：mm';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."SB_TYPE" IS '设施类别，关联字典编码表：（闸阀 、蝶阀、消火栓 、防盗阀、排气阀、泄水阀、止回阀 、其它）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."KQD" IS '开启度，关联字典编码表：（全开、半开、关闭、其它）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."JSQK_NOTE" IS '井室情况，关联字典编码表：（正常、积水、垮塌、积土）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."ROAD_NOTE" IS '路面情况，关联字典编码表：（完好、开裂、沉降、其它）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."JW_NOTE" IS '井位情况，关联字典编码表：（完好、轻损、松动、缺失）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."JS_DEPTH" IS '井深，单位：m';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."JG_DIAM" IS '井盖直径，单位：mm';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."FD_H" IS '阀顶高度，单位：m';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."FILE_IDS" IS '上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."CREATE_TIME" IS '创建时间（上报时间）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."CREATE_USER" IS '创建用户ID（上报用户）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."PIPE_NOTES" IS '管线情况';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPERECORD_W"."NOTES" IS '情况说明';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PIPERECORD_W" IS '管线巡查记录上报表：TF_YWPN_PIPERECORD_W';

-- ----------------------------
-- Table structure for TF_YWPN_PIPE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PIPE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PIPE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SID" VARCHAR2(50 BYTE) ,
  "STARTSID" VARCHAR2(50 BYTE) ,
  "STARTDEPTH" NUMBER(9) ,
  "STARTZ" NUMBER(9) ,
  "STARTCTYPE" VARCHAR2(50 BYTE) ,
  "ENDSID" VARCHAR2(50 BYTE) ,
  "ENDDEPTH" NUMBER(9) ,
  "ENDZ" NUMBER(9) ,
  "ENDCTYPE" VARCHAR2(50 BYTE) ,
  "MATERIAL" VARCHAR2(20 BYTE) ,
  "BURYTYPE" VARCHAR2(20 BYTE) ,
  "DIAMETER" NUMBER(9) ,
  "THICKNESS" NUMBER(9) ,
  "USESTATUS" VARCHAR2(20 BYTE) ,
  "LINECODE" VARCHAR2(20 BYTE) ,
  "DIRECTION" VARCHAR2(10 BYTE) ,
  "ISANTIROT" VARCHAR2(10 BYTE) ,
  "ANTIROTNOTE" VARCHAR2(500 BYTE) ,
  "ISSECURE" VARCHAR2(10 BYTE) ,
  "ISCHECK" VARCHAR2(10 BYTE) ,
  "DRIVEMATERIAL" VARCHAR2(20 BYTE) ,
  "SURVEYUNIT" VARCHAR2(100 BYTE) ,
  "OWNERUNIT" VARCHAR2(100 BYTE) ,
  "MAINTAINEDUNIT" VARCHAR2(100 BYTE) ,
  "BURYYEAR" VARCHAR2(20 BYTE) ,
  "SURVEYDATE" DATE ,
  "INDATE" DATE ,
  "INSTALLDATE" DATE ,
  "OCCUPYSURFACE" VARCHAR2(100 BYTE) ,
  "CAUTERYSTATE" VARCHAR2(200 BYTE) ,
  "LANEWAY" VARCHAR2(100 BYTE) ,
  "ADDRESS" VARCHAR2(500 BYTE) ,
  "AREANO" NUMBER(15) ,
  "DISTRICT" NUMBER(15) ,
  "MANUFACTURER" VARCHAR2(100 BYTE) ,
  "BACKFILLTYPE" VARCHAR2(50 BYTE) ,
  "SUPPLYGASDATE" DATE ,
  "ROUGHNESS" NUMBER(9) ,
  "DEPTHLOCATION" VARCHAR2(50 BYTE) ,
  "PIPELENGTH" NUMBER(10,3) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "REMARK" VARCHAR2(500 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."SID" IS '管线编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."STARTSID" IS '起点点号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."STARTDEPTH" IS '起点埋深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."STARTZ" IS '起点管顶高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."STARTCTYPE" IS '起点连接方式';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ENDSID" IS '终点点号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ENDDEPTH" IS '终点埋深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ENDZ" IS '终点管顶高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ENDCTYPE" IS '终点连接方式';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."MATERIAL" IS '管线材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."BURYTYPE" IS '敷设方式';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."DIAMETER" IS '管径（mm)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."THICKNESS" IS '壁厚（mm)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."USESTATUS" IS '使用情况';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."LINECODE" IS '线标准代码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."DIRECTION" IS '流向';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ISANTIROT" IS '防腐措施';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ANTIROTNOTE" IS '防腐情况';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ISSECURE" IS '安全提示';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ISCHECK" IS '定期检测';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."DRIVEMATERIAL" IS '套管材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."SURVEYUNIT" IS '勘测单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."OWNERUNIT" IS '权属单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."MAINTAINEDUNIT" IS '管辖单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."BURYYEAR" IS '埋设年代';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."SURVEYDATE" IS '勘测日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."INDATE" IS '入库日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."INSTALLDATE" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."OCCUPYSURFACE" IS '路面情况';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."CAUTERYSTATE" IS '腐蚀状况';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."LANEWAY" IS '所在道路';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."AREANO" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."DISTRICT" IS '行政区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."MANUFACTURER" IS '管线生产厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."BACKFILLTYPE" IS '回填物类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."SUPPLYGASDATE" IS '通水日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."ROUGHNESS" IS '粗糙度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."DEPTHLOCATION" IS '埋深位置';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."PIPELENGTH" IS '管线长度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."REMARK" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PIPE_W"."FILE_IDS" IS '附件图片';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PIPE_W" IS '管线信息采集数据表：TF_YWPN _PIPE_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLANCANCLE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLANCANCLE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLANCANCLE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "APPLY_USER" NUMBER(15) ,
  "PLAN_ID" NUMBER(15) ,
  "APPLY_NOTES" VARCHAR2(500 BYTE) ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "AUDIT_RESULT" VARCHAR2(2 BYTE) ,
  "AUDIT_NOTES" VARCHAR2(500 BYTE) ,
  "AUDIT_USER" NUMBER(15) ,
  "AUDIT_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."APPLY_USER" IS '申请人ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."PLAN_ID" IS '主计划ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."APPLY_NOTES" IS '申请说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."ISREAD" IS '是否接收查看；0：未读；1：已读';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."AUDIT_RESULT" IS '审核结果，0：未审核；1：通过；2：未通过';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."AUDIT_NOTES" IS '审核说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."AUDIT_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."AUDIT_TIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCANCLE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLANCANCLE_W" IS '巡检计划作废信息表：TF_YWPN_PLANCANCLE_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLANCHILD_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLANCHILD_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLANCHILD_W" (
  "ID" NUMBER(15) NOT NULL ,
  "RESP_USER" NUMBER(15) ,
  "PLAN_ID" NUMBER(15) ,
  "PLAN_STATE" VARCHAR2(2 BYTE) ,
  "PERCENT" NUMBER(5,2) ,
  "OVER_LEN" NUMBER(15,3) ,
  "OVER_COUNT" NUMBER(8,3) ,
  "OVER_IDS" CLOB ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."RESP_USER" IS '巡查人ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."PLAN_ID" IS '主计划';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."PLAN_STATE" IS '是否转移：-1,、正常， 5：申请转移  6：已转移';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."PERCENT" IS '个人完成率';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."OVER_LEN" IS '个人巡检完成情况，点数或长度（按完成率计算';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."OVER_COUNT" IS '已完成点数（计算个人完成率）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."OVER_IDS" IS '已完成点IDS，以英文“；”分割';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANCHILD_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLANCHILD_W" IS '巡检子计划信息表：TF_YWPN_PLANCHILD_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLANMOUTH_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLANMOUTH_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLANMOUTH_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "MOUTH" VARCHAR2(10 BYTE) ,
  "ISSUBMIT" VARCHAR2(2 BYTE) ,
  "SUBMIT_TIME" DATE ,
  "SUBMIT_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "AUDIT_RESULT" VARCHAR2(2 BYTE) DEFAULT 0  ,
  "AUDIT_USER" NUMBER(15) ,
  "AUDIT_NOTES" VARCHAR2(1000 BYTE) ,
  "AUDITTIME" DATE ,
  "ISREAD" VARCHAR2(2 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."MOUTH" IS '月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."ISSUBMIT" IS '上报状态；0：未提交；1：已提交';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."SUBMIT_TIME" IS '上报时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."SUBMIT_USER" IS '上报人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."AUDIT_RESULT" IS '审核结果；0：未审核；1：通过；2：未通过，';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."AUDIT_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."AUDIT_NOTES" IS '审核备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."AUDITTIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANMOUTH_W"."ISREAD" IS '是否接收查看，0：未查看；1：已查看';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLANMOUTH_W" IS '巡检月度计划记录信息表：TF_YWPN_PLANMOUTH_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLANPATH_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLANPATH_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLANPATH_W" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(50 BYTE) ,
  "REGION_ID" NUMBER(15) ,
  "INSPECT_TYPE" NUMBER(15) ,
  "GEOMETRY" CLOB ,
  "LENGTH" NUMBER(10,3) ,
  "NOTE" VARCHAR2(500 BYTE) ,
  "IS_USE" VARCHAR2(2 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."NAME" IS '巡检线名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."REGION_ID" IS '巡检片区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."INSPECT_TYPE" IS '巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."GEOMETRY" IS '几何图形JSON字符串';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."LENGTH" IS '长度，单位：M';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."NOTE" IS '巡检线备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."IS_USE" IS '是否被占用 0 占用 1未占用';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPATH_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLANPATH_W" IS '巡检线信息表：TF_YWPN_PLANPATH_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLANPOINT_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLANPOINT_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLANPOINT_W" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(100 BYTE) ,
  "REGION_ID" NUMBER(15) ,
  "INSPECT_TYPE" NUMBER(15) ,
  "GEOMETRY" CLOB ,
  "LAT" NUMBER(24,10) ,
  "LNG" NUMBER(24,10) ,
  "NOTE" VARCHAR2(500 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "IS_USE" VARCHAR2(2 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."NAME" IS '巡检点名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."REGION_ID" IS '巡检点片区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."INSPECT_TYPE" IS '巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."GEOMETRY" IS '巡检点几何坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."LAT" IS '纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."LNG" IS '经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."NOTE" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANPOINT_W"."IS_USE" IS '是否被占用 0 占用 1未占用';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLANPOINT_W" IS '巡检点信息表：TF_YWPN_PLANPOINT_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLANSTOP_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLANSTOP_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLANSTOP_W" (
  "ID" NUMBER(15) NOT NULL ,
  "APPLY_USER" NUMBER(15) ,
  "PLAN_ID" NUMBER(15) ,
  "APPLY_STARTTIME" DATE ,
  "APPLY_ENDTIME" DATE ,
  "APPLY_NOTE" VARCHAR2(1000 BYTE) ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "AUDIT_RESULT" VARCHAR2(2 BYTE) ,
  "AUDIT_NOTE" VARCHAR2(500 BYTE) ,
  "AUDIT_USER" NUMBER(15) ,
  "AUDIT_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."ID" IS '巡检计划记录ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."APPLY_USER" IS '申请人ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."PLAN_ID" IS '主计划ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."APPLY_STARTTIME" IS '任务重新开始时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."APPLY_ENDTIME" IS '任务重新结束时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."APPLY_NOTE" IS '申请说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."ISREAD" IS '是否接收查看；0：未读；1：已读';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."AUDIT_RESULT" IS '审核结果；0：未审核；1：通过；2：未通过；3：任务已完成';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."AUDIT_NOTE" IS '审核说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."AUDIT_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."AUDIT_TIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANSTOP_W"."CREATE_TIME" IS '创建时间（申请时间）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLANSTOP_W" IS '巡检计划暂停信息表：TF_YWPN_PLANSTOP_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLANYEARDETAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR_ID" NUMBER(15) ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "MONTH" VARCHAR2(10 BYTE) ,
  "PLAN_CONTENT" CLOB ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W"."YEAR_ID" IS '年度记录ID，关联TF_YWPN_PLANYEAR_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W"."MONTH" IS '月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W"."PLAN_CONTENT" IS '计划内容';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W" IS '巡检年度计划明细信息表：TF_YWPN_PLANYEARDETAIL_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLANYEAR_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLANYEAR_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLANYEAR_W" (
  "ID" NUMBER(15) NOT NULL ,
  "PLAN_YEAR_NAME" VARCHAR2(100 BYTE) ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "ISSUBMIT" VARCHAR2(2 BYTE) DEFAULT 0  ,
  "SUBMIT_TIME" DATE ,
  "SUBMIT_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "AUDIT_RESULT" VARCHAR2(2 BYTE) DEFAULT 0  ,
  "AUDIT_USER" NUMBER(15) ,
  "AUDIT_NOTES" VARCHAR2(1000 BYTE) ,
  "AUDITTIME" DATE ,
  "ISREAD" VARCHAR2(2 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."PLAN_YEAR_NAME" IS '年度计划名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."ISSUBMIT" IS '上报状态；0：未提交；1：已提交';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."SUBMIT_TIME" IS '上报时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."SUBMIT_USER" IS '上报人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."AUDIT_RESULT" IS '审核结果；0：未审核；1：通过；2：未通过，';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."AUDIT_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."AUDIT_NOTES" IS '审核备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."AUDITTIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLANYEAR_W"."ISREAD" IS '是否接收查看，0：未查看；1：已查看';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLANYEAR_W" IS '巡检年度计划记录信息表：TF_YWPN_PLANYEAR_W';

-- ----------------------------
-- Table structure for TF_YWPN_PLAN_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PLAN_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PLAN_W" (
  "ID" NUMBER(15) NOT NULL ,
  "PLAN_TYPE" VARCHAR2(2 BYTE) ,
  "MOUTH_ID" NUMBER(15) ,
  "PERIOD_ID" NUMBER(15) ,
  "PLAN_BEGINDATE" DATE ,
  "PLAN_ENDDATE" DATE ,
  "REGION_ID" NUMBER(15) ,
  "INSPECT_TYPE" NUMBER(15) ,
  "INSPECT_CONTENTS" CLOB ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "ISOVER" VARCHAR2(2 BYTE) ,
  "PLAN_STATE" VARCHAR2(2 BYTE) ,
  "INTERVAL_DAY" NUMBER(5) ,
  "PLAN_PERCENT" NUMBER(5,2) ,
  "PERCENT" NUMBER(5,2) ,
  "TOTAL_LENGTH" NUMBER(15,3) ,
  "TOTAL_COUNT" NUMBER(15,3) ,
  "DESCRIPTION" VARCHAR2(2000 BYTE) ,
  "LAST_TIME" DATE ,
  "LAST_USER" NUMBER(15) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."ID" IS '巡检计划ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."PLAN_TYPE" IS '计划类型；1：计划性；2：日常性临时计划';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."MOUTH_ID" IS '计划ID，当计划类型为计划性时，关联TF_YWPN_PLANMOUTH_W';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."PERIOD_ID" IS '巡检周期；关联周期表：TF_YWPN_PERIOD_D';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."PLAN_BEGINDATE" IS '巡检计划开始时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."PLAN_ENDDATE" IS '巡检计划结束时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."REGION_ID" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."INSPECT_TYPE" IS '巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."INSPECT_CONTENTS" IS '巡查内容JSON字符串';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."ISREAD" IS '用户是否阅读；：0：纬未读；1：已读';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."ISOVER" IS '是否超时；0：未超时；1：已超时';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."PLAN_STATE" IS '巡检计划状态；0：未提交；1：未审核，2：未开始，3：正在执行 4：计划完成  7：申请暂停 8：计划已暂停 9：申请作废 10：计划已作废';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."INTERVAL_DAY" IS '间隔天数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."PLAN_PERCENT" IS '计划完成率';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."PERCENT" IS '实际完成率';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."TOTAL_LENGTH" IS '记录计划任务情况（点是个数，线是长度）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."TOTAL_COUNT" IS '总点数，用于计算完成率';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."DESCRIPTION" IS '计划备注描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."LAST_TIME" IS '最后一次修改时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."LAST_USER" IS '最后一次修改人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PLAN_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PLAN_W" IS '巡检计划详细信息表：TF_YWPN__PLAN_W';

-- ----------------------------
-- Table structure for TF_YWPN_POINTTEMP_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_POINTTEMP_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_POINTTEMP_W" (
  "ID" NUMBER(15) NOT NULL ,
  "PLAN_ID" NUMBER(15) ,
  "ISOVER" VARCHAR2(2 BYTE) ,
  "GEOMETRY" CLOB ,
  "LAT" NUMBER(15,10) ,
  "LNG" NUMBER(15,10) ,
  "OVER_DATE" DATE ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_POINTTEMP_W"."PLAN_ID" IS '巡检计划ID，关联TF_YWPN_PLAN_W';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_POINTTEMP_W"."ISOVER" IS '是否到位；0：未到位；1：已到位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_POINTTEMP_W"."GEOMETRY" IS '巡检点几何坐标信息';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_POINTTEMP_W"."LAT" IS '纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_POINTTEMP_W"."LNG" IS '经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_POINTTEMP_W"."OVER_DATE" IS '到位时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_POINTTEMP_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_POINTTEMP_W" IS '巡检计划点到位信息表：TF_YWPN_POINTTEMP_W';

-- ----------------------------
-- Table structure for TF_YWPN_PRESSRECORD_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_PRESSRECORD_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_PRESSRECORD_W" (
  "ID" NUMBER(15) NOT NULL ,
  "PLAN_CHILDID" NUMBER(15) ,
  "X_ADDR" NUMBER(15) ,
  "Y_ADDR" NUMBER(15) ,
  "NETWORK" VARCHAR2(2 BYTE) ,
  "ADDRESS" VARCHAR2(200 BYTE) ,
  "REGION_CODE" VARCHAR2(50 BYTE) ,
  "JW_NUM" VARCHAR2(50 BYTE) ,
  "CKYL" NUMBER(15) ,
  "SJYL" NUMBER(15) ,
  "YLJC_TIME" DATE ,
  "NOTES" VARCHAR2(1000 BYTE) ,
  "FILE_IDS" VARCHAR2(1000 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."ID" IS '数据唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."PLAN_CHILDID" IS '子计划ID，关联表TF_YWPN_PLANCHILD_W主键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."X_ADDR" IS '上报位置经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."Y_ADDR" IS '上报位置纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."NETWORK" IS '定位网络(gps 1,基站2,wifi 3)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."ADDRESS" IS '地址描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."REGION_CODE" IS '片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."JW_NUM" IS '压力表位置描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."CKYL" IS '参考压力(Mpa)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."SJYL" IS '实际压力(Mpa)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."YLJC_TIME" IS '压力监测时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."NOTES" IS '情况说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."FILE_IDS" IS '上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."CREATE_TIME" IS '创建时间（上报时间）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_PRESSRECORD_W"."CREATE_USER" IS '创建用户ID（上报用户）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_PRESSRECORD_W" IS '水压测试记录上报表：TF_YWPN_PRESSRECORD_W';

-- ----------------------------
-- Table structure for TF_YWPN_QFCBJBXX_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFCBJBXX_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFCBJBXX_W" (
  "ID" NUMBER NOT NULL ,
  "KHBH" VARCHAR2(50 BYTE) ,
  "KHXM" VARCHAR2(100 BYTE) ,
  "KHDZ" VARCHAR2(100 BYTE) ,
  "LXDH" VARCHAR2(20 BYTE) ,
  "QYHD" VARCHAR2(20 BYTE) ,
  "CBB" VARCHAR2(20 BYTE) ,
  "YSXZ" VARCHAR2(20 BYTE) ,
  "XZXF" VARCHAR2(20 BYTE) ,
  "CBZQ" CHAR(1 BYTE) ,
  "CBYF" VARCHAR2(20 BYTE) ,
  "SCDS" NUMBER ,
  "BCDS" NUMBER ,
  "CBRQ" DATE ,
  "CBRY" VARCHAR2(50 BYTE) ,
  "BZ" VARCHAR2(100 BYTE) ,
  "SBKJ" VARCHAR2(20 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."QYHD" IS '区域号段';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."CBB" IS '抄表册';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."YSXZ" IS '用水性质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."XZXF" IS '性质细分';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."CBZQ" IS '抄表周期（1单月抄表/2双月抄表)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."CBYF" IS '抄表月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."SCDS" IS '抄表起度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."BCDS" IS '抄表止度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."CBRQ" IS '抄表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."CBRY" IS '抄表人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."BZ" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJBXX_W"."SBKJ" IS '水表口径';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFCBJBXX_W" IS '抄表业务基本信息表(基础表）';

-- ----------------------------
-- Table structure for TF_YWPN_QFCBJH_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFCBJH_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFCBJH_W" (
  "ID" NUMBER NOT NULL ,
  "JHBH" VARCHAR2(50 BYTE) ,
  "QYHD" VARCHAR2(20 BYTE) ,
  "CBB" VARCHAR2(20 BYTE) ,
  "CBYF" VARCHAR2(20 BYTE) ,
  "CBRY" VARCHAR2(50 BYTE) ,
  "JHRQ" DATE ,
  "CBHS" NUMBER ,
  "START_CBRQ" DATE ,
  "END_CBRQ" DATE ,
  "CBYS" VARCHAR2(50 BYTE) ,
  "CBSX" DATE ,
  "XZBS" CHAR(1 BYTE) ,
  "BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."JHBH" IS '计划编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."QYHD" IS '区域号段';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."CBB" IS '抄表册';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."CBYF" IS '抄表月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."CBRY" IS '抄表人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."JHRQ" IS '计划日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."CBHS" IS '抄表户数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."START_CBRQ" IS '首只抄表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."END_CBRQ" IS '末尾抄表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."CBYS" IS '抄表用时';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."CBSX" IS '抄表时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."XZBS" IS '下载标识（0未下载，1已下载）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBJH_W"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFCBJH_W" IS '抄表业务计划表';

-- ----------------------------
-- Table structure for TF_YWPN_QFCBMX_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFCBMX_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFCBMX_W" (
  "ID" NUMBER NOT NULL ,
  "JHBH" VARCHAR2(50 BYTE) ,
  "KHBH" VARCHAR2(50 BYTE) ,
  "KHXM" VARCHAR2(100 BYTE) ,
  "KHDZ" VARCHAR2(100 BYTE) ,
  "LXDH" VARCHAR2(20 BYTE) ,
  "QYHD" VARCHAR2(20 BYTE) ,
  "CBB" VARCHAR2(20 BYTE) ,
  "SBKJ" VARCHAR2(20 BYTE) ,
  "YSXZ" VARCHAR2(20 BYTE) ,
  "XZXF" VARCHAR2(20 BYTE) ,
  "CBZQ" CHAR(1 BYTE) ,
  "CBYF" VARCHAR2(20 BYTE) ,
  "SCDS" NUMBER ,
  "BCDS" NUMBER ,
  "CBSL" NUMBER ,
  "CBBZ" CHAR(1 BYTE) ,
  "CBRQ" DATE ,
  "CBRY" VARCHAR2(50 BYTE) ,
  "JHCBRQ" DATE ,
  "CBRQJG" VARCHAR2(50 BYTE) ,
  "FILEID" VARCHAR2(50 BYTE) ,
  "BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."JHBH" IS '计划编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."QYHD" IS '区域号段';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."CBB" IS '抄表册';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."SBKJ" IS '水表口径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."YSXZ" IS '用水性质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."XZXF" IS '性质细分';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."CBZQ" IS '抄表周期（1单月抄表/2双月抄表)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."CBYF" IS '抄表月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."SCDS" IS '抄表起度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."BCDS" IS '抄表止度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."CBSL" IS '抄表水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."CBBZ" IS '抄表标志（0未抄表/1已抄表';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."CBRQ" IS '抄表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."CBRY" IS '抄表人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."JHCBRQ" IS '计划抄表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."CBRQJG" IS '抄表日期间隔';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."FILEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBMX_W"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFCBMX_W" IS '抄表业务明细表';

-- ----------------------------
-- Table structure for TF_YWPN_QFCBSBGL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFCBSBGL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFCBSBGL_W" (
  "ID" NUMBER NOT NULL ,
  "SBBH" VARCHAR2(50 BYTE) ,
  "SBMC" VARCHAR2(100 BYTE) ,
  "SBCJ" VARCHAR2(50 BYTE) ,
  "SBXH" VARCHAR2(50 BYTE) ,
  "STATE" CHAR(1 BYTE) ,
  "CYRY" VARCHAR2(50 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBSBGL_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBSBGL_W"."SBBH" IS '设备编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBSBGL_W"."SBMC" IS '设备名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBSBGL_W"."SBCJ" IS '设备厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBSBGL_W"."SBXH" IS '设备型号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBSBGL_W"."STATE" IS '发放状态（0未发放，1已发放）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFCBSBGL_W"."CYRY" IS '当前持有人员';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFCBSBGL_W" IS '抄表业务设备管理表';

-- ----------------------------
-- Table structure for TF_YWPN_QFKHJBXX_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFKHJBXX_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFKHJBXX_W" (
  "YHBH" VARCHAR2(50 BYTE) NOT NULL ,
  "YHXM" VARCHAR2(100 BYTE) ,
  "YHDZ" VARCHAR2(200 BYTE) ,
  "LXDH" VARCHAR2(20 BYTE) ,
  "LXRY" VARCHAR2(50 BYTE) ,
  "LXSJ" VARCHAR2(20 BYTE) ,
  "YYQY" VARCHAR2(50 BYTE) ,
  "CBPQ" VARCHAR2(50 BYTE) ,
  "CBB" VARCHAR2(50 BYTE) ,
  "YHZT" CHAR(1 BYTE) ,
  "JFZH" VARCHAR2(50 BYTE) ,
  "ZHZT" CHAR(1 BYTE) ,
  "ZHYE" NUMBER(18,3) ,
  "GSHT" VARCHAR2(50 BYTE) ,
  "YSXZ" VARCHAR2(50 BYTE) ,
  "XZXF" VARCHAR2(50 BYTE) ,
  "SBYT" VARCHAR2(50 BYTE) ,
  "SFJT" CHAR(1 BYTE) ,
  "SFJL" CHAR(1 BYTE) ,
  "SFJF" CHAR(1 BYTE) ,
  "ZBRY" VARCHAR2(50 BYTE) ,
  "SBBW" VARCHAR2(50 BYTE) ,
  "SF_YSDH" CHAR(1 BYTE) ,
  "CBZQ" CHAR(1 BYTE) ,
  "YJFR" VARCHAR2(50 BYTE) ,
  "XZLX" VARCHAR2(50 BYTE) ,
  "SF_DWYH" CHAR(1 BYTE) ,
  "SF_KZZS" CHAR(1 BYTE) ,
  "KHRQ" DATE ,
  "SF_TSYH" CHAR(1 BYTE) ,
  "TSDW" VARCHAR2(50 BYTE) ,
  "GS_HTZT" CHAR(1 BYTE) ,
  "SBBH" VARCHAR2(50 BYTE) ,
  "SBMP" VARCHAR2(50 BYTE) ,
  "SBLX" VARCHAR2(50 BYTE) ,
  "SBDD" NUMBER(10) ,
  "SBKJ" VARCHAR2(50 BYTE) ,
  "AZFS" VARCHAR2(50 BYTE) ,
  "AZRQ" DATE ,
  "ZH_HBRQ" DATE ,
  "JDRQ" DATE ,
  "ZH_XGRQ" DATE ,
  "YHBS" CHAR(1 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."YHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."YHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."YHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."LXRY" IS '联系人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."LXSJ" IS '联系手机';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."YYQY" IS '营业区域(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."CBPQ" IS '所属片区(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."CBB" IS '所属抄表本(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."YHZT" IS '客户状态(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."JFZH" IS '缴费账户';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."ZHZT" IS '账户状态(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."ZHYE" IS '账户余额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."GSHT" IS '供水合同';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."YSXZ" IS '用水性质(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."XZXF" IS '性质细分(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SBYT" IS '水表用途(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SFJT" IS '是否阶梯(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SFJL" IS '是否计量(0否, 1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SFJF" IS '是否计费(0否 ，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."ZBRY" IS '装表人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SBBW" IS '水表表位（存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SF_YSDH" IS '是否用大户(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."CBZQ" IS '抄表周期（存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."YJFR" IS '应缴费日';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."XZLX" IS '性质类型(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SF_DWYH" IS '是否单位客户(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SF_KZZS" IS '是否开增值税(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."KHRQ" IS '开户日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SF_TSYH" IS '是否拖收客户(0否,1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."TSDW" IS '托收单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."GS_HTZT" IS '供水合同状态（0未签订，1已签订)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SBBH" IS '水表表号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SBMP" IS '水表厂家（存编码）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SBLX" IS '水表类型（存编码）机械表、远传表、IC卡表、物联网表';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SBDD" IS '水表底度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."SBKJ" IS '水表口径(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."AZFS" IS '安装方式(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."AZRQ" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."ZH_HBRQ" IS '最后换表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."JDRQ" IS '建档日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."ZH_XGRQ" IS '最后修改日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFKHJBXX_W"."YHBS" IS '客户标识(0历史客户，1新增客户)';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFKHJBXX_W" IS '营销档案客户基本信息表';

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDBZYW_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDBZYW_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" (
  "ID" VARCHAR2(15 BYTE) NOT NULL ,
  "BZ_GCBH" VARCHAR2(50 BYTE) ,
  "BZ_GCMC" VARCHAR2(50 BYTE) ,
  "BZ_GCDZ" VARCHAR2(500 BYTE) ,
  "BZ_LXRY" VARCHAR2(50 BYTE) ,
  "BZ_LXDH" VARCHAR2(20 BYTE) ,
  "BZ_GCJD" VARCHAR2(100 BYTE) ,
  "BZ_YSJE" NUMBER(10,3) ,
  "BZ_SSJE" NUMBER(10,3) ,
  "BZ_YHJE" NUMBER(10,3) ,
  "BZ_SYJE" NUMBER(10,3) ,
  "BZ_SFBZ" VARCHAR2(2 BYTE) ,
  "BZ_SFRY" VARCHAR2(50 BYTE) ,
  "BZ_SFRQ" DATE ,
  "BZ_BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_GCBH" IS '工程编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_GCMC" IS '工程名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_GCDZ" IS '工程地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_LXRY" IS '联系人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_GCJD" IS '工程节点(报装申请、现场踏勘、勘查设计、费用预算、合同签订等)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_YSJE" IS '应收金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_SSJE" IS '实收金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_YHJE" IS '优惠金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_SYJE" IS '剩余金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_SFBZ" IS '收费标志(0未收费，1已收费)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_SFRY" IS '收费人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_SFRQ" IS '收费日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDBZYW_E"."BZ_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" IS 'TF_YWPN_QFMIDBZYW_E 报装业务';

-- ----------------------------
-- Records of TF_YWPN_QFMIDBZYW_E
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" VALUES ('1', '20210316', '测试', '工程地址01', '测试01', '13358652536', '踏勘设计', '0', '0', '0', '0', '0', NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" VALUES ('2', '20210316', '测试01', '工程地址02', '测试02', '133500227896', '竣工验收', '4800', '4800', '0', '4800', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" VALUES ('3', '20210316', '测试03', '工程地址03', '测试03', '13350021356987', '费用预算', '4800', '0', '0', '0', '0', NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" VALUES ('4', '20210316', '测试04', '工程地址04', '测试04', '133500267896', '签订合同', '0', '0', '0', '0', '0', NULL, NULL, NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" VALUES ('5', '20210316', '测试05', '工程地址05', '测试05', '13350002589', '安装派工', '4800', '2400', '2400', '2400', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL);

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDCBBBM_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W" (
  "CBBBM" VARCHAR2(50 BYTE) NOT NULL ,
  "CBBMC" VARCHAR2(50 BYTE) ,
  "CBDZ" VARCHAR2(100 BYTE) ,
  "CBRY" VARCHAR2(50 BYTE) ,
  "CBPQ" VARCHAR2(50 BYTE) ,
  "CREATE_CZRQ" DATE ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "YXBZ" VARCHAR2(2 BYTE) ,
  "BZ" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."CBBBM" IS '表本编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."CBBMC" IS '表本名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."CBDZ" IS '表本地址描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."CBRY" IS '抄表员（编码）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."CBPQ" IS '所属片区编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."CREATE_CZRQ" IS '创建日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."CREATE_USER" IS '抄表周期（单月抄表/双月抄表）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."YXBZ" IS '有效标志';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W" IS '中间抄表本编码表';

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDCBFS_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDCBFS_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDCBFS_E" (
  "ID" NUMBER(15) NOT NULL ,
  "CBFS_BM" VARCHAR2(20 BYTE) ,
  "CBFS_MC" VARCHAR2(50 BYTE) ,
  "CBFS_YXBZ" VARCHAR2(2 BYTE) ,
  "CBFS_XH" VARCHAR2(4 BYTE) ,
  "CBFS_CZRQ" DATE ,
  "CBFS_BZ" VARCHAR2(500 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBFS_E"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBFS_E"."CBFS_BM" IS '编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBFS_E"."CBFS_MC" IS '名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBFS_E"."CBFS_YXBZ" IS '有效标志';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBFS_E"."CBFS_XH" IS '序号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBFS_E"."CBFS_CZRQ" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBFS_E"."CBFS_BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDCBFS_E" IS 'TF_YWPN_QFMIDCBFS_E ；抄表方式';

-- ----------------------------
-- Records of TF_YWPN_QFMIDCBFS_E
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDCBFS_E" VALUES ('1', '01', '实抄', '1', '0', TO_DATE('2021-03-12 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDCBFS_E" VALUES ('2', '02', '估抄', '1', '1', TO_DATE('2021-03-12 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDCBFS_E" VALUES ('3', '03', '周检换表', '1', '2', TO_DATE('2021-03-12 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDCBFS_E" VALUES ('4', '04', '故障换表', '1', '3', TO_DATE('2021-03-12 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL);

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDCBPQ_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E" (
  "PQBM" VARCHAR2(20 BYTE) NOT NULL ,
  "PQMC" VARCHAR2(100 BYTE) ,
  "YXBZ" CHAR(1 BYTE) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE ,
  "BZ" VARCHAR2(500 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E"."PQBM" IS '抄表片区编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E"."PQMC" IS '抄表片区名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E"."YXBZ" IS '有效标志';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E"."CREATE_USER" IS '创建人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E"."CREATE_DATE" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E" IS '抄表片区';

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDCBQFMX_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E" (
  "YHBH" VARCHAR2(50 BYTE) NOT NULL ,
  "CBKH" VARCHAR2(50 BYTE) NOT NULL ,
  "CBPQ" VARCHAR2(50 BYTE) ,
  "CBB" VARCHAR2(50 BYTE) ,
  "CWYF" VARCHAR2(50 BYTE) ,
  "SCDS" NUMBER(22) ,
  "BCDS" NUMBER(22) ,
  "JJL" NUMBER(22) ,
  "CBRYBM" VARCHAR2(50 BYTE) ,
  "CBRQ" DATE ,
  "CBFS" VARCHAR2(50 BYTE) ,
  "CBBZ" VARCHAR2(2 BYTE) ,
  "SHBZ" VARCHAR2(2 BYTE) ,
  "JSBZ" VARCHAR2(2 BYTE) ,
  "CBCS" NUMBER(22) ,
  "CBXH" NUMBER(10) ,
  "BZ" VARCHAR2(500 BYTE) ,
  "JFZT" VARCHAR2(2 BYTE) ,
  "SJSC" VARCHAR2(2 BYTE) ,
  "HQBZ" VARCHAR2(2 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."YHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBKH" IS '抄表卡号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBPQ" IS '抄表片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBB" IS '抄表本';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CWYF" IS '财务月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."SCDS" IS '上次读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."BCDS" IS '本次读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."JJL" IS '加减量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBRYBM" IS '抄表人员编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBRQ" IS '抄表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBFS" IS '抄表方式：';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBBZ" IS '抄表标志：0未抄表，1已抄表';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."SHBZ" IS '审核标志：0未审核，1已审核';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."JSBZ" IS '计算标志：0未算费，1已算费';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBCS" IS '抄表次数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."CBXH" IS '抄表序号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."BZ" IS '抄表备注,存储抄表描述内容';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."JFZT" IS '计费状态（1正常，0停用）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."SJSC" IS '数据上传标志(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E"."HQBZ" IS '数据获取标志(0否，1是） 营销端使用';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E" IS 'TF_YWPN_QFMIDCBQFMX_E 当月抄表明细';

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDJFJL_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDJFJL_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDJFJL_E" (
  "LSBH" VARCHAR2(50 BYTE) NOT NULL ,
  "YHBH" VARCHAR2(50 BYTE) ,
  "YHXM" VARCHAR2(100 BYTE) ,
  "YHDZ" VARCHAR2(100 BYTE) ,
  "YSXZ" VARCHAR2(50 BYTE) ,
  "XZXF" VARCHAR2(50 BYTE) ,
  "CBYF" VARCHAR2(10 BYTE) ,
  "SCDS" NUMBER(10,5) ,
  "BCDS" NUMBER(10,5) ,
  "SL" NUMBER(10,5) ,
  "YSJE" NUMBER(10,3) ,
  "CBB" VARCHAR2(50 BYTE) ,
  "CBPQ" VARCHAR2(50 BYTE) ,
  "CBRY" VARCHAR2(50 BYTE) ,
  "SFRY" VARCHAR2(50 BYTE) ,
  "SFRQ" DATE ,
  "SFBZ" VARCHAR2(2 BYTE) ,
  "ZZSJE" NUMBER(22) ,
  "JBSF" NUMBER(10,3) ,
  "WYJ" NUMBER(10,3) ,
  "WSF" NUMBER(10,3) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."YHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."YHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."YHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."YSXZ" IS '用水性质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."XZXF" IS '性质细分';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."CBYF" IS '抄表月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."SCDS" IS '上次读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."BCDS" IS '本次读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."SL" IS '水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."YSJE" IS '应收金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."CBB" IS '抄表本';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."CBPQ" IS '抄表片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."CBRY" IS '抄表人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."SFRY" IS '收费人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."SFRQ" IS '收费日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."SFBZ" IS '收费标志(0未收费，1已收费)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."ZZSJE" IS '增值税金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."JBSF" IS '基本水费';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."WYJ" IS '违约金';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDJFJL_E"."WSF" IS '污水费';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDJFJL_E" IS '沱源_计费记录表';

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDSFJL_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDSFJL_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDSFJL_E" (
  "LSBH" VARCHAR2(50 BYTE) NOT NULL ,
  "YHBH" VARCHAR2(50 BYTE) ,
  "YHDZ" VARCHAR2(100 BYTE) ,
  "CBYF" VARCHAR2(50 BYTE) ,
  "SCDS" NUMBER(10,5) ,
  "BCDS" NUMBER(10,5) ,
  "SL" NUMBER(10,5) ,
  "FYJE" NUMBER(10,3) ,
  "SSJE" NUMBER(10,3) ,
  "KFJE" NUMBER(10,3) ,
  "CBRY" VARCHAR2(50 BYTE) ,
  "PJZT" VARCHAR2(2 BYTE) ,
  "SFRQ" DATE ,
  "SFYF" VARCHAR2(50 BYTE) ,
  "SFRY" VARCHAR2(50 BYTE) ,
  "CZRQ" DATE ,
  "JBSF" NUMBER(10,3) ,
  "WYJ" NUMBER(10,3) ,
  "XFZBF" NUMBER(10,3) ,
  "LJF" NUMBER(10,3) ,
  "WSF" NUMBER(10,3) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."YHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."YHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."CBYF" IS '抄表月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."SCDS" IS '上次读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."BCDS" IS '本次读数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."SL" IS '水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."FYJE" IS '费用金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."SSJE" IS '实收金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."KFJE" IS '扣费金额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."CBRY" IS '抄表人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."PJZT" IS '票据状态 （正常、冲红、被冲红）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."SFRQ" IS '收费日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."SFYF" IS '收费月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."SFRY" IS '收费人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."CZRQ" IS '操作日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."JBSF" IS '基本水费';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."WYJ" IS '违约金';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."XFZBF" IS '消防准备费';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."LJF" IS '垃圾费';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDSFJL_E"."WSF" IS '污水费';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDSFJL_E" IS '沱源_收费记录表';

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDYHDA_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDYHDA_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDYHDA_E" (
  "YHBH" VARCHAR2(50 BYTE) NOT NULL ,
  "YHXM" VARCHAR2(100 BYTE) ,
  "YHDZ" VARCHAR2(200 BYTE) ,
  "LXDH" VARCHAR2(20 BYTE) ,
  "LXRY" VARCHAR2(50 BYTE) ,
  "LXSJ" VARCHAR2(20 BYTE) ,
  "YYQY" VARCHAR2(50 BYTE) ,
  "CBPQ" VARCHAR2(50 BYTE) ,
  "CBB" VARCHAR2(50 BYTE) ,
  "YHZT" CHAR(1 BYTE) ,
  "JFZH" VARCHAR2(50 BYTE) ,
  "ZHZT" CHAR(1 BYTE) ,
  "ZHYE" NUMBER(18,3) ,
  "GSHT" VARCHAR2(50 BYTE) ,
  "YSXZ" VARCHAR2(50 BYTE) ,
  "XZXF" VARCHAR2(50 BYTE) ,
  "SBYT" VARCHAR2(50 BYTE) ,
  "SFJT" CHAR(1 BYTE) ,
  "SFJL" CHAR(1 BYTE) ,
  "SFJF" CHAR(1 BYTE) ,
  "ZBRY" VARCHAR2(50 BYTE) ,
  "SBBW" VARCHAR2(50 BYTE) ,
  "SF_YSDH" CHAR(1 BYTE) ,
  "CBZQ" CHAR(1 BYTE) ,
  "YJFR" VARCHAR2(50 BYTE) ,
  "XZLX" VARCHAR2(50 BYTE) ,
  "SF_DWYH" CHAR(1 BYTE) ,
  "SF_KZZS" CHAR(1 BYTE) ,
  "KHRQ" DATE ,
  "SF_TSYH" CHAR(1 BYTE) ,
  "TSDW" VARCHAR2(50 BYTE) ,
  "GS_HTZT" CHAR(1 BYTE) ,
  "SBBH" VARCHAR2(50 BYTE) ,
  "SBMP" VARCHAR2(50 BYTE) ,
  "SBLX" VARCHAR2(50 BYTE) ,
  "SBDD" NUMBER(10) ,
  "SBKJ" VARCHAR2(50 BYTE) ,
  "AZFS" VARCHAR2(50 BYTE) ,
  "AZRQ" DATE ,
  "ZH_HBRQ" DATE ,
  "JDRQ" DATE ,
  "ZH_XGRQ" DATE ,
  "YHBS" CHAR(1 BYTE) ,
  "CZRQ" DATE ,
  "TSBS" CHAR(1 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 1048576 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."YHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."YHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."YHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."LXRY" IS '联系人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."LXSJ" IS '联系手机';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."YYQY" IS '营业区域(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."CBPQ" IS '所属片区(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."CBB" IS '所属抄表本(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."YHZT" IS '客户状态(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."JFZH" IS '缴费账户';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."ZHZT" IS '账户状态(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."ZHYE" IS '账户余额';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."GSHT" IS '供水合同';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."YSXZ" IS '用水性质(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."XZXF" IS '性质细分(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SBYT" IS '水表用途(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SFJT" IS '是否阶梯(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SFJL" IS '是否计量(0否, 1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SFJF" IS '是否计费(0否 ，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."ZBRY" IS '装表人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SBBW" IS '水表表位（存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SF_YSDH" IS '是否用大户(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."CBZQ" IS '抄表周期（存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."YJFR" IS '应缴费日';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."XZLX" IS '性质类型(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SF_DWYH" IS '是否单位客户(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SF_KZZS" IS '是否开增值税(0否，1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."KHRQ" IS '开户日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SF_TSYH" IS '是否拖收客户(0否,1是)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."TSDW" IS '托收单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."GS_HTZT" IS '供水合同状态（0未签订，1已签订)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SBBH" IS '水表表号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SBMP" IS '水表厂家（存编码）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SBLX" IS '水表类型（存编码）机械表、远传表、IC卡表、物联网表';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SBDD" IS '水表底度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."SBKJ" IS '水表口径(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."AZFS" IS '安装方式(存编码)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."AZRQ" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."ZH_HBRQ" IS '最后换表日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."JDRQ" IS '建档日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."ZH_XGRQ" IS '最后修改日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."YHBS" IS '客户标识(0历史客户，1新增客户)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."CZRQ" IS '操作日期(客户档案数据提交时间)推送时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYHDA_E"."TSBS" IS '数据推送标识（1已推送）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDYHDA_E" IS '营销中间库表，用户档案表';

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDYSXZBM_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" (
  "BM" VARCHAR2(50 BYTE) NOT NULL ,
  "MC" VARCHAR2(50 BYTE) ,
  "YXBZ" CHAR(1 BYTE) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E"."BM" IS '编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E"."MC" IS '名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E"."YXBZ" IS '有效标志 1有效,0无效';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E"."CREATE_USER" IS '创建人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E"."CREATE_DATE" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" IS '中间营销用水性质编码';

-- ----------------------------
-- Records of TF_YWPN_QFMIDYSXZBM_E
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" VALUES ('01', '生活用水', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" VALUES ('02', '非居民用水(办工)', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" VALUES ('03', '非居民用水(生产)', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" VALUES ('04', '非居民用水(商业)', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" VALUES ('05', '低保户用水', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" VALUES ('06', '特种用水', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for TF_YWPN_QFMIDYSXZXFBM_E
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E";
CREATE TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E" (
  "BM" VARCHAR2(50 BYTE) NOT NULL ,
  "YSXZ_BM" VARCHAR2(50 BYTE) ,
  "MC" VARCHAR2(50 BYTE) ,
  "SF_ZZS" CHAR(1 BYTE) ,
  "YXBZ" CHAR(1 BYTE) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E"."BM" IS '编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E"."YSXZ_BM" IS '用水性质编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E"."MC" IS '性质细分名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E"."SF_ZZS" IS '是否计算增值税,1是0否';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E"."YXBZ" IS '有效标志 1有效,0 无效';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E"."CREATE_USER" IS '创建人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E"."CREATE_DATE" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E" IS '沱源_性质细分';

-- ----------------------------
-- Records of TF_YWPN_QFMIDYSXZXFBM_E
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E" VALUES ('01', '01', '(生活)生活用水方案', '1', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E" VALUES ('02', '01', '生活用水无阶梯', '1', '1', '101', TO_DATE('2021-03-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for TF_YWPN_QUESTIONMARK_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_QUESTIONMARK_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_QUESTIONMARK_W" (
  "ID" NUMBER(15) NOT NULL ,
  "CAPTION" VARCHAR2(255 BYTE) ,
  "FILE_ID" NUMBER(15) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_DATE" DATE ,
  "WKID" NUMBER(22) ,
  "X" NUMBER(15,6) ,
  "Y" NUMBER(15,6) ,
  "SCALE" NUMBER(15) ,
  "STATUS" VARCHAR2(1 BYTE) ,
  "HANDLE_USER" NUMBER(15) ,
  "HANDLE_DATE" DATE ,
  "NOTES" NVARCHAR2(2000) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."CAPTION" IS '标题';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."FILE_ID" IS '草图图片文件编号，关联公共文件表TF_YWPN_FILE _W中TABLE_ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."CREATE_USER" IS '创建者ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."CREATE_DATE" IS '创建日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."WKID" IS '坐标系编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."X" IS '草图位置经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."Y" IS '草图位置维度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."SCALE" IS '地图比例尺';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."STATUS" IS '处理状态（1-已处理、0-未处理）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."HANDLE_USER" IS '处理人ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."HANDLE_DATE" IS '处理日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_QUESTIONMARK_W"."NOTES" IS '内容';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_QUESTIONMARK_W" IS '疑问标识信息表';

-- ----------------------------
-- Table structure for TF_YWPN_RECORD_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_RECORD_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_RECORD_W" (
  "ID" NUMBER(15) NOT NULL ,
  "X_ADDR" NUMBER(15,6) ,
  "PLAN_CHILDID" NUMBER(15) ,
  "Y_ADDR" NUMBER(15,6) ,
  "NETWORK" VARCHAR2(2 BYTE) ,
  "ADDRESS" VARCHAR2(500 BYTE) ,
  "NOTE" VARCHAR2(500 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."X_ADDR" IS '上报位置经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."PLAN_CHILDID" IS '子计划ID，关联表TF_YWPN_PLANCHILD_W主键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."Y_ADDR" IS '上报位置维度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."NETWORK" IS '定位网络(gps 1,基站2,wifi 3)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."ADDRESS" IS '地址描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."NOTE" IS '情况说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."FILE_IDS" IS '上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RECORD_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_RECORD_W" IS '巡查过程记录表：TF_YWPN_RECORD_W';

-- ----------------------------
-- Table structure for TF_YWPN_REGIONRESP_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REGIONRESP_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REGIONRESP_W" (
  "ID" NUMBER(15) NOT NULL ,
  "RESP_GROUP" NUMBER(26) ,
  "REGION_ID" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REGIONRESP_W"."RESP_GROUP" IS '责任组ID，管理表TF_YWPN_INSPECTGROUP_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REGIONRESP_W"."REGION_ID" IS '片区ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REGIONRESP_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REGIONRESP_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REGIONRESP_W" IS '片区责任组关联信息表：TF_YWPN_REGIONRESP_W';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRGOODS_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRGOODS_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRGOODS_W" (
  "ID" NUMBER(15) NOT NULL ,
  "RECORD_ID" NUMBER(15) ,
  "REPAIR_USERID" NUMBER(15) ,
  "MATERIAL_TYPE" NUMBER(15) ,
  "MATERIAL" VARCHAR2(50 BYTE) ,
  "BORE" VARCHAR2(50 BYTE) ,
  "NUM" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."RECORD_ID" IS '上传记录表ID，关联表TF_YWPN_REPAIRRECORD_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."REPAIR_USERID" IS '个人任务id，关联表TF_YWPN_REPAIRUSER_W';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."MATERIAL_TYPE" IS '材料类型,关联表TF_YWPN_REPAIRTYPE_D关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."MATERIAL" IS '材质，字典编码表取，PE、金属等';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."BORE" IS '口径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."NUM" IS '数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRGOODS_W"."CREATE_USER" IS '创建用户ID';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRGOODS_W" IS '抢维修耗材记录表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRMATERIAL_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(50 BYTE) ,
  "UNIT" VARCHAR2(50 BYTE) ,
  "NOTES" VARCHAR2(200 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D"."NAME" IS '类型名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D"."UNIT" IS '单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D"."NOTES" IS '备注说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D" IS '维修材料类型信息表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRORDER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRORDER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRORDER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "ORDER_CODE" VARCHAR2(50 BYTE) ,
  "FAULT_TYPE" NUMBER(15) ,
  "YEAR_ID" NUMBER(15) ,
  "ORDER_SOURCE" VARCHAR2(2 BYTE) ,
  "PHONE" VARCHAR2(20 BYTE) ,
  "TYPE_ID" NUMBER(15) ,
  "MONTH" VARCHAR2(10 BYTE) ,
  "START_TIME" DATE ,
  "END_TIME" DATE ,
  "ADDRESS" VARCHAR2(200 BYTE) ,
  "LGTD" NUMBER(15,6) ,
  "LTTD" NUMBER(15,6) ,
  "NUM" NUMBER(15) ,
  "UNIT" VARCHAR2(50 BYTE) ,
  "NOTES" VARCHAR2(500 BYTE) ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "CONFIRM_TIME" DATE ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "ISREBUT" VARCHAR2(2 BYTE) ,
  "ISRELAY" VARCHAR2(2 BYTE) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "PERCENT" NUMBER(5,2) ,
  "OVER_NUM" NUMBER(15) ,
  "LAST_TIME" DATE ,
  "LAST_USER" NUMBER(15) ,
  "FILE_IDS" VARCHAR2(500 BYTE) ,
  "OVER_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."ID" IS '唯一值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."ORDER_CODE" IS '工单编号,以发起部门自定义代码+年月日+4位序号，如管网代码为：GW，生成日期为2021年1月23日，序号0001，整体编号：GW202101230001';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."FAULT_TYPE" IS '故障类型,关联编码表id';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."YEAR_ID" IS '年度计划id，关联表TF_YWPN_REPAIRPLANDETAIL_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."ORDER_SOURCE" IS '工单来源，字典编码表，0计划、1自建、2热线';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."PHONE" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."TYPE_ID" IS '维修类型,关联表TF_YWPN_REPAIRTYPE_D的关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."MONTH" IS '月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."START_TIME" IS '开始时间,工单处理开始时间，以派发时间为准，自动生成';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."END_TIME" IS '结束时间,工单处理结束时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."ADDRESS" IS '地址描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."LGTD" IS '经度，单位：°';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."LTTD" IS '纬度，单位：°';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."NUM" IS '维修数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."UNIT" IS '单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."NOTES" IS '详细说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."ISREAD" IS '是否查收,0未查收,1已查收';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."CONFIRM_TIME" IS '查收时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."ISREBUT" IS '是否驳回，0未驳回，1驳回';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."ISRELAY" IS '是否转发，0未转发，1已转发';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."STATE" IS '工单状态0:未派工,1:处理中, 2:驳回 , 3:审核中 , 4:完成';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."PERCENT" IS '总完成率';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."OVER_NUM" IS '总完成数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."LAST_TIME" IS '最后一次修改时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."LAST_USER" IS '最后一次修改人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."FILE_IDS" IS '附件ids，关联公共文件表TF_YWPN_FILE _W，多个附件以英文逗号分隔';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRORDER_W"."OVER_TIME" IS '完成时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRORDER_W" IS '抢维修工单信息表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRPLANDETAIL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR_ID" NUMBER(15) ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "MONTH" VARCHAR2(10 BYTE) ,
  "TYPE_ID" NUMBER(15) ,
  "NUM" NUMBER(15) ,
  "RESP_USER" NUMBER(15) ,
  "NOTES" VARCHAR2(1000 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."ID" IS '唯一值ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."YEAR_ID" IS '年度记录ID，关联表TF_YWPN_REPAIRPLAN_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."MONTH" IS '月份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."TYPE_ID" IS '维修类型ID,关联表TF_YWPN_REPAIRTYPE_D关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."NUM" IS '维修数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."RESP_USER" IS '任务接收负责人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."NOTES" IS '详细说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W" IS '抢维修年度计划内容信息表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRPLAN_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRPLAN_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRPLAN_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YEAR" VARCHAR2(10 BYTE) ,
  "ISSUBMIT" VARCHAR2(2 BYTE) DEFAULT 0 ,
  "SUBMIT" DATE ,
  "SUBMIT_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "AUDIT_RESULT" VARCHAR2(2 BYTE) ,
  "AUDIT_NOTES" VARCHAR2(200 BYTE) ,
  "AUDIT_USER" NUMBER(15) ,
  "AUDITTME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."YEAR" IS '年份';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."ISSUBMIT" IS '上报状态，0未提交、1已提交';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."SUBMIT" IS '上报时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."SUBMIT_USER" IS '上报人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."ISREAD" IS '是否接受查看，0未查看，1已查看';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."AUDIT_RESULT" IS '审核意见，0未审核、1通过、2未通过';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."AUDIT_NOTES" IS '审核说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."AUDIT_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRPLAN_W"."AUDITTME" IS '审核时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRPLAN_W" IS '抢维修年度计划记录信息表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRREBUT_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRREBUT_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRREBUT_W" (
  "ID" NUMBER(15) NOT NULL ,
  "REPAIR_USERID" NUMBER(15) ,
  "REBUT_NOTES" VARCHAR2(500 BYTE) ,
  "REPAIR_ID" NUMBER(15) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRREBUT_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRREBUT_W"."REPAIR_USERID" IS '个人任务id，关联表TF_YWPN_REPAIRUSER_W';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRREBUT_W"."REBUT_NOTES" IS '驳回原因说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRREBUT_W"."REPAIR_ID" IS '维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRREBUT_W"."CREATE_USER" IS '创建人（驳回人ID）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRREBUT_W"."CREATE_TIME" IS '创建时间（驳回时间）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRREBUT_W" IS '抢维修工单驳回记录信息表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRRECORD_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRRECORD_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRRECORD_W" (
  "ID" NUMBER(15) NOT NULL ,
  "LGTD" NUMBER(15,6) ,
  "LTTD" NUMBER(15,6) ,
  "REPAIR_USERID" NUMBER(15) ,
  "NETWORK" VARCHAR2(2 BYTE) ,
  "ADDRESS" VARCHAR2(200 BYTE) ,
  "BORE" VARCHAR2(50 BYTE) ,
  "NOTES" VARCHAR2(1000 BYTE) ,
  "FILE_IDS" VARCHAR2(1000 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CHECK_USER" NUMBER(15) ,
  "CHECK_TIME" DATE ,
  "CHECK_STATE" VARCHAR2(2 BYTE) ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "CHECK_SUGGEST" VARCHAR2(2 BYTE) ,
  "CHECK_NOTES" VARCHAR2(500 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."ID" IS '数据唯一标识';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."LGTD" IS '上报位置经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."LTTD" IS '上报位置纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."REPAIR_USERID" IS '个人任务id，关联表TF_YWPN_REPAIRUSER_W';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."NETWORK" IS '定位网络(gps 1,基站2,wifi 3)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."ADDRESS" IS '地址描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."BORE" IS '口径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."NOTES" IS '情况说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."FILE_IDS" IS '上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."CREATE_TIME" IS '创建时间（上报时间）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."CREATE_USER" IS '创建用户ID（上报用户）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."CHECK_USER" IS '审核人（任务派发）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."CHECK_TIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."CHECK_STATE" IS '审核状态，0未审核，1审核完成';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."ISREAD" IS '审核人是否查收，0未查收，1已查收';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."CHECK_SUGGEST" IS '审核意见，0不同意，1同意';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRECORD_W"."CHECK_NOTES" IS '审核说明';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRRECORD_W" IS '抢维修处理记录表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRRELAY_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRRELAY_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRRELAY_W" (
  "ID" NUMBER(15) NOT NULL ,
  "REPAIR_USERID" NUMBER(15) ,
  "RELAY_USER" NUMBER(15) ,
  "RELAY_NOTES" VARCHAR2(500 BYTE) ,
  "REPAIR_ID" NUMBER(15) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CHECK_USER" NUMBER(15) ,
  "CHECK_TIME" DATE ,
  "CHECK_STATE" VARCHAR2(2 BYTE) ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "CHECK_SUGGEST" VARCHAR2(2 BYTE) ,
  "CHECK_NOTES" VARCHAR2(500 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."REPAIR_USERID" IS '个人任务id，关联表TF_YWPN_REPAIRUSER_W';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."RELAY_USER" IS '接收处理人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."RELAY_NOTES" IS '转发原因说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."REPAIR_ID" IS '维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."CREATE_USER" IS '创建人（转发申请人ID）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."CREATE_TIME" IS '创建时间（转发申请时间）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."CHECK_USER" IS '审核人（任务派发）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."CHECK_TIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."CHECK_STATE" IS '审核状态，0未审核，1审核完成';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."ISREAD" IS '审核人是否查收，0未查收，1已查收';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."CHECK_SUGGEST" IS '审核意见，0不同意，1同意';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRRELAY_W"."CHECK_NOTES" IS '审核说明';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRRELAY_W" IS '抢维修工单转发记录信息表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRTYPE_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRTYPE_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRTYPE_D" (
  "ID" NUMBER(15) NOT NULL ,
  "GROUP_NAME" VARCHAR2(50 BYTE) ,
  "NAME" VARCHAR2(50 BYTE) ,
  "UNIT" VARCHAR2(50 BYTE) ,
  "NOTES" VARCHAR2(200 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRTYPE_D"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRTYPE_D"."GROUP_NAME" IS '归属类名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRTYPE_D"."NAME" IS '类型名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRTYPE_D"."UNIT" IS '单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRTYPE_D"."NOTES" IS '备注说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRTYPE_D"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRTYPE_D"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRTYPE_D" IS '维修类型信息表';

-- ----------------------------
-- Table structure for TF_YWPN_REPAIRUSER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_REPAIRUSER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_REPAIRUSER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "RESP_USER" NUMBER(15) ,
  "REPAIR_ID" NUMBER(15) ,
  "TEAM_USER" VARCHAR2(500 BYTE) ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "ISREPEAT" VARCHAR2(2 BYTE) ,
  "REPEAT_NUM" NUMBER(5) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "RATIFY_TIME" NUMBER(15,2) ,
  "REAL_TIME" NUMBER(15,2) ,
  "REGION_CODE" VARCHAR2(50 BYTE) ,
  "ADDRESS" VARCHAR2(200 BYTE) ,
  "LGTD" NUMBER(15) ,
  "LTTD" NUMBER(15) ,
  "REPAIR_DEVICE" VARCHAR2(50 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CONFIRM_TIME" DATE ,
  "OVER_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."RESP_USER" IS '维修人ID，主要负责人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."REPAIR_ID" IS '维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."TEAM_USER" IS '协同处理人ID，多个以英文逗号分隔';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."ISREAD" IS '是否确认，0未查收，1已查收';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."ISREPEAT" IS '是否返工，0未返工，1已返工';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."REPEAT_NUM" IS '返工次数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."STATE" IS '状态：1处理中，2驳回，3处理完成，4转移申请，5、已转移，6、审核中， 7完成, ';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."RATIFY_TIME" IS '核定用时,单位小时';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."REAL_TIME" IS '系统用时（实际处理用时），单位小时';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."REGION_CODE" IS '所在片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."ADDRESS" IS '实际地址描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."LGTD" IS '实际位置经度，单位：°';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."LTTD" IS '实际位置纬度，单位：°';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."REPAIR_DEVICE" IS '维修设备编码，关联空间数据编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."CONFIRM_TIME" IS '接收时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_REPAIRUSER_W"."OVER_TIME" IS '处理完成上报时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_REPAIRUSER_W" IS '抢维修工单个人任务信息表';

-- ----------------------------
-- Table structure for TF_YWPN_RXJBGL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_RXJBGL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_RXJBGL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "JBBH" VARCHAR2(10 BYTE) ,
  "FILEID" VARCHAR2(50 BYTE) ,
  "JBNR" VARCHAR2(500 BYTE) ,
  "JJRY" VARCHAR2(50 BYTE) ,
  "JBSJ" DATE ,
  "JBRY" VARCHAR2(50 BYTE) ,
  "JBMS" VARCHAR2(500 BYTE) ,
  "JJZT" CHAR(1 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."JBBH" IS '交班编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."FILEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."JBNR" IS '交班内容';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."JJRY" IS '交接人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."JBSJ" IS '交班时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."JBRY" IS '接班人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."JBMS" IS '接班描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXJBGL_W"."JJZT" IS '交接状态（0未交接，1已交接）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_RXJBGL_W" IS '热线交班管理表';

-- ----------------------------
-- Table structure for TF_YWPN_RXKNOWLEDGE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "PID" NUMBER(5) ,
  "MID" NUMBER(5) ,
  "TITLE" VARCHAR2(50 BYTE) ,
  "CONTENT" VARCHAR2(2000 BYTE) ,
  "FILEID" VARCHAR2(50 BYTE) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE ,
  "YXBZ" CHAR(1 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."PID" IS '父级标题节点';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."MID" IS '子级标题节点';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."TITLE" IS '标题描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."CONTENT" IS '内容描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."FILEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."CREATE_USER" IS '添加人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."CREATE_DATE" IS '添加时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W"."YXBZ" IS '有效标志（1启用，0停用）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W" IS '热线知识库表';

-- ----------------------------
-- Table structure for TF_YWPN_RXSMSMESSAGE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "LSBH" VARCHAR2(50 BYTE) ,
  "TXLX" CHAR(1 BYTE) ,
  "TXNR" VARCHAR2(500 BYTE) ,
  "FSZT" CHAR(1 BYTE) ,
  "CLRY" VARCHAR2(50 BYTE) ,
  "CLSJ" DATE ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE ,
  "ISLOCK" CHAR(1 BYTE) ,
  "BZ" VARCHAR2(500 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."LSBH" IS '流水编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."TXLX" IS '提醒类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."TXNR" IS '提醒内容';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."FSZT" IS '发送状态(0=待发,1=成功,2=失败)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."CLRY" IS '处理人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."CLSJ" IS '处理时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."CREATE_USER" IS '创建人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."CREATE_DATE" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."ISLOCK" IS '是否锁定（0否，1是）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W"."BZ" IS '备注（记录发送失败信息）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W" IS '热线短信通讯信息表';

-- ----------------------------
-- Table structure for TF_YWPN_RXSMSTXITEM_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TXLX" NUMBER(4) ,
  "TEXT" VARCHAR2(50 BYTE) ,
  "ZDMC" VARCHAR2(50 BYTE) ,
  "BZ" VARCHAR2(50 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W"."TXLX" IS '通讯类型（编号）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W"."TEXT" IS '标题字段';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W"."ZDMC" IS '字段名称格式如：{YHDZ} 代表：客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W"."BZ" IS '备注：如员工短信通知';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W" IS '热线短信标题字段描述';

-- ----------------------------
-- Table structure for TF_YWPN_RXSMSTXLX_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_RXSMSTXLX_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_RXSMSTXLX_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TXBM" NUMBER(4) ,
  "TXMC" VARCHAR2(50 BYTE) ,
  "DXNRGS" VARCHAR2(500 BYTE) ,
  "YXBZ" CHAR(1 BYTE) ,
  "DXNRZS" VARCHAR2(4000 BYTE) ,
  "SQL" CLOB 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXLX_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXLX_W"."TXBM" IS '通讯编码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXLX_W"."TXMC" IS '通讯名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXLX_W"."DXNRGS" IS '短信内容格式';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXLX_W"."YXBZ" IS '有效标志 0：无效 1：有效';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXLX_W"."DXNRZS" IS '短信内容格式注释';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXSMSTXLX_W"."SQL" IS '数据组装查询语句';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_RXSMSTXLX_W" IS '热线短信通讯类型表（模板表）';

-- ----------------------------
-- Table structure for TF_YWPN_RXWTGL_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_RXWTGL_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_RXWTGL_W" (
  "ID" NUMBER(15) NOT NULL ,
  "WTBH" NUMBER(8) ,
  "WTMS" VARCHAR2(800 BYTE) ,
  "FILEID" VARCHAR2(50 BYTE) ,
  "CREATE_USER" VARCHAR2(50 BYTE) ,
  "CREATE_DATE" DATE ,
  "SHBZ" CHAR(1 BYTE) ,
  "SHRY" VARCHAR2(50 BYTE) ,
  "SFRK" CHAR(1 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."WTBH" IS '问题编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."WTMS" IS '问题描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."FILEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."CREATE_USER" IS '创建人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."CREATE_DATE" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."SHBZ" IS '审核标志（0待审核，1审核通过，2审核不通过）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."SHRY" IS '审核人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXWTGL_W"."SFRK" IS '是否入库（0未进入知识库，1已进入知识库）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_RXWTGL_W" IS '热线问题管理表';

-- ----------------------------
-- Table structure for TF_YWPN_RXYJFW_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_RXYJFW_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_RXYJFW_W" (
  "ID" NUMBER(15) NOT NULL ,
  "YJBH" VARCHAR2(50 BYTE) ,
  "YWLX" VARCHAR2(20 BYTE) ,
  "YJBT" VARCHAR2(100 BYTE) ,
  "YJLY" VARCHAR2(50 BYTE) ,
  "YJMS" VARCHAR2(500 BYTE) ,
  "FILEID" VARCHAR2(50 BYTE) ,
  "SHBZ" CHAR(1 BYTE) ,
  "SHRY" VARCHAR2(50 BYTE) ,
  "SHSJ" DATE ,
  "SHYJ" VARCHAR2(500 BYTE) ,
  "CREAT_USER" VARCHAR2(50 BYTE) ,
  "CREAT_DATE" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."YJBH" IS '应急编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."YWLX" IS '应急项目';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."YJBT" IS '应急标题';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."YJLY" IS '应急来源（0人工，1系统）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."YJMS" IS '应急描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."FILEID" IS '文件ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."SHBZ" IS '审核标志（0未审核，1审核）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."SHRY" IS '审核人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."SHSJ" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."SHYJ" IS '审核意见';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."CREAT_USER" IS '操作人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_RXYJFW_W"."CREAT_DATE" IS '操作时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_RXYJFW_W" IS '热线应急服务管理表';

-- ----------------------------
-- Table structure for TF_YWPN_SBRECORD_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_SBRECORD_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_SBRECORD_W" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(60 BYTE) ,
  "SUM" NUMBER(10) ,
  "START_NUM" NUMBER(10) ,
  "END_NUM" NUMBER(10) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "STOCK_SUM" NUMBER(10) ,
  "EMPLOY_NUM" NUMBER(10) ,
  "STOCK_NUM" NUMBER(10) ,
  "BATCH_NUM" VARCHAR2(50 BYTE) ,
  "SCCJ" NUMBER(10) ,
  "SBLX" NUMBER(15) ,
  "SBKJ" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."NAME" IS '批次名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."SUM" IS '改批次入库总数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."START_NUM" IS '起始编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."END_NUM" IS '结束编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."STOCK_SUM" IS '库存总数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."EMPLOY_NUM" IS '使用总数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."STOCK_NUM" IS '库存数量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."BATCH_NUM" IS '批次号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."SCCJ" IS '生产厂家；有编码表：BM_SBCJGL';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."SBLX" IS '水表型号；有编码表：BM_SBLX';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SBRECORD_W"."SBKJ" IS '水表口径；有编码表：BM_SBKJ';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_SBRECORD_W" IS '水表入库记录  TF_YWPN_RECORD_B';

-- ----------------------------
-- Records of TF_YWPN_SBRECORD_W
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_SBRECORD_W" VALUES ('1', '第一次测试', '112', '50000', '50111', '9', TO_DATE('2021-03-05 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '112', '0', '112', '20200304', '2', '2', '1');

-- ----------------------------
-- Table structure for TF_YWPN_SCADAHISTORY_R_202103
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103";
CREATE TABLE "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103" (
  "ID" NUMBER(15) ,
  "ITCD" VARCHAR2(100 BYTE) ,
  "ITVAL" VARCHAR2(100 BYTE) ,
  "ITNUM_VAL" NUMBER(22,6) ,
  "ITSTR_VAL" VARCHAR2(100 BYTE) ,
  "QUA" NUMBER(4) ,
  "SCADA_TIME" DATE ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103"."ID" IS '自增长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103"."ITCD" IS '指标编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103"."ITVAL" IS '监测值（原始值）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103"."ITNUM_VAL" IS '监测值（数字型）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103"."ITSTR_VAL" IS '监测值（字符串型）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103"."QUA" IS '监测点数据质量192=good,0=bad	';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103"."SCADA_TIME" IS 'SCADA监测时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103"."CREATE_TIME" IS '服务器创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_SCADAHISTORY_R_202103" IS 'SCADA测站历史监测信息表';

-- ----------------------------
-- Table structure for TF_YWPN_SCADAREALTIME_R
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_SCADAREALTIME_R";
CREATE TABLE "TF_XRTY"."TF_YWPN_SCADAREALTIME_R" (
  "ID" NUMBER(15) ,
  "ITCD" VARCHAR2(100 BYTE) ,
  "ITVAL" VARCHAR2(100 BYTE) ,
  "ITNUM_VAL" NUMBER(22,6) ,
  "ITSTR_VAL" VARCHAR2(100 BYTE) ,
  "QUA" NUMBER(4) ,
  "SCADA_TIME" DATE ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAREALTIME_R"."ID" IS '自增长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAREALTIME_R"."ITCD" IS '指标编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAREALTIME_R"."ITVAL" IS '监测值（原始值）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAREALTIME_R"."ITNUM_VAL" IS '监测值（数字型）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAREALTIME_R"."ITSTR_VAL" IS '监测值（字符串型）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAREALTIME_R"."QUA" IS '监测点数据质量192=good,0=bad	';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAREALTIME_R"."SCADA_TIME" IS 'SCADA监测时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADAREALTIME_R"."CREATE_TIME" IS '服务器创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_SCADAREALTIME_R" IS 'SCADA测站实时监测信息表';

-- ----------------------------
-- Table structure for TF_YWPN_SCADASTAITEM_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_SCADASTAITEM_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_SCADASTAITEM_W" (
  "ID" NUMBER(15) ,
  "ITCD" VARCHAR2(200 BYTE) ,
  "ITNM" VARCHAR2(50 BYTE) ,
  "UNIT" VARCHAR2(20 BYTE) ,
  "ITTY" CHAR(1 BYTE) ,
  "PRECISION" NUMBER(4) ,
  "UP_LIMIT" NUMBER(15,6) ,
  "DOWN_LIMIT" NUMBER(15,6) ,
  "UP_NOTES" VARCHAR2(100 BYTE) ,
  "DOWN_NOTES" VARCHAR2(100 BYTE) ,
  "ISCALC_PASS" CHAR(1 BYTE) ,
  "PASS_STANDARD" NUMBER(4,1) ,
  "ISCALC_QUALITY" CHAR(1 BYTE) ,
  "QUALITY_STANDARD" NUMBER(4,1) ,
  "STATION_ID" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."ID" IS '自增长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."ITCD" IS '指标编号，与SCADA测站实时监测数据表中的指标编号关联';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."ITNM" IS '指标类型名称，如压力、流量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."UNIT" IS '指标单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."ITTY" IS '指标监测值类型，1数字型、2字符型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."PRECISION" IS '前端显示保留小数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."UP_LIMIT" IS '上限值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."DOWN_LIMIT" IS '下限值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."UP_NOTES" IS '超上限报警内容';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."DOWN_NOTES" IS '低于下限限报警内容';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."ISCALC_PASS" IS '是否计算合格率，1计算、0不计算';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."PASS_STANDARD" IS '合格标准，单位：%	';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."ISCALC_QUALITY" IS '是否计算优质率，1计算、0不计算';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."QUALITY_STANDARD" IS '优质标准，单位：%	';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."STATION_ID" IS '所属测站ID，关联SCADA监测站基本信息表主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAITEM_W"."CREATE_USER" IS '创建人ID';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_SCADASTAITEM_W" IS '测站指标信息表';

-- ----------------------------
-- Table structure for TF_YWPN_SCADASTATION_B
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_SCADASTATION_B";
CREATE TABLE "TF_XRTY"."TF_YWPN_SCADASTATION_B" (
  "ID" NUMBER(15) ,
  "STCD" VARCHAR2(50 BYTE) ,
  "STNM" VARCHAR2(50 BYTE) ,
  "LGTD" NUMBER(15,6) ,
  "LTTD" NUMBER(15,6) ,
  "STATE" CHAR(1 BYTE) ,
  "ISCRAFT" CHAR(1 BYTE) ,
  "RESPUSER_ID" NUMBER(15) ,
  "NOTES" VARCHAR2(255 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."ID" IS '自增长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."STCD" IS '测站编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."STNM" IS '测站名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."LGTD" IS '经度，单位：';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."LTTD" IS '纬度，单位：°';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."STATE" IS '启用状态，0:禁用，1:启用';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."ISCRAFT" IS '是否有工艺图，0没有工艺图，1有工艺图';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."RESPUSER_ID" IS '测站负责人ID，关联用户信息';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."NOTES" IS '备注信息';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTATION_B"."CREATE_USER" IS '创建人ID';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_SCADASTATION_B" IS 'SCADA测站信息表';

-- ----------------------------
-- Table structure for TF_YWPN_SCADASTAVIDEO_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_SCADASTAVIDEO_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_SCADASTAVIDEO_W" (
  "ID" NUMBER(15) ,
  "STATION_ID" NUMBER(15) ,
  "VIDEO_ID" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAVIDEO_W"."ID" IS '自增长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAVIDEO_W"."STATION_ID" IS '测站ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_SCADASTAVIDEO_W"."VIDEO_ID" IS '视频监控站ID';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_SCADASTAVIDEO_W" IS '测站与视频监控关联信息表';

-- ----------------------------
-- Table structure for TF_YWPN_STATION_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_STATION_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_STATION_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SID" VARCHAR2(50 BYTE) ,
  "FACILITYID" VARCHAR2(50 BYTE) ,
  "NAME" VARCHAR2(50 BYTE) ,
  "MONITORTYPE" VARCHAR2(20 BYTE) ,
  "MANUFACTURER" VARCHAR2(100 BYTE) ,
  "MODAL" VARCHAR2(50 BYTE) ,
  "DISTNO" VARCHAR2(50 BYTE) ,
  "AREANO" NUMBER(15) ,
  "DEPTH" NUMBER(9,3) ,
  "X" NUMBER(10,5) ,
  "Y" NUMBER(10,5) ,
  "GROUNDZ" NUMBER(10,3) ,
  "DISTRICT" VARCHAR2(50 BYTE) ,
  "LANEWAY" VARCHAR2(100 BYTE) ,
  "ADDRESS" VARCHAR2(500 BYTE) ,
  "SURVEYUNIT" VARCHAR2(50 BYTE) ,
  "OWNERUNIT" VARCHAR2(50 BYTE) ,
  "MAINTAINEDUNIT" VARCHAR2(50 BYTE) ,
  "SURVEYDATE" DATE ,
  "INDATE" DATE ,
  "INSTALLDATE" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "REMARK" VARCHAR2(500 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."SID" IS '监测点编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."FACILITYID" IS '设备编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."NAME" IS '设备名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."MONITORTYPE" IS '监测类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."MANUFACTURER" IS '生产厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."MODAL" IS '型号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."DISTNO" IS '图幅号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."AREANO" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."DEPTH" IS '埋深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."X" IS 'X坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."Y" IS 'Y坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."GROUNDZ" IS '地面高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."DISTRICT" IS '行政区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."LANEWAY" IS '所在道路';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."SURVEYUNIT" IS '勘测单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."OWNERUNIT" IS '权属单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."MAINTAINEDUNIT" IS '管辖单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."SURVEYDATE" IS '勘测日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."INDATE" IS '入库日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."INSTALLDATE" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."REMARK" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_STATION_W"."FILE_IDS" IS '附件图片';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_STATION_W" IS '监测站信息采集数据表：TF_YWPN_STATION_W';

-- ----------------------------
-- Table structure for TF_YWPN_THEMELAYER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_THEMELAYER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_THEMELAYER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(50 BYTE) ,
  "LAYER_NAME" VARCHAR2(50 BYTE) ,
  "COM_CONDITION" VARCHAR2(255 BYTE) ,
  "EXTENT" VARCHAR2(2000 BYTE) ,
  "NOTES" VARCHAR2(200 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "DEL_FLAG" CHAR(1 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."NAME" IS '自定义专题图层名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."LAYER_NAME" IS '图层物理名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."COM_CONDITION" IS '组合条件SQL';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."EXTENT" IS '范围条件JSON';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."NOTES" IS '说明描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."CREATE_USER" IS '创建用户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_THEMELAYER_W"."DEL_FLAG" IS '0：未删除；1：删除';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_THEMELAYER_W" IS '自定义专题图层信息表';

-- ----------------------------
-- Table structure for TF_YWPN_TOUBLECLEAR_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TOUBLE_ID" NUMBER(15) ,
  "NOTES" VARCHAR2(1000 BYTE) ,
  "CLEAR_FILEIDS" VARCHAR2(200 BYTE) ,
  "APPLAY_USER" NUMBER(15) ,
  "APPLAY_TIME" DATE ,
  "ISREAD" VARCHAR2(2 BYTE) ,
  "STATE" VARCHAR2(2 BYTE) ,
  "CHEACK_SUGGEST" VARCHAR2(2 BYTE) ,
  "CHECK_NOTES" VARCHAR2(200 BYTE) ,
  "CHECK_USER" NUMBER(15) ,
  "CHECK_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."TOUBLE_ID" IS '隐患id，关联表TF_YWPN_TROUBLE_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."NOTES" IS '消除隐患情况说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."CLEAR_FILEIDS" IS '消除隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."APPLAY_USER" IS '隐患消除申请人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."APPLAY_TIME" IS '隐患消除申请时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."ISREAD" IS '是否读取，0未读，1已读';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."STATE" IS '状态，0未审核，1已审核';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."CHEACK_SUGGEST" IS '审核意见，0未审核、1同意、2不同意';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."CHECK_NOTES" IS '审核说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."CHECK_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W"."CHECK_TIME" IS '审核时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W" IS '隐患消除记录表';

-- ----------------------------
-- Table structure for TF_YWPN_TOUBLEPLAN_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TROUBLE_ID" NUMBER(15) ,
  "PLAN_ID" NUMBER(15) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W"."ID" IS '唯一标识编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W"."TROUBLE_ID" IS '隐患ID,关联表TF_YWPN_TROUBLE_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W"."PLAN_ID" IS '计划ID，关联表TF_YWPN__PLAN_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W"."CREATE_TIME" IS '创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W" IS '隐患巡查计划关联信息表';

-- ----------------------------
-- Table structure for TF_YWPN_TOUBLETYPE_D
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_TOUBLETYPE_D";
CREATE TABLE "TF_XRTY"."TF_YWPN_TOUBLETYPE_D" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(200 BYTE) ,
  "NOTE" VARCHAR2(500 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLETYPE_D"."NAME" IS '隐患原因名称（占压、渗水、周边打围开挖、其他管线穿越或并行）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLETYPE_D"."NOTE" IS '隐患原因备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLETYPE_D"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TOUBLETYPE_D"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_TOUBLETYPE_D" IS '隐患原因分类信息表：TF_YWPN_TOUBLETYPE_D';

-- ----------------------------
-- Table structure for TF_YWPN_TROUBLE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_TROUBLE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_TROUBLE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "PIPE_NAME" VARCHAR2(50 BYTE) ,
  "LOCATION" VARCHAR2(50 BYTE) ,
  "PAD_ID" VARCHAR2(50 BYTE) ,
  "TYPE_ID" NUMBER(15) ,
  "LGTD" NUMBER(15,6) ,
  "LTTD" NUMBER(15) ,
  "ADDRESS" VARCHAR2(255 BYTE) ,
  "NOTES" VARCHAR2(1000 BYTE) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "ISBUILD" VARCHAR2(2 BYTE) ,
  "BUILD_ID" NUMBER(15) ,
  "SUGGEST" VARCHAR2(1000 BYTE) ,
  "UPLOAD_TYPE" VARCHAR2(2 BYTE) ,
  "UPLOAD_FILEIDS" VARCHAR2(200 BYTE) ,
  "ISCHEACK_READ" VARCHAR2(2 BYTE) ,
  "ISRESPECT" VARCHAR2(2 BYTE) ,
  "CHECK_NOTES" VARCHAR2(200 BYTE) ,
  "CHECK_USER" NUMBER(15) ,
  "CHECK_TIME" DATE ,
  "STATE" VARCHAR2(2 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."PIPE_NAME" IS '管线名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."LOCATION" IS '隐患部位（管线或设施），放字典编码中';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."PAD_ID" IS '上传手机设备id';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."TYPE_ID" IS '隐患原因ID，关联表TF_YWPN_TOUBLETYPE_D关键值';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."LGTD" IS '上报位置经度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."LTTD" IS '上报位置纬度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."NOTES" IS '隐患原因备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."CREATE_TIME" IS '上报时间（隐患发现时间）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."CREATE_USER" IS '上报人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."ISBUILD" IS '是否进入工地管理，0否，1是';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."BUILD_ID" IS '工地ID，关联工地上报信息表TF_YWPN_BUILD_W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."SUGGEST" IS '消除隐患建议';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."UPLOAD_TYPE" IS '隐患上报途径，0:手机端现场上报，1内业上报';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."UPLOAD_FILEIDS" IS '隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."ISCHEACK_READ" IS '审核人是否确认查收，0未查询，1已查收';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."ISRESPECT" IS '是否需人员巡查，0否，1是';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."CHECK_NOTES" IS '审核说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."CHECK_USER" IS '审核人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."CHECK_TIME" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_TROUBLE_W"."STATE" IS '隐患状态，0无需处理、1巡查、2已消除、3消除申请';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_TROUBLE_W" IS '隐患上报信息表';

-- ----------------------------
-- Table structure for TF_YWPN_USERTASK_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_USERTASK_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_USERTASK_W" (
  "ID" NUMBER(15) NOT NULL ,
  "TKNM" VARCHAR2(50 BYTE) ,
  "TKTY" VARCHAR2(3 BYTE) ,
  "TKSMTY" VARCHAR2(5 BYTE) ,
  "TLEVEL" VARCHAR2(2 BYTE) DEFAULT 0 ,
  "TABLE_NAME" VARCHAR2(50 BYTE) ,
  "TABLE_ID" NUMBER(15) ,
  "ROUTE_IP" VARCHAR2(200 BYTE) ,
  "ISHANDLE" VARCHAR2(2 BYTE) DEFAULT 0 ,
  "HANDLE_TIME" DATE ,
  "HANDLE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "CREATE_USER" NUMBER(15) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."ID" IS '主键ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."TKNM" IS '名称描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."TKTY" IS '待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."TKSMTY" IS '待办任务子类，如：1_1管线巡查';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."TLEVEL" IS '级别：0一般、1紧急';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."TABLE_NAME" IS '任务链接表名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."TABLE_ID" IS '链接ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."ROUTE_IP" IS '路由地址进行跳转';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."ISHANDLE" IS '处理状态：0待处理，1已处理';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."HANDLE_TIME" IS '处理时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."HANDLE_USER" IS '处理人ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_USERTASK_W"."CREATE_USER" IS '创建人';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_USERTASK_W" IS '待办任务信息表';

-- ----------------------------
-- Table structure for TF_YWPN_VALVELINKTABLE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_VALVELINKTABLE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_VALVELINKTABLE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "VALVE_ID" VARCHAR2(50 BYTE) ,
  "TABLE_ID" VARCHAR2(50 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVELINKTABLE_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVELINKTABLE_W"."VALVE_ID" IS '阀门编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVELINKTABLE_W"."TABLE_ID" IS '水表编号';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_VALVELINKTABLE_W" IS '阀门与水表关联信息表';

-- ----------------------------
-- Table structure for TF_YWPN_VALVE_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_VALVE_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_VALVE_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SID" VARCHAR2(50 BYTE) ,
  "FACILITYID" VARCHAR2(50 BYTE) ,
  "VALVETYPE" VARCHAR2(20 BYTE) ,
  "VALVECLASS" VARCHAR2(20 BYTE) ,
  "ANTIROTGRADE" VARCHAR2(50 BYTE) ,
  "X" NUMBER(10,5) ,
  "Y" NUMBER(10,5) ,
  "GROUNDZ" NUMBER(10,5) ,
  "DIAMETER" NUMBER(10) ,
  "MATERIAL" VARCHAR2(50 BYTE) ,
  "DEPTH" NUMBER(9,3) ,
  "TOPZ" NUMBER(10,5) ,
  "SCREWNO" NUMBER(10) ,
  "DIRECTION" VARCHAR2(50 BYTE) ,
  "OPENCLOSE" VARCHAR2(50 BYTE) ,
  "MANUFACTURER" VARCHAR2(50 BYTE) ,
  "FILATUREDIAMETER" NUMBER(9,3) ,
  "VALVEDEEP" NUMBER(9,3) ,
  "PROOFMATERIAL" VARCHAR2(50 BYTE) ,
  "SIZEEH" VARCHAR2(50 BYTE) ,
  "SIZEEB" VARCHAR2(50 BYTE) ,
  "ZSIZE" VARCHAR2(50 BYTE) ,
  "BOLTTYPE" VARCHAR2(50 BYTE) ,
  "CIRCLESIZE" VARCHAR2(50 BYTE) ,
  "NORTHWEST" NUMBER(9,3) ,
  "SOUTHEAST" NUMBER(9,3) ,
  "CONNECTTYPE" VARCHAR2(50 BYTE) ,
  "MODAL" VARCHAR2(50 BYTE) ,
  "MOTORIZED" VARCHAR2(50 BYTE) ,
  "PERCENTOPEN" NUMBER(10) ,
  "ISLOCK" VARCHAR2(20 BYTE) ,
  "MANHOLETYPE" VARCHAR2(20 BYTE) ,
  "MANHOLEMATERIAL" VARCHAR2(20 BYTE) ,
  "MANHOLEMIAMETER" NUMBER(9,3) ,
  "MANHOLELEN" NUMBER(9,3) ,
  "MANHOLEWIDTH" NUMBER(9,3) ,
  "WELLTYPE" VARCHAR2(20 BYTE) ,
  "WELLMATEIAL" VARCHAR2(20 BYTE) ,
  "WELLNECKDEPTH" NUMBER(9,3) ,
  "WELLMIAMETER" NUMBER(9,3) ,
  "WELLLEN" NUMBER(9,3) ,
  "WELLWIDTH" NUMBER(9,3) ,
  "WELLHEIGHT" NUMBER(9,3) ,
  "WELLCODE" VARCHAR2(50 BYTE) ,
  "DISTNO" VARCHAR2(50 BYTE) ,
  "AREANO" VARCHAR2(50 BYTE) ,
  "DISTRICT" VARCHAR2(50 BYTE) ,
  "LANEWAY" VARCHAR2(100 BYTE) ,
  "ADDRESS" VARCHAR2(500 BYTE) ,
  "SURVEYUNIT" VARCHAR2(50 BYTE) ,
  "OWNERUNIT" VARCHAR2(50 BYTE) ,
  "MAINTAINEDUNIT" VARCHAR2(50 BYTE) ,
  "SURVEYDATE" DATE ,
  "INDATE" DATE ,
  "INSTALLDATE" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "REMARK" VARCHAR2(500 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."SID" IS '阀门编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."FACILITYID" IS '设备编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."VALVETYPE" IS '阀门类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."VALVECLASS" IS '阀门级别';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."ANTIROTGRADE" IS '防腐级别';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."X" IS 'X坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."Y" IS 'Y坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."GROUNDZ" IS '地面高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."DIAMETER" IS '管径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MATERIAL" IS '管线材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."DEPTH" IS '埋深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."TOPZ" IS '管顶高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."SCREWNO" IS '扣数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."DIRECTION" IS '开旋转方向';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."OPENCLOSE" IS '开闭状态';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MANUFACTURER" IS '生产厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."FILATUREDIAMETER" IS '螺孔心径';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."VALVEDEEP" IS '阀门厚度';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."PROOFMATERIAL" IS '密封材料';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."SIZEEH" IS '上斜法兰尺寸';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."SIZEEB" IS '下斜法兰尺寸';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."ZSIZE" IS '直法兰尺寸';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."BOLTTYPE" IS '螺栓规格';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."CIRCLESIZE" IS '法兰圆周尺寸';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."NORTHWEST" IS '管左侧距离';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."SOUTHEAST" IS '管右侧距离';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."CONNECTTYPE" IS '接口连接方式';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MODAL" IS '型号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MOTORIZED" IS '电动阀';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."PERCENTOPEN" IS '开启度（%）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."ISLOCK" IS '井盖带锁';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MANHOLETYPE" IS '井盖形状';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MANHOLEMATERIAL" IS '井盖材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MANHOLEMIAMETER" IS '井盖直径（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MANHOLELEN" IS '井盖长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MANHOLEWIDTH" IS '井盖宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."WELLTYPE" IS '井室类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."WELLMATEIAL" IS '井室材质';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."WELLNECKDEPTH" IS '井脖深（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."WELLMIAMETER" IS '井室直径（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."WELLLEN" IS '井室长（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."WELLWIDTH" IS '井室宽（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."WELLHEIGHT" IS '井室高（m）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."WELLCODE" IS '特殊井室码';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."DISTNO" IS '图幅号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."AREANO" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."DISTRICT" IS '行政区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."LANEWAY" IS '所在道路';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."SURVEYUNIT" IS '勘测单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."OWNERUNIT" IS '权属单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."MAINTAINEDUNIT" IS '管辖单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."SURVEYDATE" IS '勘测日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."INDATE" IS '入库日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."INSTALLDATE" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."REMARK" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VALVE_W"."FILE_IDS" IS '附件图片';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_VALVE_W" IS '控制阀信息采集数据表：TF_YWPN_VALVE_W';

-- ----------------------------
-- Table structure for TF_YWPN_VIDEOCONFIG_B
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B";
CREATE TABLE "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B" (
  "ID" NUMBER(15) ,
  "ADDRESS" VARCHAR2(100 BYTE) ,
  "LGTD" NUMBER(15,6) ,
  "LTTD" NUMBER(15,6) ,
  "ISSHOW" CHAR(1 BYTE) ,
  "IP" VARCHAR2(200 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B"."ID" IS '自增长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B"."ADDRESS" IS '安装位置描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B"."LGTD" IS '经度，单位：°';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B"."LTTD" IS '纬度，单位：°';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B"."ISSHOW" IS '是否在大屏展示中显示，0否、1是';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B"."IP" IS '接入视频流地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B"."CREATE_USER" IS '创建人ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B"."CREATE_TIME" IS '服务器创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_VIDEOCONFIG_B" IS ' 视频监控信息表';

-- ----------------------------
-- Table structure for TF_YWPN_VIEWS_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_VIEWS_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_VIEWS_W" (
  "ID" NUMBER(15) NOT NULL ,
  "NAME" VARCHAR2(50 BYTE) ,
  "EXTENT" VARCHAR2(2000 BYTE) ,
  "NOTES" VARCHAR2(200 BYTE) ,
  "CREATE_USER" NUMBER(15) ,
  "CAEATE_TIME" DATE ,
  "UPDATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIEWS_W"."ID" IS '主键';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIEWS_W"."NAME" IS '书签名称';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIEWS_W"."EXTENT" IS '空间范围 JSON';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIEWS_W"."NOTES" IS '描述说明';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIEWS_W"."CREATE_USER" IS '创建用户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIEWS_W"."CAEATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_VIEWS_W"."UPDATE_TIME" IS '修改时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_VIEWS_W" IS '工作书签信息表';

-- ----------------------------
-- Records of TF_YWPN_VIEWS_W
-- ----------------------------
INSERT INTO "TF_XRTY"."TF_YWPN_VIEWS_W" VALUES ('3', '故人归', '微服务', '第三方', '8', TO_DATE('2021-03-16 13:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-03-16 13:37:27', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_VIEWS_W" VALUES ('1', '名称1', '{}', '描述1', '14', NULL, TO_DATE('2021-03-16 11:43:05', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "TF_XRTY"."TF_YWPN_VIEWS_W" VALUES ('2', 'feew', 'dfa', 'fgaew', '8', TO_DATE('2021-03-16 13:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-03-16 13:28:59', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for TF_YWPN_WARNHISTORY_W_202103
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103";
CREATE TABLE "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103" (
  "ID" NUMBER(15) ,
  "ITCD" VARCHAR2(100 BYTE) ,
  "WARN_TYPE" VARCHAR2(100 BYTE) ,
  "ISLOC" CHAR(1 BYTE) ,
  "NOTES" VARCHAR2(200 BYTE) ,
  "ADDRESS" VARCHAR2(200 BYTE) ,
  "DURATION" NUMBER(22,2) ,
  "NUM" NUMBER(8) ,
  "ISCONFIRM" CHAR(1 BYTE) ,
  "ISCLEAR" CHAR(1 BYTE) ,
  "CONFIRM_TIME" DATE ,
  "CONFIRM_USER" NUMBER(15) ,
  "SCADA_TIME" DATE ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."ID" IS '自增长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."ITCD" IS '指标编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."WARN_TYPE" IS '报警类型，如压力报警';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."ISLOC" IS '是否可定位,0否、1是';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."NOTES" IS '报警内容';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."ADDRESS" IS '报警位置';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."DURATION" IS '连续报警累计时长，单位：分钟';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."NUM" IS '连续报警次数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."ISCONFIRM" IS '是否确认，0待确认，1已确认';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."ISCLEAR" IS '是否消除，0未消除，1已消除';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."CONFIRM_TIME" IS '确认时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."CONFIRM_USER" IS '确认人ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."SCADA_TIME" IS 'SCADA监测时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103"."CREATE_TIME" IS '服务器创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_WARNHISTORY_W_202103" IS '报警历史信息表';

-- ----------------------------
-- Table structure for TF_YWPN_WARN_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_WARN_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_WARN_W" (
  "ID" NUMBER(15) ,
  "ITCD" VARCHAR2(100 BYTE) ,
  "WARN_TYPE" VARCHAR2(100 BYTE) ,
  "ISLOC" CHAR(1 BYTE) ,
  "NOTES" VARCHAR2(200 BYTE) ,
  "ADDRESS" VARCHAR2(200 BYTE) ,
  "DURATION" NUMBER(22,2) ,
  "NUM" NUMBER(8) ,
  "ISCONFIRM" CHAR(1 BYTE) ,
  "ISCLEAR" CHAR(1 BYTE) ,
  "CONFIRM_TIME" DATE ,
  "CONFIRM_USER" NUMBER(15) ,
  "SCADA_TIME" DATE ,
  "CREATE_TIME" DATE 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."ID" IS '自增长';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."ITCD" IS '指标编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."WARN_TYPE" IS '报警类型，如压力报警';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."ISLOC" IS '是否可定位,0否、1是';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."NOTES" IS '报警内容';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."ADDRESS" IS '报警位置';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."DURATION" IS '连续报警累计时长，单位：分钟';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."NUM" IS '连续报警次数';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."ISCONFIRM" IS '是否确认，0待确认，1已确认';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."ISCLEAR" IS '是否消除，0未消除，1已消除';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."CONFIRM_TIME" IS '确认时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."CONFIRM_USER" IS '确认人ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."SCADA_TIME" IS 'SCADA监测时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WARN_W"."CREATE_TIME" IS '服务器创建时间';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_WARN_W" IS ' 报警实时信息表';

-- ----------------------------
-- Table structure for TF_YWPN_WATERMETER_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_WATERMETER_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_WATERMETER_W" (
  "ID" NUMBER(15) NOT NULL ,
  "SID" VARCHAR2(50 BYTE) ,
  "RFID" VARCHAR2(50 BYTE) ,
  "METERTYPE" NUMBER(15) ,
  "DISTNO" VARCHAR2(50 BYTE) ,
  "DIAMETER" NUMBER(10) ,
  "MANUFACTURER" VARCHAR2(50 BYTE) ,
  "AREANO" NUMBER(15) ,
  "X" NUMBER(10,5) ,
  "Y" NUMBER(10,5) ,
  "GROUNDZ" NUMBER(10,3) ,
  "DISTRICT" VARCHAR2(50 BYTE) ,
  "LANEWAY" VARCHAR2(100 BYTE) ,
  "ADDRESS" VARCHAR2(500 BYTE) ,
  "SURVEYUNIT" VARCHAR2(50 BYTE) ,
  "OWNERUNIT" VARCHAR2(50 BYTE) ,
  "MAINTAINEDUNIT" VARCHAR2(50 BYTE) ,
  "SURVEYDATE" DATE ,
  "INDATE" DATE ,
  "INSTALLDATE" DATE ,
  "CREATE_USER" NUMBER(15) ,
  "CREATE_TIME" DATE ,
  "REMARK" VARCHAR2(500 BYTE) ,
  "FILE_IDS" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."SID" IS '水表编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."RFID" IS '电子标识编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."METERTYPE" IS '水表类型';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."DISTNO" IS '图幅号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."DIAMETER" IS '口径（mm）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."MANUFACTURER" IS '生产厂家';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."AREANO" IS '所属片区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."X" IS 'X坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."Y" IS 'Y坐标';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."GROUNDZ" IS '地面高程';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."DISTRICT" IS '行政区';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."LANEWAY" IS '所在道路';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."ADDRESS" IS '地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."SURVEYUNIT" IS '勘测单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."OWNERUNIT" IS '权属单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."MAINTAINEDUNIT" IS '管辖单位';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."SURVEYDATE" IS '勘测日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."INDATE" IS '入库日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."INSTALLDATE" IS '安装日期';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."REMARK" IS '备注';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_WATERMETER_W"."FILE_IDS" IS '附件图片';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_WATERMETER_W" IS '水表信息采集数据表：TF_YWPN _WATERMETER_W';

-- ----------------------------
-- Table structure for TF_YWPN_ZLRZ_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_ZLRZ_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_ZLRZ_W" (
  "ID" NUMBER(15) NOT NULL ,
  "RZBH" VARCHAR2(50 BYTE) ,
  "KHBH" VARCHAR2(50 BYTE) ,
  "KHXM" VARCHAR2(50 BYTE) ,
  "KHDZ" VARCHAR2(200 BYTE) ,
  "QYHD" VARCHAR2(30 BYTE) ,
  "SBXH" VARCHAR2(20 BYTE) ,
  "YSLB" VARCHAR2(20 BYTE) ,
  "LXRY" VARCHAR2(50 BYTE) ,
  "LXDH" VARCHAR2(20 BYTE) ,
  "QYSL" NUMBER(10,3) ,
  "BYSL" NUMBER(10,3) ,
  "SJSL" NUMBER(10,3) ,
  "SLTB" NUMBER(10,3) ,
  "SLHB" NUMBER(10,3) ,
  "SLXX" VARCHAR2(200 BYTE) ,
  "RZXM" VARCHAR2(20 BYTE) ,
  "RZRY" VARCHAR2(50 BYTE) ,
  "WCSX" DATE ,
  "RZMS" VARCHAR2(500 BYTE) ,
  "RZGJ" VARCHAR2(500 BYTE) ,
  "SFHG" VARCHAR2(2 BYTE) ,
  "SFZG" VARCHAR2(2 BYTE) ,
  "RZZT" VARCHAR2(2 BYTE) ,
  "SLYC" VARCHAR2(20 BYTE) ,
  "RZSJ" DATE ,
  "ZGMS" VARCHAR2(500 BYTE) ,
  "ZGSX" DATE ,
  "ZXBM" NUMBER(15) ,
  "BZ" VARCHAR2(1000 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."RZBH" IS '认证编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."QYHD" IS '区域号段';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."SBXH" IS '水表型号（DN15、20、25、40、50、80、100、150、200等）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."YSLB" IS '用水类别（生活、非居民、工业等）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."LXRY" IS '联系人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."QYSL" IS '前月水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."BYSL" IS '本月水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."SJSL" IS '升降水量';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."SLTB" IS '水量同比';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."SLHB" IS '水量环比';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."SLXX" IS '水量信息';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."RZXM" IS '认证项目（抄表数据/其他数据等）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."RZRY" IS '认证人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."WCSX" IS '完成时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."RZMS" IS '认证描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."RZGJ" IS '认证结果描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."SFHG" IS '是否合格（是/否）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."SFZG" IS '是否整改（是/否）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."RZZT" IS '认证状态（流程控制：0本环节/1转部门整改/3流程终止）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."SLYC" IS '水量异常原因:（爆管（内漏）、拆迁、停业、假期、多表供水、新增、销户待办等）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."RZSJ" IS '认证时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."ZGMS" IS '整改描述';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."ZGSX" IS '整改时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."ZXBM" IS '执行部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLRZ_W"."BZ" IS '备注';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_ZLRZ_W" IS ' 认证工单：TF_YWPN_ZLRZ_W';

-- ----------------------------
-- Table structure for TF_YWPN_ZLZG_W
-- ----------------------------
DROP TABLE "TF_XRTY"."TF_YWPN_ZLZG_W";
CREATE TABLE "TF_XRTY"."TF_YWPN_ZLZG_W" (
  "ID" NUMBER(15) NOT NULL ,
  "ZGBH" VARCHAR2(50 BYTE) ,
  "RZBH" VARCHAR2(50 BYTE) ,
  "KHBH" VARCHAR2(50 BYTE) ,
  "KHXM" VARCHAR2(100 BYTE) ,
  "KHDZ" VARCHAR2(100 BYTE) ,
  "QYHD" VARCHAR2(20 BYTE) ,
  "SBXH" VARCHAR2(20 BYTE) ,
  "YSLB" VARCHAR2(20 BYTE) ,
  "LXRY" VARCHAR2(20 BYTE) ,
  "LXDH" VARCHAR2(20 BYTE) ,
  "RZJG" VARCHAR2(500 BYTE) ,
  "RZSJ" DATE ,
  "RZRY" VARCHAR2(50 BYTE) ,
  "ZXBM" VARCHAR2(50 BYTE) ,
  "FQBM" VARCHAR2(50 BYTE) ,
  "ZGSX" DATE ,
  "CXLB" VARCHAR2(20 BYTE) ,
  "ZJSL" NUMBER(22) ,
  "ZJXY" NUMBER(22) ,
  "JGZT" VARCHAR2(2 BYTE) ,
  "SHZT" VARCHAR2(2 BYTE) ,
  "YZZT" VARCHAR2(2 BYTE) ,
  "ZGRY" VARCHAR2(50 BYTE) ,
  "ZGSJ" DATE ,
  "SHRY" VARCHAR2(50 BYTE) ,
  "SHSJ" DATE ,
  "YZRY" VARCHAR2(50 BYTE) ,
  "YZSJ" DATE ,
  "YZBM" VARCHAR2(50 BYTE) ,
  "ZZYY" VARCHAR2(100 BYTE) ,
  "BHYY" VARCHAR2(100 BYTE) 
)
TABLESPACE "TF_XRTY_DATA"
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ID" IS 'ID';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ZGBH" IS '整改编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."RZBH" IS '认证编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."KHBH" IS '客户编号';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."KHXM" IS '客户姓名';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."KHDZ" IS '客户地址';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."QYHD" IS '区域号段';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."SBXH" IS '水表型号（DN15、20、25、40、50、80、100、150、200等）。';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."YSLB" IS '用水类别（生活、非居、工业等）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."LXRY" IS '联系人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."LXDH" IS '联系电话';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."RZJG" IS '认证结果';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."RZSJ" IS '认证时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."RZRY" IS '认证人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ZXBM" IS '执行部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."FQBM" IS '发起部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ZGSX" IS '整改时限';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."CXLB" IS '整改成效类别（水价纠正、水量纠正、违章纠正、服务纠正、表务信息纠正，其它）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ZJSL" IS '增加水量（立方米）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ZJXY" IS '增加经济效益（元）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."JGZT" IS '整改下达状态（0本环节/1转部门）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."SHZT" IS '审核状态(0本环节/1通过/2驳回)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."YZZT" IS '验证状态(0本环节/2驳回/3终止)';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ZGRY" IS '整改人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ZGSJ" IS '整改时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."SHRY" IS '审核人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."SHSJ" IS '审核时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."YZRY" IS '验证人员';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."YZSJ" IS '验证时间';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."YZBM" IS '验证部门';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."ZZYY" IS '流程终止原因（状态停用终止，数据进入业务监控中）';
COMMENT ON COLUMN "TF_XRTY"."TF_YWPN_ZLZG_W"."BHYY" IS '流程驳回原因（选择驳回保存本条数据状态停留在驳回，同时新增一条该业务上一个流程数据，整改编号重新生成，认证编号不变）';
COMMENT ON TABLE "TF_XRTY"."TF_YWPN_ZLZG_W" IS 'TF_YWPN_ZLZG_W  质量整改业务数据表';

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BUILDPLAN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BUILDPLAN_W" ADD CONSTRAINT "SYS_C0079068" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BUILDTYPE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BUILDTYPE_D" ADD CONSTRAINT "SYS_C0079072" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BUILDTYPE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BUILDTYPE_D" ADD CONSTRAINT "SYS_C0079071" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BUILD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BUILD_W" ADD CONSTRAINT "SYS_C0079070" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BUILD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BUILD_W" ADD CONSTRAINT "SYS_C0079069" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BULIDCLEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BULIDCLEAR_W" ADD CONSTRAINT "SYS_C0079067" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWCJBL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWCJBL_W" ADD CONSTRAINT "SYS_C0079339" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWCJCODE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWCJCODE_D" ADD CONSTRAINT "SYS_C0079378" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWCJLXBM_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWCJLXBM_W" ADD CONSTRAINT "SYS_C0079373" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWCKDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWCKDATAIL_W" ADD CONSTRAINT "SYS_C0079349" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWCKDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWCKDATAIL_W" ADD CONSTRAINT "SYS_C0079348" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWGZBCJDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWGZBCJDATAIL_W" ADD CONSTRAINT "SYS_C0079372" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWHBDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWHBDATAIL_W" ADD CONSTRAINT "SYS_C0079360" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWKJCODE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWKJCODE_D" ADD CONSTRAINT "SYS_C0079380" PRIMARY KEY ("BM");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWLXCODE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWLXCODE_D" ADD CONSTRAINT "SYS_C0079379" PRIMARY KEY ("BM");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWRKDETAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWRKDETAIL_W" ADD CONSTRAINT "SYS_C0079333" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWRKDETAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWRKDETAIL_W" ADD CONSTRAINT "SYS_C0079332" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWRKSBDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" ADD CONSTRAINT "SYS_C0080393" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWRKSBDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWRKSBDATAIL_W" ADD CONSTRAINT "SYS_C0080392" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWRKTOTAL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWRKTOTAL_W" ADD CONSTRAINT "SYS_C0079331" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWRKTOTAL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWRKTOTAL_W" ADD CONSTRAINT "SYS_C0079330" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWSBAZ_TEMP
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWSBAZ_TEMP" ADD CONSTRAINT "SYS_C0081282" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWSBYJGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWSBYJGL_W" ADD CONSTRAINT "BWSBYJGL_PK_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWSBYJGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWSBYJGL_W" ADD CONSTRAINT "SYS_C0081168" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWSBZJDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWSBZJDATAIL_W" ADD CONSTRAINT "SYS_C0079375" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWSJBLGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWSJBLGL_W" ADD CONSTRAINT "BWSJBLGL_PK_ID" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWSJBLGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWSJBLGL_W" ADD CONSTRAINT "SYS_C0081166" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWSJDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWSJDATAIL_W" ADD CONSTRAINT "SYS_C0079338" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWSJDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWSJDATAIL_W" ADD CONSTRAINT "SYS_C0079337" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWZJBCJDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W" ADD CONSTRAINT "SYS_C0079371" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWZJBCJDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWZJBCJDATAIL_W" ADD CONSTRAINT "SYS_C0079370" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWZTCODE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWZTCODE_D" ADD CONSTRAINT "SYS_C0079381" PRIMARY KEY ("BM");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_BWZYSBJDDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W" ADD CONSTRAINT "SYS_C0080396" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_BWZYSBJDDATAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_BWZYSBJDDATAIL_W" ADD CONSTRAINT "SYS_C0080395" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Checks structure for table TF_YWPN_CODE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_CODE_D" ADD CONSTRAINT "SYS_C0080607" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGFIXEDYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W" ADD CONSTRAINT "SYS_C0079659" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTBGFIXEDYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXEDYEAR_W" ADD CONSTRAINT "SYS_C0079658" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGFIXED_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXED_W" ADD CONSTRAINT "SYS_C0080200" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTBGFIXED_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGFIXED_W" ADD CONSTRAINT "SYS_C0079773" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGINDEXYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W" ADD CONSTRAINT "SYS_C0079500" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTBGINDEXYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEXYEAR_W" ADD CONSTRAINT "SYS_C0079499" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGINDEX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEX_W" ADD CONSTRAINT "SYS_C0079511" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTBGINDEX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGINDEX_W" ADD CONSTRAINT "SYS_C0079510" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGPRICE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGPRICE_W" ADD CONSTRAINT "SYS_C0079657" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGUNITYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W" ADD CONSTRAINT "SYS_C0079490" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTBGUNITYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGUNITYEAR_W" ADD CONSTRAINT "SYS_C0079489" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGUNIT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGUNIT_W" ADD CONSTRAINT "SYS_C0079492" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTBGUNIT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGUNIT_W" ADD CONSTRAINT "SYS_C0079491" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGWATERYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W" ADD CONSTRAINT "SYS_C0079484" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTBGWATERYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGWATERYEAR_W" ADD CONSTRAINT "SYS_C0079483" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTBGWATER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGWATER_W" ADD CONSTRAINT "SYS_C0079488" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTBGWATER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTBGWATER_W" ADD CONSTRAINT "SYS_C0079487" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTCALCCONFIG_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W" ADD CONSTRAINT "SYS_C0080384" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTCALCCONFIG_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTCALCCONFIG_W" ADD CONSTRAINT "SYS_C0080023" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTPRESTATION_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTPRESTATION_W" ADD CONSTRAINT "SYS_C0080383" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTPRESTATION_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTPRESTATION_W" ADD CONSTRAINT "SYS_C0080020" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTRLFIXED_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTRLFIXED_W" ADD CONSTRAINT "SYS_C0080382" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTRLFIXED_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTRLFIXED_W" ADD CONSTRAINT "SYS_C0079995" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTRLPRICE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTRLPRICE_W" ADD CONSTRAINT "SYS_C0080204" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTRLPRICE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTRLPRICE_W" ADD CONSTRAINT "SYS_C0079992" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTRLUNIT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTRLUNIT_W" ADD CONSTRAINT "SYS_C0080219" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTRLUNIT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTRLUNIT_W" ADD CONSTRAINT "SYS_C0079994" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_COSTRLWATER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTRLWATER_W" ADD CONSTRAINT "SYS_C0080202" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_COSTRLWATER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_COSTRLWATER_W" ADD CONSTRAINT "SYS_C0079990" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DEVICEMANAGER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W" ADD CONSTRAINT "SYS_C0080398" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_DEVICEMANAGER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DEVICEMANAGER_W" ADD CONSTRAINT "SYS_C0080397" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMAANDOBSER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMAANDOBSER_W" ADD CONSTRAINT "SYS_C0079496" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMAMONTHFLOW_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMAMONTHFLOW_W" ADD CONSTRAINT "SYS_C0079501" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMAREGIONUPIPE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMAREGIONUPIPE_W" ADD CONSTRAINT "SYS_C0079389" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMAREGIONUSER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMAREGIONUSER_W" ADD CONSTRAINT "SYS_C0079388" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMAREGION_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMAREGION_W" ADD CONSTRAINT "SYS_C0079387" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMATABLECHANGE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMATABLECHANGE_W" ADD CONSTRAINT "SYS_C0079493" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMATABLEFLOW_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMATABLEFLOW_W" ADD CONSTRAINT "SYS_C0079497" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMATABLEMONTH_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMATABLEMONTH_W" ADD CONSTRAINT "SYS_C0079509" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMATABLEPRESS_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMATABLEPRESS_W" ADD CONSTRAINT "SYS_C0079498" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMATABLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMATABLE_W" ADD CONSTRAINT "SYS_C0079486" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMAWARNFLOW_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMAWARNFLOW_W" ADD CONSTRAINT "SYS_C0079518" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMAWARNHANDLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMAWARNHANDLE_W" ADD CONSTRAINT "SYS_C0079588" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DMAWARN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DMAWARN_W" ADD CONSTRAINT "SYS_C0079519" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_DUTYROSTER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DUTYROSTER_W" ADD CONSTRAINT "SYS_C0079128" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_DUTYROSTER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_DUTYROSTER_W" ADD CONSTRAINT "SYS_C0079127" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_ESSINFO_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_ESSINFO_E" ADD CONSTRAINT "SYS_C0023139" PRIMARY KEY ("ESINDEX");

-- ----------------------------
-- Checks structure for table TF_YWPN_ESSINFO_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_ESSINFO_E" ADD CONSTRAINT "SYS_C0023138" CHECK ("ESINDEX" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_FILE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_FILE_W" ADD CONSTRAINT "SYS_C0080466" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_FILE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_FILE_W" ADD CONSTRAINT "SYS_C0080465" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_GDFLOW_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GDFLOW_W" ADD CONSTRAINT "SYS_C0079386" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_GDFLOW_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GDFLOW_W" ADD CONSTRAINT "SYS_C0079385" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_GDINFO_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GDINFO_W" ADD CONSTRAINT "SYS_C0079391" PRIMARY KEY ("ID", "ZJSX");

-- ----------------------------
-- Checks structure for table TF_YWPN_GDINFO_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GDINFO_W" ADD CONSTRAINT "SYS_C0079390" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_GPSCALCULATE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GPSCALCULATE_W" ADD CONSTRAINT "SYS_C0079115" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_GPSCALCULATE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GPSCALCULATE_W" ADD CONSTRAINT "SYS_C0079114" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_GPSDEVICE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GPSDEVICE_W" ADD CONSTRAINT "SYS_C0079105" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_GPSDEVICE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GPSDEVICE_W" ADD CONSTRAINT "SYS_C0079104" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_GROUPUSER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GROUPUSER_W" ADD CONSTRAINT "SYS_C0079084" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_GROUPUSER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_GROUPUSER_W" ADD CONSTRAINT "SYS_C0079083" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_HYDRANT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_HYDRANT_W" ADD CONSTRAINT "SYS_C0079325" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_INSPECTGROUP_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_INSPECTGROUP_W" ADD CONSTRAINT "SYS_C0079082" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_INSPECTGROUP_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_INSPECTGROUP_W" ADD CONSTRAINT "SYS_C0079081" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_INSPECTTYPE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_INSPECTTYPE_W" ADD CONSTRAINT "SYS_C0079080" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_INSPECTTYPE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_INSPECTTYPE_W" ADD CONSTRAINT "SYS_C0079079" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_MANHOLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_MANHOLE_W" ADD CONSTRAINT "SYS_C0079327" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_MANHOLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_MANHOLE_W" ADD CONSTRAINT "SYS_C0079326" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_MESSAGEFILE_P
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_MESSAGEFILE_P" ADD CONSTRAINT "SYS_C0080481" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_MESSAGEFILE_P
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_MESSAGEFILE_P" ADD CONSTRAINT "SYS_C0080480" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_MESSAGEPUSH_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W" ADD CONSTRAINT "SYS_C0079120" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_MESSAGEPUSH_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_MESSAGEPUSH_W" ADD CONSTRAINT "SYS_C0079119" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_MESSAGERECIPIENT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W" ADD CONSTRAINT "SYS_C0079122" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_MESSAGERECIPIENT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_MESSAGERECIPIENT_W" ADD CONSTRAINT "SYS_C0079121" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_NONVALVE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_NONVALVE_W" ADD CONSTRAINT "SYS_C0079324" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PARAMCONFIG_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PARAMCONFIG_W" ADD CONSTRAINT "SYS_C0080492" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PARAMCONFIG_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PARAMCONFIG_W" ADD CONSTRAINT "SYS_C0080491" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PDAHISTORY_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PDAHISTORY_W" ADD CONSTRAINT "SYS_C0080487" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PDAHISTORY_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PDAHISTORY_W" ADD CONSTRAINT "SYS_C0080486" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PDAMONITOR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PDAMONITOR_W" ADD CONSTRAINT "SYS_C0080485" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PDAMONITOR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PDAMONITOR_W" ADD CONSTRAINT "SYS_C0080483" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PDASIGNHIS_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PDASIGNHIS_W" ADD CONSTRAINT "SYS_C0080484" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PDASIGNHIS_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PDASIGNHIS_W" ADD CONSTRAINT "SYS_C0080482" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PDASIGN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PDASIGN_W" ADD CONSTRAINT "SYS_C0079109" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PDASIGN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PDASIGN_W" ADD CONSTRAINT "SYS_C0079108" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PERIOD_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PERIOD_D" ADD CONSTRAINT "SYS_C0078637" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PERIOD_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PERIOD_D" ADD CONSTRAINT "SYS_C0078636" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PIPENODE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PIPENODE_W" ADD CONSTRAINT "SYS_C0079289" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PIPERECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PIPERECORD_W" ADD CONSTRAINT "SYS_C0080490" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PIPERECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PIPERECORD_W" ADD CONSTRAINT "SYS_C0079112" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PIPE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PIPE_W" ADD CONSTRAINT "SYS_C0079192" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PIPE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PIPE_W" ADD CONSTRAINT "SYS_C0079191" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLANCANCLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANCANCLE_W" ADD CONSTRAINT "SYS_C0079078" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PLANCANCLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANCANCLE_W" ADD CONSTRAINT "SYS_C0079077" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLANCHILD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANCHILD_W" ADD CONSTRAINT "SYS_C0079095" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PLANCHILD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANCHILD_W" ADD CONSTRAINT "SYS_C0079094" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLANMOUTH_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANMOUTH_W" ADD CONSTRAINT "SYS_C0078632" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLANPATH_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANPATH_W" ADD CONSTRAINT "SYS_C0079101" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PLANPATH_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANPATH_W" ADD CONSTRAINT "SYS_C0079100" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLANPOINT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANPOINT_W" ADD CONSTRAINT "SYS_C0079099" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PLANPOINT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANPOINT_W" ADD CONSTRAINT "SYS_C0079098" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLANSTOP_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANSTOP_W" ADD CONSTRAINT "SYS_C0078640" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PLANSTOP_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANSTOP_W" ADD CONSTRAINT "SYS_C0078639" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLANYEARDETAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W" ADD CONSTRAINT "SYS_C0078631" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PLANYEARDETAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANYEARDETAIL_W" ADD CONSTRAINT "SYS_C0078630" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLANYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANYEAR_W" ADD CONSTRAINT "SYS_C0078629" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PLANYEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLANYEAR_W" ADD CONSTRAINT "SYS_C0078628" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PLAN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLAN_W" ADD CONSTRAINT "SYS_C0078635" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PLAN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PLAN_W" ADD CONSTRAINT "SYS_C0078634" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_POINTTEMP_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_POINTTEMP_W" ADD CONSTRAINT "SYS_C0079097" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_POINTTEMP_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_POINTTEMP_W" ADD CONSTRAINT "SYS_C0079096" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_PRESSRECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PRESSRECORD_W" ADD CONSTRAINT "SYS_C0080489" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_PRESSRECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_PRESSRECORD_W" ADD CONSTRAINT "SYS_C0080488" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFCBJBXX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFCBJBXX_W" ADD CONSTRAINT "SYS_C0080169" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFCBJBXX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFCBJBXX_W" ADD CONSTRAINT "SYS_C0080168" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFCBJH_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFCBJH_W" ADD CONSTRAINT "SYS_C0080171" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFCBJH_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFCBJH_W" ADD CONSTRAINT "SYS_C0080170" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFCBMX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFCBMX_W" ADD CONSTRAINT "SYS_C0080183" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFCBMX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFCBMX_W" ADD CONSTRAINT "SYS_C0080172" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFCBSBGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFCBSBGL_W" ADD CONSTRAINT "SYS_C0080184" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFCBSBGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFCBSBGL_W" ADD CONSTRAINT "SYS_C0080178" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFKHJBXX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFKHJBXX_W" ADD CONSTRAINT "QFKHJBXX_PK_YHBH" PRIMARY KEY ("YHBH");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFKHJBXX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFKHJBXX_W" ADD CONSTRAINT "SYS_C0081277" CHECK ("YHBH" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDBZYW_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" ADD CONSTRAINT "SYS_C0080454" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDBZYW_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDBZYW_E" ADD CONSTRAINT "SYS_C0080453" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDCBBBM_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W" ADD CONSTRAINT "QFMIDCBBBM_PK_BM" PRIMARY KEY ("CBBBM");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDCBBBM_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBBBM_W" ADD CONSTRAINT "SYS_C0081283" CHECK ("CBBBM" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDCBFS_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBFS_E" ADD CONSTRAINT "SYS_C0080459" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDCBFS_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBFS_E" ADD CONSTRAINT "SYS_C0080458" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDCBPQ_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E" ADD CONSTRAINT "QFMIDCBPQ_PK_PQBM" PRIMARY KEY ("PQBM");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDCBPQ_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBPQ_E" ADD CONSTRAINT "SYS_C0081280" CHECK ("PQBM" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDCBQFMX_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E" ADD CONSTRAINT "QFMIDCBQFMX_PK_YHBH" PRIMARY KEY ("YHBH", "CBKH");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDCBQFMX_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E" ADD CONSTRAINT "SYS_C0081272" CHECK ("YHBH" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDCBQFMX_E" ADD CONSTRAINT "SYS_C0081273" CHECK ("CBKH" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDJFJL_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDJFJL_E" ADD CONSTRAINT "QFMIDJFJL_PK_LSBH" PRIMARY KEY ("LSBH");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDJFJL_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDJFJL_E" ADD CONSTRAINT "SYS_C0080473" CHECK ("LSBH" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDSFJL_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDSFJL_E" ADD CONSTRAINT "QFMIDSFJL_PK_LSBH" PRIMARY KEY ("LSBH");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDSFJL_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDSFJL_E" ADD CONSTRAINT "SYS_C0080470" CHECK ("LSBH" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDYHDA_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDYHDA_E" ADD CONSTRAINT "QFMIDYHDA_PK_YHBH" PRIMARY KEY ("YHBH");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDYHDA_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDYHDA_E" ADD CONSTRAINT "SYS_C0081219" CHECK ("YHBH" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDYSXZBM_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZBM_E" ADD CONSTRAINT "QFMIDYSXZBM_PK_BM" PRIMARY KEY ("BM");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QFMIDYSXZXFBM_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E" ADD CONSTRAINT "QFMIDYSXZXFBM_PK_BM" PRIMARY KEY ("BM");

-- ----------------------------
-- Checks structure for table TF_YWPN_QFMIDYSXZXFBM_E
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QFMIDYSXZXFBM_E" ADD CONSTRAINT "SYS_C0081216" CHECK ("BM" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_QUESTIONMARK_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QUESTIONMARK_W" ADD CONSTRAINT "SYS_C0079090" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_QUESTIONMARK_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_QUESTIONMARK_W" ADD CONSTRAINT "SYS_C0079089" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_RECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RECORD_W" ADD CONSTRAINT "SYS_C0079111" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_RECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RECORD_W" ADD CONSTRAINT "SYS_C0079110" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REGIONRESP_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REGIONRESP_W" ADD CONSTRAINT "SYS_C0079103" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REGIONRESP_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REGIONRESP_W" ADD CONSTRAINT "SYS_C0079102" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRGOODS_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRGOODS_W" ADD CONSTRAINT "SYS_C0079322" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRGOODS_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRGOODS_W" ADD CONSTRAINT "SYS_C0079321" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRMATERIAL_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D" ADD CONSTRAINT "SYS_C0079288" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRMATERIAL_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRMATERIAL_D" ADD CONSTRAINT "SYS_C0079287" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRORDER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRORDER_W" ADD CONSTRAINT "SYS_C0079297" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRORDER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRORDER_W" ADD CONSTRAINT "SYS_C0079296" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRPLANDETAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W" ADD CONSTRAINT "SYS_C0079293" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRPLANDETAIL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRPLANDETAIL_W" ADD CONSTRAINT "SYS_C0079292" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRPLAN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRPLAN_W" ADD CONSTRAINT "SYS_C0079291" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRPLAN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRPLAN_W" ADD CONSTRAINT "SYS_C0079290" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRREBUT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRREBUT_W" ADD CONSTRAINT "SYS_C0079316" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRREBUT_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRREBUT_W" ADD CONSTRAINT "SYS_C0079315" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRRECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRRECORD_W" ADD CONSTRAINT "SYS_C0079320" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRRECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRRECORD_W" ADD CONSTRAINT "SYS_C0079319" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRRELAY_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRRELAY_W" ADD CONSTRAINT "SYS_C0079318" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRRELAY_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRRELAY_W" ADD CONSTRAINT "SYS_C0079317" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRTYPE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRTYPE_D" ADD CONSTRAINT "SYS_C0079286" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_REPAIRUSER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRUSER_W" ADD CONSTRAINT "SYS_C0079313" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_REPAIRUSER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_REPAIRUSER_W" ADD CONSTRAINT "SYS_C0079312" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_RXJBGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXJBGL_W" ADD CONSTRAINT "SYS_C0080472" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_RXJBGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXJBGL_W" ADD CONSTRAINT "SYS_C0080394" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_RXKNOWLEDGE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W" ADD CONSTRAINT "SYS_C0080474" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_RXKNOWLEDGE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXKNOWLEDGE_W" ADD CONSTRAINT "SYS_C0080399" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_RXSMSMESSAGE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W" ADD CONSTRAINT "SYS_C0080417" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_RXSMSMESSAGE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXSMSMESSAGE_W" ADD CONSTRAINT "SYS_C0080401" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_RXSMSTXITEM_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W" ADD CONSTRAINT "SYS_C0080476" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_RXSMSTXITEM_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXSMSTXITEM_W" ADD CONSTRAINT "SYS_C0080418" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_RXSMSTXLX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXSMSTXLX_W" ADD CONSTRAINT "SYS_C0080477" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_RXSMSTXLX_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXSMSTXLX_W" ADD CONSTRAINT "SYS_C0080457" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_RXWTGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXWTGL_W" ADD CONSTRAINT "SYS_C0080478" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_RXWTGL_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXWTGL_W" ADD CONSTRAINT "SYS_C0080464" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_RXYJFW_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXYJFW_W" ADD CONSTRAINT "SYS_C0080479" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_RXYJFW_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_RXYJFW_W" ADD CONSTRAINT "SYS_C0080467" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_SBRECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_SBRECORD_W" ADD CONSTRAINT "SYS_C0078623" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_SBRECORD_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_SBRECORD_W" ADD CONSTRAINT "SYS_C0078622" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_STATION_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_STATION_W" ADD CONSTRAINT "SYS_C0079295" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_THEMELAYER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_THEMELAYER_W" ADD CONSTRAINT "SYS_C0079088" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_THEMELAYER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_THEMELAYER_W" ADD CONSTRAINT "SYS_C0079087" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_TOUBLECLEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W" ADD CONSTRAINT "SYS_C0079074" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_TOUBLECLEAR_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_TOUBLECLEAR_W" ADD CONSTRAINT "SYS_C0079073" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_TOUBLEPLAN_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_TOUBLEPLAN_W" ADD CONSTRAINT "SYS_C0079075" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_TOUBLETYPE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_TOUBLETYPE_D" ADD CONSTRAINT "SYS_C0079117" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_TOUBLETYPE_D
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_TOUBLETYPE_D" ADD CONSTRAINT "SYS_C0079116" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_TROUBLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_TROUBLE_W" ADD CONSTRAINT "SYS_C0079076" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_USERTASK_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_USERTASK_W" ADD CONSTRAINT "TF_YWPN_USERTASK_W_PK" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_USERTASK_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_USERTASK_W" ADD CONSTRAINT "SYS_C0080493" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_VALVELINKTABLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_VALVELINKTABLE_W" ADD CONSTRAINT "SYS_C0079092" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_VALVELINKTABLE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_VALVELINKTABLE_W" ADD CONSTRAINT "SYS_C0079091" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_VALVE_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_VALVE_W" ADD CONSTRAINT "SYS_C0079323" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_VIEWS_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_VIEWS_W" ADD CONSTRAINT "SYS_C0079086" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_VIEWS_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_VIEWS_W" ADD CONSTRAINT "SYS_C0079085" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TF_YWPN_WATERMETER_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_WATERMETER_W" ADD CONSTRAINT "SYS_C0079294" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_ZLRZ_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_ZLRZ_W" ADD CONSTRAINT "SYS_C0079663" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TF_YWPN_ZLZG_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_ZLZG_W" ADD CONSTRAINT "SYS_C0079989" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TF_YWPN_ZLZG_W
-- ----------------------------
ALTER TABLE "TF_XRTY"."TF_YWPN_ZLZG_W" ADD CONSTRAINT "SYS_C0079988" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
